import "WalmPlugins.YourOwnAdventures.DiaryFamilyPage";
import "WalmPlugins.YourOwnAdventures.DiaryIndexPage";
import "WalmPlugins.YourOwnAdventures.DiaryTitlePage";
import "WalmPlugins.YourOwnAdventures.DiaryNotePage";
import "WalmPlugins.YourOwnAdventures.DiaryAdventurePage";


AdventuresDiary = class( Turbine.UI.Window );

function AdventuresDiary:Constructor(dialog)
	Turbine.UI.Window.Constructor( self );
	
	--self:SetSize(565, 510);
	self:SetSize(678, 606);
	if(Preferences.diary_x==nil or Preferences.diary_y==nil) then
		Preferences.diary_x = 300;
		Preferences.diary_y = 200;
	end
	self:SetPosition(Preferences.diary_x, Preferences.diary_y);


	self:BuildBackground();
	
	self.titlePage = DiaryTitlePage(0, 0, 678/2, 570);
	self.titlePage:SetParent(self);
	self.familyPage = DiaryFamilyPage(0, 0, 678/2, 570);
	self.familyPage:SetParent(self);
	self.indexPage = DiaryIndexPage(678/2, 0, 678/2-15, 570);
	self.indexPage:SetParent(self);
	self.adventurePage = DiaryAdventurePage(678/2, 0, 678/2-15, 570);
	self.adventurePage:SetParent(self);
	self.notePage1 = DiaryNotePage(0, 0, 678/2, 570);
	self.notePage1:SetParent(self);
	self.notePage1.textArea:SetText(Preferences.notes1);
	self.notePage1.textArea.FocusLost = function()
		Preferences.notes1 = self.notePage1.textArea:GetText();
		SavePreferences();
	end
	self.notePage2 = DiaryNotePage(678/2, 0, 678/2-15, 570);
	self.notePage2:SetParent(self);	
	self.notePage2.textArea:SetText(Preferences.notes2);
	self.notePage2.textArea.FocusLost = function()
		Preferences.notes2 = self.notePage2.textArea:GetText();
		SavePreferences();
	end
	
	self.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left and Preferences.canMoveQuickLauncher) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
		end
	end
	self.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then			
			if (sender.dragging) then
				sender.dragging = false;
			end
			Preferences.diary_x, Preferences.diary_y = self:GetPosition();
			SavePreferences();
			if(Preferences.OnUpdate ~= nil) then
				Preferences.OnUpdate();
			end
		end
	end
	self.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender.dragged = true;
			if (self:GetLeft() > Turbine.UI.Display.GetWidth() - 35) then
				self:SetLeft(Turbine.UI.Display.GetWidth() - 35);				
			end
			if (self:GetLeft() < 0) then
				self:SetLeft(0);				
			end			
			if (self:GetTop() > Turbine.UI.Display.GetHeight() - 35) then
				self:SetTop(Turbine.UI.Display.GetHeight() - 35);				
			end
			if (self:GetTop() < 0) then
				self:SetTop(0);				
			end			
		end
	end
	
	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			sender:SetVisible( false ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end

			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end
	self:ShowDialog(false, 1);
end

function AdventuresDiary:SetMenuButton(cpt)
	self.menuButton = cpt;
end

function AdventuresDiary:UpdateDiayData(quest, status) -- status  : "UNLOAD", "LOAD", "UPDATE"
	
	self.indexPage:UpdateFamilyTreeView();
	if(quest==nil) then
		self.familyPage:ShowFamily(nil);
		self.adventurePage:SetAdventure(nil);
		self:ShowDialog(self:IsVisible(), 1);
	else
		self.familyPage:ShowFamily(quest.family);
		self.adventurePage:SetAdventure(quest);
		self:ShowDialog(self:IsVisible(), 2);
		if(self.menuButton~=nil) then self.menuButton:AddCounter(1); end
	end
end

function AdventuresDiary:BuildBackground()
	local background = Turbine.UI.Label();
	background:SetParent( self );
	background:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/diary_back.jpg" );
	background:SetPosition( 0, 0 );
	background:SetSize(678, 570);
	background:SetMouseVisible( false );
	background:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	
	local closeButton = Turbine.UI.Label();
	closeButton:SetParent( self );
	closeButton:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/close.jpg" );
	closeButton:SetSize(16, 16);
	closeButton:SetPosition( background:GetWidth()-25, 8 );	
	closeButton:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	closeButton.MouseClick = function (sender, args)
		self:SetVisible( false );
	end
	closeButton.MouseEnter = function (sender, args)
		closeButton:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/close_roll.jpg" );
	end
	closeButton.MouseLeave = function (sender, args)
		closeButton:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/close.jpg" );
	end	
	
	self.tab1 = Turbine.UI.Label();
	self.tab1:SetParent( self );
	self.tab1:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab1_normal.tga" );
	self.tab1:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.tab1:SetPosition( 10, background:GetHeight()-30 );
	self.tab1:SetSize(46, 66);
	self.tab1.MouseClick = function (sender, args) self:ShowDialog(true, 1); end
	self.tab1.tooltip = GenericTooltip(self.tab1, _("DIA_TAB1"), _("DIA_TAB1_"));
	
	self.tab2 = Turbine.UI.Label();
	self.tab2:SetParent( self );
	self.tab2:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab2_normal.tga" );
	self.tab2:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.tab2:SetPosition( 60, background:GetHeight()-30 );
	self.tab2:SetSize(46, 66);
	self.tab2.MouseClick = function (sender, args) self:ShowDialog(true, 2); end	
	self.tab2.tooltip = GenericTooltip(self.tab2, _("DIA_TAB2"), _("DIA_TAB2_"));
	
	self.tab4 = Turbine.UI.Label();
	self.tab4:SetParent( self );
	self.tab4:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab3_normal.tga" );
	self.tab4:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.tab4:SetPosition( 110, background:GetHeight()-30 );
	self.tab4:SetSize(46, 66);	
	self.tab4.MouseClick = function (sender, args) self:ShowDialog(true, 4); end
	self.tab4.tooltip = GenericTooltip(self.tab4, _("DIA_TAB4"), _("DIA_TAB4_"));
end

function AdventuresDiary:GetName()
	return "AdventuresDiary";
end


function AdventuresDiary:ShowDialog(visible, page)

	if(page~=nil) then
		self.currentPage = page;
	end

	self:SetVisible(visible);

	self.tab1:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab1_normal.tga" );
	self.tab2:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab2_normal.tga" );
	self.tab4:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab3_normal.tga" );
	
	if(self.currentPage==2) then
		self.tab2:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab2_highlight.tga" );
	elseif(self.currentPage==4) then
		self.tab4:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab3_highlight.tga" );
	else
		self.tab1:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/tab1_highlight.tga" );	
	end

	self.indexPage:SetVisible(self.currentPage~=2 and self.currentPage~=3 and self.currentPage~=4);
	self.titlePage:SetVisible(self.currentPage~=2 and self.currentPage~=3 and self.currentPage~=4);
	self.notePage1:SetVisible(self.currentPage==4);
	self.notePage2:SetVisible(self.currentPage==4);
	self.familyPage:SetVisible(self.currentPage==2);
	self.adventurePage:SetVisible(self.currentPage==2);
end