CampaignNode = class( Turbine.UI.TreeNode );

function CampaignNode:Constructor(q)
	self.quest = q;
	
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( 312, 35 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	self.labelLevel = Turbine.UI.Label();
	self.labelLevel:SetParent( self );
	self.labelLevel:SetSize( 27, 16 );
	self.labelLevel:SetPosition( 40, 4 );
	self.labelLevel:SetZOrder(100);
	self.labelLevel:SetFont( Turbine.UI.Lotro.Font.TrajanPro14 );	
	self.labelLevel:SetTextAlignment( Turbine.UI.ContentAlignment.TopLeft );
	self.labelLevel:SetMouseVisible( false );
	if(self.quest.levelMin ~= nil) then
		self.labelLevel:SetText("["..self.quest.levelMin.."]");
	else
		self.labelLevel:SetText("");
	end
	
	self.labelValue = Turbine.UI.Label();
	self.labelValue:SetParent( self );
	self.labelValue:SetSize( 240, 26 );
	self.labelValue:SetPosition( 71, 4 );
	self.labelValue:SetZOrder(100);
	self.labelValue:SetFont( Turbine.UI.Lotro.Font.TrajanPro14 );	
	self.labelValue:SetTextAlignment( Turbine.UI.ContentAlignment.TopLeft );
	self.labelValue:SetMouseVisible( false );
	if(self.quest.title ~= nil) then
		self.labelValue:SetText(FormatAdventureString(self.quest.title));
	else
		self.labelValue:SetText("NO TITLE FOUND");
	end

	self.iconQuest = Turbine.UI.Control();
	self.iconQuest:SetParent( self );
	self.iconQuest:SetSize( 22, 23 );
	self.iconQuest:SetPosition( 6, 6 );
	self.iconQuest:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.iconQuest:SetMouseVisible( false );
	self.difficultyIcone = Turbine.UI.Control();
	self.difficultyIcone:SetParent( self );
	self.difficultyIcone:SetSize( 10, 10 );
	self.difficultyIcone:SetPosition( 42, 22 );
	self.difficultyIcone:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.difficultyIcone:SetMouseVisible( false );	
	if(self.quest.canRestart==true) then
		self.repeatIcone = Turbine.UI.Control();
		self.repeatIcone:SetParent( self );
		self.repeatIcone:SetSize( 10, 10 );
		self.repeatIcone:SetPosition( 55, 22 );
		self.repeatIcone:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
		self.repeatIcone:SetMouseVisible( false );	
		self.repeatIcone:SetBackground("WalmPlugins/YourOwnAdventures/pictures/campaigns/difficulty/repeatable.tga");
	end
	self:SetBackground("WalmPlugins/YourOwnAdventures/pictures/campaigns/CampaignNode.tga");	

	self:UpdateIconeLabel();	
	
	self.hightlight_middle = Turbine.UI.Label();
	self.hightlight_middle:SetParent( self );
	self.hightlight_middle:SetSize( self:GetWidth()-16, self:GetHeight() );
	self.hightlight_middle:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.hightlight_middle:SetPosition( 8, 0 );
	self.hightlight_middle:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/campaigns/hightlight_middle.tga" );
	self.hightlight_middle:SetMouseVisible( false );
	self.hightlight_middle:SetVisible( false );
	self.hightlight_left = Turbine.UI.Label();
	self.hightlight_left:SetParent( self );
	self.hightlight_left:SetSize( 8, 36 );
	self.hightlight_left:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.hightlight_left:SetPosition( 0, 0 );
	self.hightlight_left:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/campaigns/hightlight_left.tga" );
	self.hightlight_left:SetMouseVisible( false );	
	self.hightlight_left:SetVisible( false );	
	self.hightlight_right = Turbine.UI.Label();
	self.hightlight_right:SetParent( self );
	self.hightlight_right:SetSize( 8, 36 );
	self.hightlight_right:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.hightlight_right:SetPosition( self:GetWidth()-8, 0 );
	self.hightlight_right:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/campaigns/hightlight_right.tga" );
	self.hightlight_right:SetMouseVisible( false );	
	self.hightlight_right:SetVisible( false );	
	
	self.SelectedChanged = function (o, e)
		self.hightlight_middle:SetVisible(self:IsSelected());
		self.hightlight_left:SetVisible(self:IsSelected());
		self.hightlight_right:SetVisible(self:IsSelected());
	end
end

function CampaignNode:UpdateIconeLabel()	
	if(self.quest~=nil) then
		if(self.quest.size==nil) then self.quest.size=1; end
		if(self.quest.size==1 or self.quest.size==3 or self.quest.size==6 or self.quest.size==12) then 
			self.difficultyIcone:SetBackground("WalmPlugins/YourOwnAdventures/pictures/campaigns/difficulty/"..self.quest.size.."_mini.tga");
		end
		local progress = PROGRESS.ADVENTURES[self.quest.uniqueID];
		if(progress~=nil) then progress = PROGRESS.ADVENTURES[self.quest.uniqueID].stepId; end
		if (progress==nil or progress=="START") then
			self.iconQuest:SetBackground( nil );
		elseif (progress=="END") then
			self.iconQuest:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/campaigns/green_check.tga" );
		else
			self.iconQuest:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/campaigns/hourglass2.tga" );
		end
	end
end


function CampaignNode:ApplyFilters(filters)
	local shouldshow = 1;
	if(self.quest~= nil and filters~=nil) then		
		if(filters.show1 and self.quest.size==1) then
			shouldshow = 0;
		elseif(filters.show3 and self.quest.size==3) then
			shouldshow = 0;
		elseif(filters.show6 and self.quest.size==6) then
			shouldshow = 0;
		elseif(filters.show12 and self.quest.size==12) then
			shouldshow = 0;
		elseif(filters.language~="ALL" and filters.language~=self.quest.language and self.quest.language~="ALL") then
			shouldshow = 0;
		elseif(string.find(string.lower(self.quest.title), filters.search or "")==nil and string.find(string.lower(self.quest.author or ""), filters.search or "")==nil) then
			shouldshow = 0;				
		end

		if (PROGRESS.ADVENTURES[self.quest.uniqueID]==nil) then
			if(not filters.todo) then shouldshow = 0; end
		else
			if(not filters.todo and PROGRESS.ADVENTURES[self.quest.uniqueID].stepId~="END") then
				shouldshow = 0;			
			elseif(not filters.done and PROGRESS.ADVENTURES[self.quest.uniqueID].stepId=="END") then
				shouldshow = 0;	
			end
		end
		if(not filters.tech and self.quest.tech==true) then
			shouldshow = 0;	
		end
		if(self.quest.requireCompletion~=nil and AdventureEngine:HasFinished(self.quest.requireCompletion)==false) then
			shouldshow = 0;
		end
		if(shouldshow==1) then
			self:SetSize(312, 35);
		else
			self:SetSize(312, 0);
		end
	end
	return shouldshow;
end

function CampaignNode:ExpandAll()
	self:SetExpanded(true);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):ExpandAll();
	end
end

function CampaignNode:CollapseAll()
	self:SetExpanded(false);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):CollapseAll();
	end	
end