import "WalmPlugins.YourOwnAdventures.UTF";
import "WalmPlugins.YourOwnAdventures.GenericTooltip";
import "WalmPlugins.YourOwnAdventures.ToggleButton";
import "WalmPlugins.YourOwnAdventures.DropDown";
import "WalmPlugins.YourOwnAdventures.CampaignNode";
import "WalmPlugins.YourOwnAdventures.GroupNode";
import "WalmPlugins.YourOwnAdventures.CampaignSelectorPane";
import "WalmPlugins.YourOwnAdventures._ScriptsNames";
	
CampaignSelector = class( Turbine.UI.Lotro.Window );

function CampaignSelector:Constructor()

	Turbine.UI.Lotro.Window.Constructor( self );
	
	self:SetSize( 765, 574 );
	self:SetPosition( Preferences.main_x, Preferences.main_y);
	self:SetVisible(false);
	
	self:SetText( "Your Own Adventures !" );	
	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			sender:SetVisible( false ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end
			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end		
	-- Build GUI and logicals
	self:CreateComponents();
	self:ConstructFilters();
	
	self.PositionChanged = function(sender, args)
		Preferences.main_x, Preferences.main_y = self:GetPosition();
		SavePreferences();
	end	
	
	self.Closed = function(sender, args)
		self:Stop();
	end

end

function CampaignSelector:SetMenuButton(cpt)
	self.menuButton = cpt;
end

function CampaignSelector:CreateComponents()
	self:ConstructHeader();
	self:ConstructTreeNode();
	self:ConstructFooter();
	self.questPane = CampaignSelectorPane(380, 463);
	self.questPane:SetParent( self );	
	self.questPane:SetPosition( 376, 75 );	
end

function CampaignSelector:ConstructQuestPane()
	self.header = Turbine.UI.Control();
	self.header:SetParent( self );
	self.header:SetSize(378, 92);
	self.header:SetPosition((width-378)/2, 2);	
	self.header:SetMouseVisible( false );
	self.header:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.header:SetBackground("WalmPlugins/YourOwnAdventures/pictures/campaigns/header_details2.tga");
end

function CampaignSelector:ConstructFooter()
	local lowerSep = Turbine.UI.Control();
	lowerSep:SetParent( self );
	lowerSep:SetSize( self:GetWidth()-8 , 2 );
	lowerSep:SetPosition( 4, self:GetHeight()-34 );	
	lowerSep:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	lowerSep:SetZOrder(99);

	local optionbtn = Turbine.UI.Lotro.Button();
    optionbtn:SetParent( self );
    optionbtn:SetPosition( 640, 545 );
    optionbtn:SetSize( 90, 18 );
    optionbtn:SetText(_("PARAMS"));
	optionbtn.Click = function( sender, args )
		local confidwindow = BuildConfigDialog();
		confidwindow:SetVisible(not confidwindow:IsVisible());
	end
end

function CampaignSelector:ConstructHeader()
	local headerIco = Turbine.UI.Control();
	headerIco:SetParent( self );
	headerIco:SetSize( 756, 48 );
	headerIco:SetPosition( 5, 20 );
	headerIco:SetZOrder( -99);
	headerIco:SetBackground("WalmPlugins/YourOwnAdventures/pictures/campaigns/header.tga");
	headerIco:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	local iconExpandAll = Turbine.UI.Control();
	iconExpandAll:SetParent( self );
	iconExpandAll:SetSize( 16, 16 );
	iconExpandAll:SetPosition( 16, 45 );
	iconExpandAll:SetBackground( 0x41007E27 );
	iconExpandAll:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	iconExpandAll.MouseClick = function( sender, args )
		self.treeView:ExpandAll();
	end

	local iconCollapseAll = Turbine.UI.Control();
	iconCollapseAll:SetParent( self );
	iconCollapseAll:SetSize( 16, 16 );
	iconCollapseAll:SetPosition( 38, 45 );
	iconCollapseAll:SetBackground( 0x41007E26 );
	iconCollapseAll:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	iconCollapseAll.MouseClick = function( sender, args )
		self.treeView:CollapseAll();
	end	
	
	local upperSep = Turbine.UI.Control();
	upperSep:SetParent( self );
	upperSep:SetSize( self:GetWidth()-8 , 2 );
	upperSep:SetPosition( 4, 68 );	
	upperSep:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	upperSep:SetZOrder(99);

	local searchLabel = Turbine.UI.Label();
	searchLabel:SetParent( self );
	searchLabel:SetFont(Turbine.UI.Lotro.Font.Verdana12);	
	searchLabel:SetText( _("SEARCH") );
	searchLabel:SetForeColor(Turbine.UI.Color( 1, 1, 0.5 ));
	searchLabel:SetPosition( 522, 42 );
	searchLabel:SetSize(100, 30);
	searchLabel:SetMouseVisible( false );	

	searchTextAreaBorder = Turbine.UI.Label();
	searchTextAreaBorder:SetParent( self );
	searchTextAreaBorder:SetBackColor(Turbine.UI.Color( 1, 1, 0.5 ));
	searchTextAreaBorder:SetPosition( 590, 38 );
	searchTextAreaBorder:SetSize(152, 20);
	searchTextAreaBorder:SetMouseVisible( false );	
	searchTextArea = Turbine.UI.TextBox();
	searchTextArea:SetParent( searchTextAreaBorder );
	if(Preferences.Filters~=nil) then
		searchTextArea:SetText(Preferences.Filters.search);
	end
	searchTextArea:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	searchTextArea:SetPosition( 1, 1 );
	searchTextArea:SetBackColor(Turbine.UI.Color( 0, 0, 0 ));
	searchTextArea:SetSize(150, 18);
	searchTextArea:SetMultiline(false);
	searchTextArea.KeyDown = function(sender, args)		
		Preferences.Filters.search = string.lower(searchTextArea:GetText());
		self:UpdateTreeViewStatus();
		SavePreferences();
	end
	
	local langLabel = Turbine.UI.Label();
	langLabel:SetParent( self );
	langLabel:SetFont(Turbine.UI.Lotro.Font.Verdana12);	
	langLabel:SetText( _("LANGUAGE") );
	langLabel:SetForeColor(Turbine.UI.Color( 1, 1, 0.5 ));
	langLabel:SetPosition( 358, 42 );
	langLabel:SetSize(100, 30);
	langLabel:SetMouseVisible( false );		
	
	if(Preferences.Filters==nil) then Preferences.Filters={}; end
	if(Preferences.Filters.language==nil) then Preferences.Filters.language="ALL"; end
	local languageDropDown = DropDown.Create({"ALL", "FR", "EN"}, Preferences.Filters.language); -- table that contains the list, default selected value for the list
	languageDropDown:SetParent(self);
	languageDropDown:SetPosition( 410, 39 );
	languageDropDown.myElementList = {"ALL", "FR", "EN"};
	languageDropDown:ApplyWidth(75); -- set the width of the menu, this is not essential to include as the default is a good size.
	languageDropDown:SetMaxItems(4); -- Number of items to display in the drop down before a scrollbar is needed.. default value is 7 where this is excluded.
	languageDropDown:SetVisible(true);
	languageDropDown.ItemChanged = function ()		
		Preferences.Filters.language = languageDropDown:GetText();	
		self:UpdateTreeViewStatus();
		SavePreferences();	
	end	
end

function CampaignSelector:ConstructTreeNode()
	local midSep = Turbine.UI.Control();	
	midSep:SetParent( self );
	midSep:SetSize( 2 , self:GetHeight()-104 );
	midSep:SetPosition( 370, 70 );	
	midSep:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	midSep:SetZOrder(99);

	self.treeView = Turbine.UI.TreeView();
    self.treeView:SetParent( self );
    self.treeView:SetPosition( 10, 75 );
    self.treeView:SetSize( 350, 463 );
    self.treeView:SetIndentationWidth( 15 );
    --self.treeView:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	local treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    treeViewScrollBar:SetParent( self );
    treeViewScrollBar:SetPosition( 360, 105 );
    treeViewScrollBar:SetSize( 10, 433 );
	self.treeView:SetVerticalScrollBar( treeViewScrollBar );
	self.treeView.SelectedNodeChanged = function(sender, args)
		self:UpdateSelectedNode();
	end
	
	self:PopupateTreeView();
end

function CampaignSelector:PopupateTreeView()
	rootNodes = self.treeView:GetNodes();	
	rootNodes:Clear();
	
	local gNodes = {};
	local gNode = nil;
	
	for i=1, table.getn(ADVENTURES), 1 do
		local family = ADVENTURES[i].family or _("ORPHANS");
		if(gNodes[family]==nil) then
			gNode = GroupNode(family);
			rootNodes:Add(gNode);
			gNodes[family]=gNode;	
		end
		local qNode = CampaignNode(ADVENTURES[i]);
		gNodes[family]:GetChildNodes():Add(qNode);
	end
	self:UpdateTreeViewStatus();
	self.treeView:ExpandAll();
end

function CampaignSelector:UpdateTreeViewStatus()
	local printedUnlockedTitle = false;
	for i=1, self.treeView:GetNodes():GetCount(), 1 do
		local node = self.treeView:GetNodes():Get(i);
		local visible = 0;
		for j=1, node:GetChildNodes():GetCount(), 1 do
			local snode = node:GetChildNodes():Get(j);
			snode:UpdateIconeLabel();
		end
		node:ApplyFilters(Preferences.Filters);
	end
end

function CampaignSelector:UpdateSelectedNode()
	local node = self.treeView:GetSelectedNode();		
	if(node~=nil and node.quest~=nil) then
		self.questPane:SetQuest(node.quest);
		self.questPane:SetVisible(true);
	end		
end

function CampaignSelector:SelectAdventure(adventure)
	-- self.questPane:SetQuest(adventure);
	for i=1, self.treeView:GetNodes():GetCount(), 1 do
		local node = self.treeView:GetNodes():Get(i);
		for j=1, node:GetChildNodes():GetCount(), 1 do
			local snode = node:GetChildNodes():Get(j);
			if(snode.quest.uniqueID == adventure.uniqueID) then
				self.treeView:SetSelectedNode(snode);
			end
		end
	end	
	self:UpdateSelectedNode();
	self:SetVisible(true);
end

function CampaignSelector:ConstructFilters()
	if(Preferences.Filters==nil) then 
		Preferences.Filters.show12 = true;
		Preferences.Filters.todo = true;
		Preferences.Filters.show1 = true;
		Preferences.Filters.show6 = true;
		Preferences.Filters.show3 = true;
		Preferences.Filters.done = true;	
		Preferences.Filters.tech = false;	
		Preferences.Filters.search = "";	
		Preferences.Filters={}; 
	end
	
	self.size1TgBtn = ToggleButton	(32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_size_1_off.jpg");
	self.size1TgBtn:SetParent( self );	
	self.size1TgBtn:SetPosition( 74, 34 );
	self.size1TgBtn:SetChecked(not Preferences.Filters.show1 );
	self.size1TgBtn.tooltip = GenericTooltip(self.size1TgBtn, _("SIZE1"), _("SIZE1_d"));
	self.size1TgBtn.Toggled = function(sender, selected)
		Preferences.Filters.show1 = not selected;
		self:UpdateTreeViewStatus();
		SavePreferences();
	end
	self.size3TgBtn = ToggleButton	(32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_size_3_off.jpg", Preferences.Filters.show3);
	self.size3TgBtn:SetParent( self );	
	self.size3TgBtn:SetPosition( 108, 34 );
	self.size3TgBtn:SetChecked(not Preferences.Filters.show3);
	self.size3TgBtn.tooltip = GenericTooltip(self.size3TgBtn, _("SIZE3"), _("SIZE3_d"));
	self.size3TgBtn.Toggled = function(sender, selected)
		Preferences.Filters.show3 = not selected;
		self:UpdateTreeViewStatus();
		SavePreferences();		
	end	
	self.size6TgBtn = ToggleButton	(32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_size_6_off.jpg", Preferences.Filters.show6);
	self.size6TgBtn:SetParent( self );	
	self.size6TgBtn:SetPosition( 142, 34 );
	self.size6TgBtn:SetChecked(not Preferences.Filters.show6 );
	self.size6TgBtn.tooltip = GenericTooltip(self.size6TgBtn, _("SIZE6"), _("SIZE6_d"));
	self.size6TgBtn.Toggled = function(sender, selected)
		Preferences.Filters.show6 = not selected;
		self:UpdateTreeViewStatus();
		SavePreferences();		
	end	
	self.size12TgBtn = ToggleButton (32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_size_12_off.jpg", Preferences.Filters.show12);
	self.size12TgBtn:SetParent( self );	
	self.size12TgBtn:SetPosition( 176, 34 );
	self.size12TgBtn:SetChecked(not Preferences.Filters.show12 );
	self.size12TgBtn.tooltip = GenericTooltip(self.size12TgBtn, _("SIZE12"), _("SIZE12_d"));
	self.size12TgBtn.Toggled = function(sender, selected)
		Preferences.Filters.show12 = not selected;
		self:UpdateTreeViewStatus();
		SavePreferences();		
	end
	self.doneTgBtn = ToggleButton (32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_done2.jpg");
	self.doneTgBtn:SetParent( self );	
	self.doneTgBtn:SetPosition( 254, 34 );
	self.doneTgBtn.tooltip = GenericTooltip(self.doneTgBtn, _("Q_DONE"), _("Q_DONE_d"));
	self.doneTgBtn:SetChecked(Preferences.Filters.done );
	self.doneTgBtn.Toggled = function(sender, selected)
		Preferences.Filters.done = selected;
		self:UpdateTreeViewStatus();
		SavePreferences();		
	end
	self.todoTgBtn = ToggleButton (32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_todo.jpg");
	self.todoTgBtn:SetParent( self );	
	self.todoTgBtn:SetPosition( 220, 34 );
	self.todoTgBtn.tooltip = GenericTooltip(self.todoTgBtn, _("Q_TODO"),  _("Q_TODO_d"));
	self.todoTgBtn:SetChecked(Preferences.Filters.todo );
	self.todoTgBtn.Toggled = function(sender, selected)
		Preferences.Filters.todo = selected;
		self:UpdateTreeViewStatus();
		SavePreferences();		
	end
	if(Preferences.Filters.tech==nil) then
		Preferences.Filters.tech = false;
	end
	self.techTgBtn = ToggleButton (32, 29, "WalmPlugins/YourOwnAdventures/pictures/campaigns/btn/btn_tech.jpg");
	self.techTgBtn:SetParent( self );	
	self.techTgBtn:SetPosition( 288, 34 );
	self.techTgBtn.tooltip = GenericTooltip(self.techTgBtn, _("Q_TECH"),  _("Q_TECH_d"));
	self.techTgBtn:SetChecked(Preferences.Filters.tech );
	self.techTgBtn.Toggled = function(sender, selected)
		Preferences.Filters.tech = selected;
		self:UpdateTreeViewStatus();
		SavePreferences();		
	end
end

function CampaignSelector:GetName()
	return "YourOwnAdventures";
end

function CampaignSelector:IsRunning()
	return ( self ~= nil );
end

function CampaignSelector:Start()
	if(self~=nil) then 
		self:SetVisible(true); 
	end
end

function CampaignSelector:Stop()
	self = nil;
end
