ConfigDialog = class( Turbine.UI.Lotro.Window );

function BuildConfigDialog()
	if(optionsWindow~=nil) then return optionsWindow; end
	optionsWindow = ConfigDialog();	
	return optionsWindow;
end

function ConfigDialog:Constructor()
	Turbine.UI.Lotro.Window.Constructor( self );
	self:SetSize(365, 200);
	self:SetText("Options");
	self:SetPosition(Turbine.UI.Display.GetWidth()/2-175, Turbine.UI.Display.GetHeight()/2-100);
	
	local optDiversTitleLabel = Turbine.UI.Label();
	optDiversTitleLabel:SetParent( self );
	optDiversTitleLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro15);	
	optDiversTitleLabel:SetText("Configuration de Your Own Adventures :");
	optDiversTitleLabel:SetPosition( 15, 40 );
	optDiversTitleLabel:SetSize(300, 20);
	optDiversTitleLabel:SetForeColor(Turbine.UI.Color( 1, 1, 0.5 ));
	optDiversTitleLabel:SetMouseVisible( false );
	
	local defaultButton = Turbine.UI.Lotro.Button();
	defaultButton:SetParent(self);
	defaultButton:SetPosition( 15, 60 );
	defaultButton:SetSize(250,20);
	defaultButton:SetText("Configuration par défaut");
	defaultButton.MouseClick=function(sender,args)
		Preferences.restartPreferencesAtLoading = true;
		SavePreferences();
		Turbine.Shell.WriteLine("<rgb=#FF0000>YourOwnAdventures: "..TRAD("La réinitialisation des paramètres se fera au prochain chargement.", "The parameter file will be reset at next launch.").."</rgb>");
	end		
	
	local resetProgressButton = Turbine.UI.Lotro.Button();
	resetProgressButton:SetParent(self);
	resetProgressButton:SetPosition( 15, 82 );
	resetProgressButton:SetSize(250,20);
	resetProgressButton:SetText("Reset progress");
	resetProgressButton.MouseClick=function(sender,args)
		Preferences.restartProgressAtLoading = true;
		SavePreferences();
		Turbine.Shell.WriteLine("<rgb=#FF0000>YourOwnAdventures: "..TRAD("La réinitialisation de la progression se fera au prochain chargement.","The progression file will be reset at next launch.").."</rgb>");
	end	
	
	
	local canMoveQuicklauncherCheckbox = Turbine.UI.Lotro.CheckBox();
	canMoveQuicklauncherCheckbox:SetParent(self);
	canMoveQuicklauncherCheckbox:SetMultiline( false );
	canMoveQuicklauncherCheckbox:SetPosition( 15, 115 );
	canMoveQuicklauncherCheckbox:SetSize( 360, 20 );
	canMoveQuicklauncherCheckbox:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	canMoveQuicklauncherCheckbox:SetText( TRAD("Permettre le déplacement des fenêtres","To be able to move the windows") );
	canMoveQuicklauncherCheckbox:SetChecked(Preferences.canMoveQuickLauncher);
	canMoveQuicklauncherCheckbox:SetMouseVisible( false );
	canMoveQuicklauncherCheckbox.CheckedChanged = function(sender, args)
		Preferences.canMoveQuickLauncher = canMoveQuicklauncherCheckbox:IsChecked();
		SavePreferences();
	end

	local opacityLabel = Turbine.UI.Label();
	opacityLabel:SetParent( self );
	opacityLabel:SetMultiline( false );
	opacityLabel:SetPosition( 15, 140 );
	opacityLabel:SetSize( 360, 20 );
	opacityLabel:SetText( TRAD("Opacit\195\169 du lanceur :","Launcher opacity") );
	local opacityTextBox = Turbine.UI.Label();
	opacityTextBox:SetParent( self );
	opacityTextBox:SetMultiline( false );
	opacityTextBox:SetPosition( 170, 140 );
	opacityTextBox:SetSize( 250, 20 );
	opacityTextBox:SetEnabled( false );
	--opacityTextBox:SetFont( Turbine.UI.Lotro.Font.Verdana14 );
	opacityTextBox:SetForeColor(Turbine.UI.Color( 1, 1, 0.5 ));
	opacityTextBox.customValue = tonumber(Preferences.defaultOpacity);
	opacityTextBox:SetText( Preferences.defaultOpacity.." %" );
	local opacityMinusButton=Turbine.UI.Lotro.Button();
	opacityMinusButton:SetParent(self);
	opacityMinusButton:SetPosition( 210, 135 );
	opacityMinusButton:SetSize(16,16);
	opacityMinusButton:SetText("-");
	local opacityAddButton=Turbine.UI.Lotro.Button();
	opacityAddButton:SetParent(self);
	opacityAddButton:SetPosition( 250, 135 );
	opacityAddButton:SetSize(16,16);
	opacityAddButton:SetText("+");	
	opacityMinusButton:SetEnabled(opacityTextBox.customValue>20);
	opacityAddButton:SetEnabled(opacityTextBox.customValue<100);	
	opacityMinusButton.MouseClick=function(sender,args)
		UpdateOpacity(opacityTextBox.customValue-10);
	end
	opacityAddButton.MouseClick=function(sender,args)
		UpdateOpacity(opacityTextBox.customValue+10);

	end
	
	function UpdateOpacity(value)		
		if(value==nil) then
			return;
		elseif(value>100) then
			opacityTextBox.customValue = 100;
		elseif(value<20) then
			opacityTextBox.customValue = 20;
		else
			opacityTextBox.customValue = value
		end
		opacityTextBox:SetText( opacityTextBox.customValue.." %" );	
		Preferences.defaultOpacity = string.match(opacityTextBox.customValue, '%d+');			
		opacityMinusButton:SetEnabled(opacityTextBox.customValue>20);
		opacityAddButton:SetEnabled(opacityTextBox.customValue<100);
		SavePreferences();
	end
	
	local loadLastAdventureCheckbox = Turbine.UI.Lotro.CheckBox();
	loadLastAdventureCheckbox:SetParent(self);
	loadLastAdventureCheckbox:SetMultiline( false );
	loadLastAdventureCheckbox:SetPosition( 15, 155 );
	loadLastAdventureCheckbox:SetSize( 360, 20 );
	loadLastAdventureCheckbox:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	loadLastAdventureCheckbox:SetText( TRAD("Charger automatiquement la précédente aventure", "Load automatically the previous adventure") );
	loadLastAdventureCheckbox:SetChecked(not Preferences.doNotLoadLastAdventure);
	loadLastAdventureCheckbox:SetMouseVisible( false );
	loadLastAdventureCheckbox.CheckedChanged = function(sender, args)
		Preferences.doNotLoadLastAdventure = not loadLastAdventureCheckbox:IsChecked();
		SavePreferences();
	end	
end