
import "WalmPlugins.YourOwnAdventures.DeedsLabel";

DeedsNode = class( Turbine.UI.TreeNode );

function DeedsNode:Constructor(width)
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( width, 145 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self:SetMouseVisible( false );
	self.deeds = {};
end

function DeedsNode:AddDeed(deed)
	if(deed==nil) then return false; end
	if( table.getn(self.deeds)>2 ) then return false; end
	
	local deedWSpace = self:GetWidth()/3;
	local deedPicture = DeedsLabel(deedWSpace, deed);
	deedPicture:SetParent(self);
	deedPicture:SetPosition( deedWSpace*table.getn(self.deeds) , 0 );
	table.insert(self.deeds, deedPicture);
end

function DeedsNode:UpdateDeed(ldeed, sdeed)
	local updated = false;
	for i, deedCmp in pairs(self.deeds) do		
		updated = updated or deedCmp:UpdateDeed(ldeed, sdeed);
	end	
	return updated;
end