DiaryAdventureNode = class( Turbine.UI.TreeNode );

function DiaryAdventureNode:Constructor(width, adventure)
	self.adventure = adventure;
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( width, 28 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	self.labelValue = Turbine.UI.Label();
	self.labelValue:SetParent( self );
	self.labelValue:SetSize( width-35, 22 );
	self.labelValue:SetPosition( 32, 0 );
	self.labelValue:SetFont( Turbine.UI.Lotro.Font.BookAntiquaBold22 );	
	
	self.labelValue:SetForeColor( Turbine.UI.Color(0,0,0) );
	self.labelValue:SetMouseVisible( false );

	self.labelValuecrollBar = Turbine.UI.Lotro.ScrollBar();
    self.labelValuecrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    self.labelValuecrollBar:SetParent( self );
    self.labelValuecrollBar:SetPosition( self.labelValue:GetLeft()+self.labelValue:GetWidth(), self.labelValue:GetTop() );
    self.labelValuecrollBar:SetSize( 10, self.labelValue:GetHeight() );
	self.labelValue:SetVerticalScrollBar( self.labelValuecrollBar );	
	self.labelValue:SetMouseVisible( false );

	self.labelValue:SetText(adventure.title or "NOM INCONNU");

	self.checkBox = Turbine.UI.Control();
	self.checkBox:SetParent( self );
	self.checkBox:SetSize( 25, 25 );
	self.checkBox:SetPosition( 0, 0 );
	self.checkBox:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.checkBox:SetMouseVisible( false );
	self.checkBox:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/checkbox"..math.random(1, 3)..".tga" );
	
	self.MouseEnter = function (sender, args)
		self.labelValue:SetForeColor( Turbine.UI.Color(0.12,0,0.83) );
	end
	self.MouseLeave = function (sender, args)
		self.labelValue:SetForeColor( Turbine.UI.Color(0,0,0) );
	end	
	
	self:UpdateData();
	self:UpdateSize();
end

function DiaryAdventureNode:UpdateSize()
	self:SetHeight(22+8);
	self.labelValue:SetHeight(22);
	
	while self.labelValuecrollBar:IsVisible() do
		self:SetHeight(self:GetHeight()+22);
		self.labelValue:SetHeight(self.labelValue:GetHeight()+22);
    end
end

function DiaryAdventureNode:UpdateData()
	
	if(PROGRESS.ACHIEVEMENTS[self.adventure.uniqueID]~=nil and PROGRESS.ACHIEVEMENTS[self.adventure.uniqueID].count>0) then
		self.checkBox:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/checkbox"..math.random(1, 3).."_checked.tga" );
	else
		self.checkBox:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/diary/checkbox"..math.random(1, 3)..".tga" );
	end
	
end

function DiaryAdventureNode:ExpandAll()
	self:SetExpanded(true);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):ExpandAll();
	end
end

function DiaryAdventureNode:CollapseAll()
	self:SetExpanded(false);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):CollapseAll();
	end	
end