import "WalmPlugins.YourOwnAdventures.DiaryEntryNode";

DiaryAdventurePage = class( Turbine.UI.Label );

function DiaryAdventurePage:Constructor(x, y, w, h)
	Turbine.UI.Label.Constructor( self );
	self:SetPosition( x, y );
	self:SetSize(w, h);
	self:SetMouseVisible( false );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	

	self:BuildComponents();
end

function DiaryAdventurePage:SetAdventure(adventure)
	self.quest = adventure;
	if(adventure==nil) then
		self.titleLabel:SetText("");
	else
		self.titleLabel:SetText( TRAD("Mon aventure : ", "My adventure : ")..adventure.title);
	end
	self.sep1:SetVisible( adventure~=nil );
	self:UpdateAdventureTreeView();
	
end
function DiaryAdventurePage:BuildComponents()
	
	self.titleLabel = Turbine.UI.Label();
	self.titleLabel:SetParent( self );
	self.titleLabel:SetPosition( 10, 10 );
	self.titleLabel:SetSize(self:GetWidth()-20, 72);
	self.titleLabel:SetMouseVisible( false );
	self.titleLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	self.titleLabel:SetFont( Turbine.UI.Lotro.Font.BookAntiquaBold24);
	self.titleLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	self.titleLabel:SetMouseVisible( false );

	self.sep1 = Turbine.UI.Label();
	self.sep1:SetParent( self );
	self.sep1:SetPosition( (self:GetWidth()-247)/2 , 80 );
	self.sep1:SetSize(247, 15);
	self.sep1:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.sep1:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/sep_hor.tga");
	self.sep1:SetMouseVisible( false );	
	self.sep1:SetVisible( false );
	
	self.entryTreeView = Turbine.UI.TreeView();
    self.entryTreeView:SetParent( self );
    self.entryTreeView:SetPosition( 5, 95 );
    self.entryTreeView:SetSize( self:GetWidth()-20, 440 );
    self.entryTreeView:SetIndentationWidth( 15 );
    self.entryTreeView:SetMouseVisible( false );
 
	local treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    treeViewScrollBar:SetParent( self );
    treeViewScrollBar:SetPosition( self.entryTreeView:GetLeft()+self.entryTreeView:GetWidth(), self.entryTreeView:GetTop() );
    treeViewScrollBar:SetSize( 10, self.entryTreeView:GetHeight() );
	self.entryTreeView:SetVerticalScrollBar( treeViewScrollBar );
	self:UpdateAdventureTreeView();	
end

function DiaryAdventurePage:UpdateAdventureTreeView()
	rootNodes = self.entryTreeView:GetNodes();	
	rootNodes:Clear();
	
	if(self.quest~=nil) then
		if(PROGRESS.ADVENTURES[self.quest.uniqueID]~=nil and PROGRESS.ADVENTURES[self.quest.uniqueID].diary~=nil) then
			for i, entry in pairs(PROGRESS.ADVENTURES[self.quest.uniqueID].diary) do
				if(type(entry)=="string") then
					local gNode = DiaryEntryNode(self.entryTreeView:GetWidth());
					gNode:UpdateText(entry);
					rootNodes:Add(gNode);
				elseif(type(entry)=="table") then
					local gNode = DiaryEntryNode(self.entryTreeView:GetWidth());
					gNode:UpdatePicture(entry);
					rootNodes:Add(gNode);					
				end
			end
		else
			local gNode = DiaryEntryNode(self.entryTreeView:GetWidth());
			gNode:UpdateText(_("DIARY_ADV_NOTSTARTED"));
			rootNodes:Add(gNode);	
		end
	end
end
