import "WalmPlugins.YourOwnAdventures.DiaryAdventureNode";

DiaryFamilyPage = class( Turbine.UI.Label );

function DiaryFamilyPage:Constructor(x, y, w, h)
	Turbine.UI.Label.Constructor( self );
	self:SetPosition( x, y );
	self:SetSize(w, h);
	self:SetMouseVisible( false );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	

	self:BuildComponents();
	self:ShowFamily("Mes premiers pas d'aventurier");
end

function DiaryFamilyPage:ShowFamily(familyName)
	if(familyName==nil) then
		familyName = ADVENTURES[1].family;
	end
	self.familyName = familyName;
	self.adventureNameLabel:SetText( "\""..FormatAdventureString(familyName).."\" :" );
	
	self:UpdateFamilyTreeView();
end

function DiaryFamilyPage:BuildComponents()
	local titleLabel = Turbine.UI.Label();
	titleLabel:SetParent( self );
	titleLabel:SetPosition( 5, 15 );
	titleLabel:SetSize(self:GetWidth()-10, 24);
	titleLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );	
	titleLabel:SetFont( Turbine.UI.Lotro.Font.TrajanProBold25);
	titleLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	titleLabel:SetText( _("DIARY_ADV_CONCERN") );
	titleLabel:SetMouseVisible( false );

	self.adventureNameLabel = Turbine.UI.Label();
	self.adventureNameLabel:SetParent( self );
	self.adventureNameLabel:SetPosition( 5, 35 );
	self.adventureNameLabel:SetSize(self:GetWidth()-10, 50);
	self.adventureNameLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.adventureNameLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );	
	self.adventureNameLabel:SetFont( Turbine.UI.Lotro.Font.BookAntiquaBold24);
	self.adventureNameLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	self.adventureNameLabel:SetMouseVisible( false );
	
	local sep1 = Turbine.UI.Label();
	sep1:SetParent( self );
	sep1:SetPosition( (self:GetWidth()-247)/2 , 105 );
	sep1:SetSize(247, 15);
	sep1:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	sep1:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/sep_hor.tga");
	sep1:SetMouseVisible( false );	
	
	self.familyTreeView = Turbine.UI.TreeView();
    self.familyTreeView:SetParent( self );
    self.familyTreeView:SetPosition( 12, 125 );
    self.familyTreeView:SetSize( self:GetWidth()-25, 405 );
    self.familyTreeView:SetIndentationWidth( 15 );
    self.familyTreeView:SetMouseVisible( false );
   
	local treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    treeViewScrollBar:SetParent( self );
    treeViewScrollBar:SetPosition( self.familyTreeView:GetLeft()+self.familyTreeView:GetWidth(), self.familyTreeView:GetTop() );
    treeViewScrollBar:SetSize( 10, self.familyTreeView:GetHeight() );
	self.familyTreeView:SetVerticalScrollBar( treeViewScrollBar );
	self.familyTreeView.SelectedNodeChanged = function(sender, args)
		local node = self.familyTreeView:GetSelectedNode();		
		if(node~=nil) then
			AdvDiary.adventurePage:SetAdventure(node.adventure);
			AdvDiary:ShowDialog(true, 2);	
		end
	end
	self:UpdateFamilyTreeView();	
end

function DiaryFamilyPage:UpdateFamilyTreeView()
	rootNodes = self.familyTreeView:GetNodes();	
	rootNodes:Clear();
	
	local lockedAdv = 0;
	for i=1, table.getn(ADVENTURES), 1 do
		if (ADVENTURES[i].family == self.familyName) then
			if(ADVENTURES[i].requireCompletion==nil or (ADVENTURES[i].requireCompletion~=nil and PROGRESS.ACHIEVEMENTS[ADVENTURES[i].requireCompletion]~=nil and PROGRESS.ACHIEVEMENTS[ADVENTURES[i].requireCompletion].count>0)) then
				-- TODO Trier par date de completion
				local gNode = DiaryAdventureNode(self.familyTreeView:GetWidth(), ADVENTURES[i]);
				rootNodes:Add(gNode);
			else
				lockedAdv = lockedAdv + 1 ;
			end
		end
	end
	if(lockedAdv>0) then
		local gNode = DiaryEntryNode(self.familyTreeView:GetWidth());
		gNode:UpdateText("+ "..lockedAdv.." aventures non découvertes.");
		rootNodes:Add(gNode);		
	end
end