GroupNode = class( Turbine.UI.TreeNode );

function GroupNode:Constructor(value)
	self.nodeValue = FormatAdventureString(value);
	
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( 250, 18 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	self.labelKey = Turbine.UI.Label();
	self.labelKey:SetParent( self );
	self.labelKey:SetSize( 250, 16 );
	self.labelKey:SetPosition( 20, 0 );
	self.labelKey:SetZOrder(100);
	self.labelKey:SetFont( Turbine.UI.Lotro.Font.TrajanPro14 );	
	self.labelKey:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	self.labelKey:SetMouseVisible( false );
	self.labelKey:SetText(self.nodeValue);
	self.labelKey:SetForeColor(Turbine.UI.Color( 1, 1, 0 ));	
	
	self.iconExpand = Turbine.UI.Control();
	self.iconExpand:SetParent( self );
	self.iconExpand:SetSize( 16, 16 );
	self.iconExpand:SetBackground( IconExpand );
	self.iconExpand:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.iconExpand:SetMouseVisible( false );
	
	self.MouseClick = function( sender, args )			
		if self:IsExpanded() then
			self.iconExpand:SetBackground( 0x41007E26 );
		else
			self.iconExpand:SetBackground( 0x41007E27 );
		end
	end
	self.MouseDoubleClick = self.MouseClick;
	self:ExpandAll();
end

function GroupNode:GetWarbandNode(wb)
	for i=1, self:GetChildNodes():GetCount(), 1 do
		local node = self:GetChildNodes():Get(i);
		if(node.warband~=nil) then
			if (node.warband.id==wb.id) then
				return node;
			end
		else
			local node = self:GetChildNodes():Get(i):GetWarbandNode(wb);
			if(node~=nil) then
				return node;
			end
		end
	end	
	return nil;
end

function GroupNode:UpdateWBNodeStatus(wbid, wbLastKillDate, cdUp, alwaysOn)
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):UpdateWBNodeStatus(wbid, wbLastKillDate, cdUp, alwaysOn);
	end	
end

function GroupNode:SetValue(value)
	self.labelKey:SetText(value);
end

function GroupNode:GetValue()
	return self.nodeValue;
end

function GroupNode:AlwaysHideMe()
	self:SetSize( 250, 0 );
	self.alwaysHidden = true;
end

function GroupNode:ApplyFilters(filters)
	local visibleNodes = 0;
	for i=1, self:GetChildNodes():GetCount(), 1 do
		visibleNodes = visibleNodes + self:GetChildNodes():Get(i):ApplyFilters(filters);
	end
	if(visibleNodes==0 or self.alwaysHidden==true) then
		self:SetSize( 250, 0 );
	else
		self:SetSize( 250, 18 );
	end
	self.labelKey:SetText(self.nodeValue.."  ["..visibleNodes.."]");
	return visibleNodes;
end

function GroupNode:SetPrintable(printable)
	self:SetVisible(printable);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):SetVisible(printable);
	end	
end

function GroupNode:ExpandAll()
	self:SetExpanded(true);
	self.iconExpand:SetBackground( 0x41007E26 );
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):ExpandAll();
	end
end

function GroupNode:CollapseAll()
	self:SetExpanded(false);
	self.iconExpand:SetBackground( 0x41007E27 );
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):CollapseAll();
	end	
end