HelpWindow = class( Turbine.UI.Lotro.Window );

function HelpWindow:Constructor()
	Turbine.UI.Lotro.Window.Constructor( self );
	
	self:SetSize( 500, 300 );
	self:SetText(TRAD("Aide", "Help"));
	self:SetVisible(false);
	if(Preferences.help_x==nil or Preferences.help_y==nil) then
		Preferences.help_x = Turbine.UI.Display.GetWidth()/2-175;
		Preferences.help_y = Turbine.UI.Display.GetHeight()/2-100;
	end
	self:SetPosition(Preferences.help_x, Preferences.help_y);
	
	self:CreateComponents();
	self.PositionChanged = function(sender, args)
		Preferences.help_x, Preferences.help_y = self:GetPosition();
		SavePreferences();
	end	

	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			sender:SetVisible( false ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end

			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end
end

function HelpWindow:CreateComponents()
	
	local updateLabel = Turbine.UI.Label();
	updateLabel:SetParent( self );
	updateLabel:SetSize( self:GetWidth(), 18 );
	updateLabel:SetPosition( 0, 35 );
	updateLabel:SetFont( Turbine.UI.Lotro.Font.TrajanPro18 );	
	updateLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	updateLabel:SetForeColor(Turbine.UI.Color( 1, 1, 0 ));		
	updateLabel:SetText(TRAD("Pour les mises à jour :", "For plugin's updates :"));
	local updateIcoLabel = Turbine.UI.Label();
	updateIcoLabel:SetParent( self );
	updateIcoLabel:SetSize( 150, 80 );
	updateIcoLabel:SetPosition( 15, 60 );
	updateIcoLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	updateIcoLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/help/lotroi-wiki-logo.tga");
	local updateURLTB = Turbine.UI.TextBox();
	updateURLTB:SetParent( self );
	updateURLTB:SetSize( self:GetWidth()-150-15-30, 80 );
	updateURLTB:SetPosition( 15+150+15, 60 );	
	--updateURLTB:SetBackColor(Turbine.UI.Color(0,0,1,0));
	updateURLTB:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	updateURLTB:IsMultiline(true);
	updateURLTB:IsReadOnly(true);
	updateURLTB:IsSelectable(true);
	updateURLTB:SetText("https://www.lotrointerface.com/downloads/info1080-YourOwnAdventures.html");
	
	local shareLabel = Turbine.UI.Label();
	shareLabel:SetParent( self );
	shareLabel:SetSize( self:GetWidth(), 18 );
	shareLabel:SetPosition( 0, 150 );
	shareLabel:SetFont( Turbine.UI.Lotro.Font.TrajanPro18 );	
	shareLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	shareLabel:SetForeColor(Turbine.UI.Color( 1, 1, 0 ));		
	shareLabel:SetText(TRAD("Pour partager des scripts, avoir de l'aide ou discuter :", "To share scripts, get help or discuss :"));
	local shareIcoLabel = Turbine.UI.Label();
	shareIcoLabel:SetParent( self );
	shareIcoLabel:SetSize( 150, 80 );
	shareIcoLabel:SetPosition( 15, 175 );
	shareIcoLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	shareIcoLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/help/discord.jpg");
	local shareURLTB = Turbine.UI.TextBox();
	shareURLTB:SetParent( self );
	shareURLTB:SetSize( self:GetWidth()-150-15-30, 80 );
	shareURLTB:SetPosition( 15+150+15, 175 );	
	shareURLTB:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	shareURLTB:IsMultiline(true);
	shareURLTB:IsReadOnly(true);
	shareURLTB:IsSelectable(true);
	shareURLTB:SetText("https://discord.gg/atYjpr");	
	
	self:ConstructFooter();
end

function HelpWindow:ConstructFooter()
	local lowerSep = Turbine.UI.Control();
	lowerSep:SetParent( self );
	lowerSep:SetSize( self:GetWidth()-8 , 2 );
	lowerSep:SetPosition( 4, self:GetHeight()-34 );	
	lowerSep:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	lowerSep:SetZOrder(99);

	local optionbtn = Turbine.UI.Lotro.Button();
    optionbtn:SetParent( self );
    optionbtn:SetPosition( 380, 270 );
    optionbtn:SetSize( 90, 18 );
    optionbtn:SetText(_("PARAMS"));
	optionbtn.Click = function( sender, args )
		local confidwindow = BuildConfigDialog();
		confidwindow:SetVisible(not confidwindow:IsVisible());
	end
end