import "WalmPlugins.YourOwnAdventures.ItemTooltip";

InventoryDialog = class( Turbine.UI.Window );

function InventoryDialog:Constructor()
	Turbine.UI.Window.Constructor( self );
	
	self:SetSize(230, 280);
	self:SetText("Inventaire");
	self:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/background.tga");

	if(Preferences.inventory_x==nil or Preferences.inventory_y==nil) then
		Preferences.inventory_x = Turbine.UI.Display.GetWidth()/2-175;
		Preferences.inventory_y = Turbine.UI.Display.GetHeight()/2-100;
	end
	self:SetPosition(Preferences.inventory_x, Preferences.inventory_y);

	local closeButton = Turbine.UI.Label();
	closeButton:SetParent( self );
	closeButton:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/close.jpg" );
	closeButton:SetSize(16, 16);
	closeButton:SetPosition( self:GetWidth()-16, 0 );	
	closeButton.MouseClick = function (sender, args)
		self:SetVisible( false );
	end

	self.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left and Preferences.canMoveQuickLauncher) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
		end
	end
	self.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then			
			if (sender.dragging) then
				sender.dragging = false;
			end
			Preferences.inventory_x, Preferences.inventory_y = self:GetPosition();
			SavePreferences();
			if(Preferences.OnUpdate ~= nil) then
				Preferences.OnUpdate();
			end
		end
	end
	self.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender.dragged = true;
			if (self:GetLeft() > Turbine.UI.Display.GetWidth() - 35) then
				self:SetLeft(Turbine.UI.Display.GetWidth() - 35);				
			end
			if (self:GetLeft() < 0) then
				self:SetLeft(0);				
			end			
			if (self:GetTop() > Turbine.UI.Display.GetHeight() - 35) then
				self:SetTop(Turbine.UI.Display.GetHeight() - 35);				
			end
			if (self:GetTop() < 0) then
				self:SetTop(0);				
			end			
		end
	end

	self.forge1Label = Turbine.UI.Label();
	self.forge1Label:SetParent( self );
	self.forge1Label:SetPosition( -20, 175 );
	self.forge1Label:SetSize(72, 115);
	self.forge1Label:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.forge1Label:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/forge_l.tga");
	self.forge1Label:SetMouseVisible( false );	
	self.forge1Label:SetVisible( false );	
	self.forge2Label = Turbine.UI.Label();
	self.forge2Label:SetParent( self );
	self.forge2Label:SetPosition( self:GetWidth()-50, 175 );
	self.forge2Label:SetSize(72, 115);
	self.forge2Label:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.forge2Label:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/forge_r.tga");
	self.forge2Label:SetMouseVisible( false );	
	self.forge2Label:SetVisible( false );	

	local titleLabel = Turbine.UI.Label();
	titleLabel:SetParent( self );
	titleLabel:SetPosition( 5, 5 );
	titleLabel:SetSize(self:GetWidth()-10, 24);
	titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );	
	titleLabel:SetFont( Turbine.UI.Lotro.Font.TrajanPro20);
	titleLabel:SetForeColor( Turbine.UI.Color(197/255, 179/255, 88/255) );
	titleLabel:SetText( _("INV_TITLE") );
	titleLabel:SetMouseVisible( false );		

	local searchLabel = Turbine.UI.Label();
	searchLabel:SetParent( self );
	searchLabel:SetPosition( (self:GetWidth()-200)/2, 35 );
	searchLabel:SetSize(182, 18);
	searchLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/searchfield.jpg");
	searchLabel:SetMouseVisible( false );		
	local searchButton = Turbine.UI.Label();
	searchButton:SetParent( self );
	searchButton:SetPosition( searchLabel:GetLeft()+182, 35 );
	searchButton:SetSize(18, 18);
	searchButton:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/searchbutton.jpg");
	searchButton:SetMouseVisible( false );
	self.searchTextArea = Turbine.UI.TextBox();
	self.searchTextArea:SetParent( searchLabel );
	self.searchTextArea:SetText(Preferences.searchInventory or nil);
	self.searchTextArea:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	self.searchTextArea:SetPosition( 1, 1 );
	self.searchTextArea:SetBackColor(Turbine.UI.Color( 0, 0, 0 ));
	self.searchTextArea:SetSize(searchLabel:GetWidth()-2, searchLabel:GetHeight()-2);
	self.searchTextArea:SetMultiline(false);
	self.searchTextArea.TextChanged = function (s, o)
		self:UpdateSearch();
		Preferences.searchInventory = self.searchTextArea:GetText();
		SavePreferences();
	end
	self.campaignCheckbox = Turbine.UI.Lotro.CheckBox();
	self.campaignCheckbox:SetParent( self );
	self.campaignCheckbox:SetPosition( 15, 55 );
	self.campaignCheckbox:SetSize(250, 18);
	self.campaignCheckbox:SetText(_("INV_CAMPFILTER"));
	self.campaignCheckbox:SetChecked(Preferences.searchCampaign);
	self.campaignCheckbox.CheckedChanged = function (sender, args)
		self:UpdateSearch();
		Preferences.searchCampaign = self.campaignCheckbox:IsChecked();
		SavePreferences();
	end
	
	self.InvLinesTreeView = Turbine.UI.TreeView();
    self.InvLinesTreeView:SetParent( self );
    self.InvLinesTreeView:SetPosition(  (self:GetWidth()-178)/2, 80 );
    self.InvLinesTreeView:SetSize( 178, 136 );
    self.InvLinesTreeView:SetIndentationWidth( 15 );
    self.InvLinesTreeView:SetMouseVisible( false );
	local treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    treeViewScrollBar:SetParent( self );
    treeViewScrollBar:SetPosition( self.InvLinesTreeView:GetLeft()+self.InvLinesTreeView:GetWidth(), self.InvLinesTreeView:GetTop() );
    treeViewScrollBar:SetSize( 10, self.InvLinesTreeView:GetHeight() );
	self.InvLinesTreeView:SetVerticalScrollBar( treeViewScrollBar );
	
	local craftSlot1Back = Turbine.UI.Label();
	craftSlot1Back:SetParent( self );
	craftSlot1Back:SetPosition( 61, 230 );
	craftSlot1Back:SetSize(40, 40);
	craftSlot1Back:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/inv/inv_empty_slot.tga" );	
	self.craftSlot1 = Turbine.UI.Label();
	self.craftSlot1:SetParent( craftSlot1Back );
	self.craftSlot1:SetPosition( 4, 4 );
	self.craftSlot1:SetSize(32, 32);
	self.craftSlot1.MouseEnter = function (sender, args)
		if (self.craftSlot1.tooltip ~= nil) then
			local x = Turbine.UI.Display.GetMouseX()+20;
			local y = Turbine.UI.Display.GetMouseY();
			if( x + self.craftSlot1:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-self.craftSlot1:GetWidth()-10; end
			if( y + self.craftSlot1:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-self.craftSlot1:GetHeight()-10; end
			self.craftSlot1.tooltip:SetPosition(x, y);
			self.craftSlot1.tooltip:SetVisible(true);
		end
	end
	self.craftSlot1.MouseLeave = function (sender, args)
		if (self.craftSlot1.tooltip ~= nil) then
			self.craftSlot1.tooltip:SetVisible(false);
		end
	end	

	local craftSlot2Back = Turbine.UI.Label();
	craftSlot2Back:SetParent( self );
	craftSlot2Back:SetPosition( 131, 230 );
	craftSlot2Back:SetSize(40, 40);
	craftSlot2Back:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/inv/inv_empty_slot.tga" );
	self.craftSlot2 = Turbine.UI.Label();
	self.craftSlot2:SetParent( craftSlot2Back );
	self.craftSlot2:SetPosition( 4, 4 );
	self.craftSlot2:SetSize(32, 32);
	
	self.craftSlot2.MouseEnter = function (sender, args)
		if (self.craftSlot2.tooltip ~= nil) then
			local x = Turbine.UI.Display.GetMouseX()+20;
			local y = Turbine.UI.Display.GetMouseY();
			if( x + self.craftSlot2:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-self.craftSlot2:GetWidth()-10; end
			if( y + self.craftSlot2:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-self.craftSlot2:GetHeight()-10; end
			self.craftSlot2.tooltip:SetPosition(x, y);
			self.craftSlot2.tooltip:SetVisible(true);
		end
	end
	self.craftSlot2.MouseLeave = function (sender, args)
		if (self.craftSlot2.tooltip ~= nil) then
			self.craftSlot2.tooltip:SetVisible(false);
		end
	end		
	
	self.craftButton = Turbine.UI.Label();
	self.craftButton:SetParent( self );
	self.craftButton:SetPosition( craftSlot1Back:GetLeft()+craftSlot1Back:GetWidth()-1, craftSlot1Back:GetTop()+4 );
	self.craftButton:SetSize(32, 32);
	self.craftButton:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/forgeButton.jpg");
	self.craftButton:SetVisible( false );
	self.craftButton.MouseClick = function(sender, args)
		if(self.craftButton.craftCompletion~=nil) then
			-- tester si nextStep && aventure en cours = aventure item ou canBeCraftedInAnotherQuest // canBeCraftedInAnotherFamily
			AdventureEngine:ApplyStepGenericActions(self.craftButton.craftCompletion);
			
		else
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_ERRCRAFT_CANTCRAFT").."</rgb>");
		end
	end
	self:UpdateInventoryView();

	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			self:SetVisible( false ) ;
		elseif(args.Action == Turbine.UI.Lotro.Action.ToggleBags) then
			self:SetVisible( not self:IsVisible() ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end

			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end
end

function InventoryDialog:SetMenuButton(cpt)
	self.menuButton = cpt;
end

function InventoryDialog:UpdateInventoryView()
	self.InvLinesTreeView:GetNodes():Clear();
	
	self.craftSlot1.tooltip = nil;
	self.craftSlot1:SetBackground(nil);
	self.craftSlot1.lItem = nil;
	self.craftSlot1.sItem = nil;	
	self.craftSlot2.tooltip = nil;
	self.craftSlot2:SetBackground(nil);
	self.craftSlot2.lItem = nil;
	self.craftSlot2.sItem = nil;		
	self:UpdateCraftView();
	
	local lineNode = nil;
	local nodeNumer = 0;
	for id, item in pairs(PROGRESS.INVENTORY) do
		if(lineNode==nil or table.getn(lineNode.slots)>4) then
			lineNode = Turbine.UI.TreeNode();
			lineNode:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
			lineNode:SetSize(178, 34);
			lineNode:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/inv_items_lineslots.tga");
			lineNode.slots = {};
			self.InvLinesTreeView:GetNodes():Add(lineNode);	
			nodeNumer = nodeNumer + 1;
		end
		local pos = table.getn(lineNode.slots);
		local slot = self:BuildSlot(lineNode, 3+(pos*35), id);
		lineNode.slots[pos+1] = slot;	
	end
	for i=nodeNumer , 3 , 1 do
		local lineNode = Turbine.UI.TreeNode();
		lineNode:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
		lineNode:SetSize(178, 34);
		lineNode:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/inv_items_lineslots.tga");
		lineNode.slots = {};
		self.InvLinesTreeView:GetNodes():Add(lineNode);	
	end
end

function InventoryDialog:BuildSlot(parent, x, itemId)
	if(itemId>table.getn(PROGRESS.INVENTORY)) then 
		return nil; 
	end
	local slot = Turbine.UI.Label();
	slot:SetParent(parent);
	slot:SetPosition(x, 1);
	slot:SetSize(32, 32);
	slot.sItem = PROGRESS.INVENTORY[itemId];
	if(slot.sItem==nil) then
		return nil;
	end
	
	slot.lItem = ITEMS[slot.sItem.uniqueId];

	if(slot.sItem~=nil and slot.sItem.quantity>1) then
		local qtyLabel = Turbine.UI.Label();
		qtyLabel:SetParent(slot);
		qtyLabel:SetPosition(2, 2);
		qtyLabel:SetMouseVisible(false);
		qtyLabel:SetSize(28, 28);
		qtyLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
		qtyLabel:SetTextAlignment(Turbine.UI.ContentAlignment.BottomRight);
		qtyLabel:SetText(slot.sItem.quantity);
	end

	slot.filtered = Turbine.UI.Label();
	slot.filtered:SetParent(slot);
	slot.filtered:SetPosition(0, 0);
	slot.filtered:SetMouseVisible(false);
	slot.filtered:SetSize(32, 32);
	slot.filtered:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	slot.filtered:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/inv_filtered_slot.tga");
	slot.filtered:SetVisible(false);

	if(slot.lItem ~= nil) then		
		slot:SetBackground(slot.lItem.picture);
		slot.MouseEnter = function (sender, args)
			if (slot.tooltip == nil) then
				slot.tooltip = ItemTooltip(slot.sItem);
				slot.tooltip:SetZOrder(100);
			end
			local x = Turbine.UI.Display.GetMouseX()+20;
			local y = Turbine.UI.Display.GetMouseY();
			if( x + slot.tooltip:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-slot.tooltip:GetWidth()-10; end
			if( y + slot.tooltip:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-slot.tooltip:GetHeight()-10; end
			slot.tooltip:SetPosition(x, y);
			slot.tooltip:SetVisible(true);
		end
		slot.MouseLeave = function (sender, args)
			if (slot.tooltip ~= nil) then
				slot.tooltip:SetVisible(false);
			end
			
		end	
		if(slot.contextMenu==nil) then
			slot.contextMenu = Turbine.UI.ContextMenu();
			local menuItems = slot.contextMenu:GetItems();
			local openMenuItem = Turbine.UI.MenuItem( _("INV_ACTION_OPEN") );
			openMenuItem.Click = function(sender, args) self:ItemAction(slot.lItem, slot.sItem, "OPEN", slot.lItem.onOpen, slot); end
			menuItems:Add( openMenuItem );
			local closeMenuItem = Turbine.UI.MenuItem( _("INV_ACTION_CLOSE") );
			closeMenuItem.Click = function(sender, args) self:ItemAction(slot.lItem, slot.sItem, "CLOSE", slot.lItem.onClose, slot); end
			menuItems:Add( closeMenuItem );	
			local lookMenuItem = Turbine.UI.MenuItem( _("INV_ACTION_LOOK") );
			lookMenuItem.Click = function(sender, args) self:ItemAction(slot.lItem, slot.sItem, "LOOK", slot.lItem.onLook, slot); end
			menuItems:Add( lookMenuItem );	
			local useMenuItem = Turbine.UI.MenuItem( _("INV_ACTION_USE") );
			useMenuItem.Click = function(sender, args) self:ItemAction(slot.lItem, slot.sItem, "USE", slot.lItem.onUse, slot); end
			menuItems:Add( useMenuItem );	
			local slot1MenuItem = Turbine.UI.MenuItem( _("INV_ACTION_SLOT1") );
			slot1MenuItem.Click = function(sender, args) self:ItemAction(slot.lItem, slot.sItem, "SLOT1", slot.lItem.onCraft, slot); end
			menuItems:Add( slot1MenuItem );		
			local slot2MenuItem = Turbine.UI.MenuItem( _("INV_ACTION_SLOT2") );
			slot2MenuItem.Click = function(sender, args) self:ItemAction(slot.lItem, slot.sItem, "SLOT2", slot.lItem.onCraft, slot); end
			menuItems:Add( slot2MenuItem );			
		end
		slot.MouseUp = function( sender, args ) 
		if (args.Button == Turbine.UI.MouseButton.Right) then	
			slot.contextMenu:ShowMenu();
		end
	end
	else
		slot:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/default.jpg");
	end
	return slot;
end

function InventoryDialog:ItemAction(lItem, sItem, action, completionFunction, slot)
	AdventureEngine:ItemAction(action, sItem.uniqueId);
	if(action=="SLOT1") then
		if(lItem==nil) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_ERRCRAFT_UNKNOWNITEM").."</rgb>");
		else
			if(sItem.quantity<2 and self.craftSlot2.lItem==lItem) then
				self.craftSlot2.tooltip = nil;
				self.craftSlot2:SetBackground(nil);
				self.craftSlot2.lItem = nil;
				self.craftSlot2.sItem = nil;		
			end
			self.craftSlot1.tooltip = slot.tooltip;
			self.craftSlot1:SetBackground(lItem.picture);
			self.craftSlot1.lItem = lItem;
			self.craftSlot1.sItem = sItem;
			self:UpdateCraftView();
		end
	elseif(action=="SLOT2") then
		if(lItem==nil) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_ERRCRAFT_UNKNOWNITEM").."</rgb>");
		else
			if(sItem.quantity<2 and self.craftSlot1.sItem) then
				self.craftSlot1.tooltip = nil;
				self.craftSlot1:SetBackground(nil);
				self.craftSlot1.lItem = nil;
				self.craftSlot1.sItem = nil;		
			end		
			self.craftSlot2.tooltip = slot.tooltip;
			self.craftSlot2:SetBackground(lItem.picture);
			self.craftSlot2.lItem = lItem;
			self.craftSlot2.sItem = sItem;
			self:UpdateCraftView();
		end
	elseif(completionFunction==nil) then
		if(action=="OPEN") then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_OPEN_ERR").."</rgb>");
		elseif(action=="CLOSE") then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_CLOSE_ERR").."</rgb>");
		elseif(action=="LOOK") then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_LOOK_ERR").."</rgb>");
		elseif(action=="USE") then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_USE_ERR").."</rgb>");
		end
	else
		if(completionFunction.requireItem~=nil and inventoryEngine:HasItem(completionFunction.requireItem)==false) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_NEED_ITEM").."</rgb>");
			return;
		end
		if(completionFunction.requireAdventure~=nil and AdventureEngine:IsCurrentAdventure(completionFunction.requireAdventure)==false) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".. _("INV_ACTION_NEED_ADV").."</rgb>");
			return;
		end
		AdventureEngine:ApplyStepGenericActions(completionFunction, inventoryEngine:GetAdventureByUniqueId(sItem.parentQuestId));
	end
end

function InventoryDialog:UpdateCraftView()
	self.craftButton:SetVisible(false);
	self.forge1Label:SetVisible(false);
	self.forge2Label:SetVisible(false);
	self.craftButton.craftCompletion = nil;
	if(self.craftSlot2.lItem~=nil and self.craftSlot1.lItem~=nil) then
		local note1 = self:TestCraftCapacity(self.craftSlot1, self.craftSlot2);
		local note2 = self:TestCraftCapacity(self.craftSlot2, self.craftSlot1);
		self.forge1Label:SetVisible(note1>2 or note2>3);
		self.forge2Label:SetVisible(note2>2 or note1>3);
		self.craftButton:SetVisible(note2>3 or note1>3);
		if(note1>3)then	
			self.craftButton.craftCompletion = self.craftSlot1.lItem.onCraft;
		elseif(note2>3)then
			self.craftButton.craftCompletion = self.craftSlot2.lItem.onCraft;
		else
			self.craftButton.craftCompletion = nil;
		end
	end		
end

function InventoryDialog:TestCraftCapacity(craftSlotComponent1, craftSlotComponent2)
	if(craftSlotComponent1==nil or craftSlotComponent1.lItem==nil) then return 0; end
	if(craftSlotComponent1.lItem.onCraft==nil) then return 1; end
	if(craftSlotComponent2.sItem==nil) then return 2; end
	if(type(craftSlotComponent1.lItem.onCraft.requireItem)=="string")then
		if(craftSlotComponent1.lItem.onCraft.requireItem == craftSlotComponent2.sItem.uniqueId) then return 4; else return 3; end
		return 4;
	elseif(type(craftSlotComponent1.lItem.onCraft.requireItem)=="table") then
		for i, ID in pairs(craftSlotComponent1.lItem.onCraft.requireItem) do
			if(ID == craftSlotComponent2.sItem.uniqueId) then return 4; end
		end
		return 3;
	end
	return 2;
end

function InventoryDialog:UpdateSearch()
	local currentQuest = AdventureEngine.quest;
	for i=1, self.InvLinesTreeView:GetNodes():GetCount(), 1 do
		local node = self.InvLinesTreeView:GetNodes():Get(i);
		for j, slot in pairs(node.slots) do
			local displayable = true;
			if(slot~=nil) then
				if(slot.lItem~=nil and self.searchTextArea:GetText()~=nil and string.len(self.searchTextArea:GetText())>0) then
					displayable = (string.match(string.lower(slot.lItem.name), self.searchTextArea:GetText())~=nil);
				end
				if(self.campaignCheckbox:IsChecked() and AdventureEngine.quest~=nil and AdventureEngine.quest.family~=nil and slot.sItem~=nil) then
					displayable = (displayable and AdventureEngine.quest.family == slot.sItem.familyQuestId);
				end
			end
			if(displayable==true) then
				slot.filtered:SetVisible(false);
			else
				slot.filtered:SetVisible(true);
			end
		end
	end
end

function CleanItemName(name, quantity, addQuantity)
	if(quantity==nil or quantity<2) then
		name = string.gsub(name, "{", "");
		name = string.gsub(name, "}", "");
		name = string.gsub(name, "%[.-%]", "");
	else
		name = string.gsub(name, "%[", "");
		name = string.gsub(name, "%]", "");	
		name = string.gsub(name, "{.-}", "");
		if(addQuantity~=nil and addQuantity~=false) then
			name = quantity .. " " .. name;
		end
	end
	return name;
end