import "WalmPlugins.YourOwnAdventures.InventoryDialog";

InventoryEngine = class();

function InventoryEngine:Constructor()	
	
end

function InventoryEngine:HasItem(uniqueID, qty)
	if(uniqueID==nil) then return false; end
	if(qty==nil) then qty=1; end
	if(type(uniqueID)=="table") then
		if(uniqueID.itemid~=nil) then
			return self:HasItem(uniqueID.itemid, uniqueID.quantity);
		else
			local ok = true;
			for i, ID in pairs(uniqueID) do
				ok = ok and self:HasItem(ID);
			end
			return ok;
		end
	elseif(type(uniqueID)=="string") then
		for i, item in pairs(PROGRESS.INVENTORY) do
			if(item.uniqueId == uniqueID) then
				return (item.quantity>=qty);
			end
		end
	end
	return false;
end

function InventoryEngine:GetItemName(itemID)
	if(type(itemID)=="string") then
		local lItem = ITEMS[itemID];
		if(lItem ~= nil) then
			return lItem.name;
		end
	elseif(type(itemID)=="table") then
		return "plusieurs objets";
	end
	return "";
end

function InventoryEngine:AddItem(itemUniqueId, qty, quest)
	if(itemUniqueId==nil) then
		return false;
	end
	-- {itemid="WALM-TECH12_ITEM1", quantity="487"
	if(type(itemUniqueId)=="table" and itemUniqueId.itemid~=nil) then
		qty = itemUniqueId.quantity;
		itemUniqueId = itemUniqueId.itemid;
	end
	local lItem = ITEMS[itemUniqueId];
	if(lItem==nil) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("INV_ERRUNKNOWNITEM")..(itemUniqueId or "???").."</rgb>");
		return false;
	end
	if(quest==nil) then
		quest = AdventureEngine:GetActiveQuest();
	end 
	-- if(lItem.OnlyForEngine~=nil) then
		-- if(quest==nil or quest.uniqueID~="ENGINE") then
			-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(lItem.name)..TRAD("\" ne peut être récupéré que via le plugin.", "\" can be obtained only by the plugin.").."</rgb>");
			-- return false;
		-- end
	-- else
	if(lItem.OnlyForAdventure~=nil) then
		if(quest==nil or quest.uniqueID~=lItem.OnlyForAdventure) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(lItem.name)..TRAD("\" ne peut être récupéré que dans une aventure précise.", "\" can be obtained only in a specific adventure.").."</rgb>");
			return false;
		end
	elseif(lItem.OnlyForCampaign~=nil) then
		if(quest==nil or quest.family~=lItem.OnlyForCampaign) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(lItem.name)..TRAD("\" ne peut être récupéré que dans une aventure de la campagne \"", "\" can be obtained only in an adventure of the campaign \"")..lItem.OnlyForCampaign.."\"</rgb>");
			return false;
		end	
	elseif(lItem.OnlyForCampaignByCreator~=nil) then
		if(quest==nil or quest.author~=lItem.OnlyForCampaignByCreator) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(lItem.name)..TRAD("\" ne peut être récupéré que dans une aventure créée par ", "\" can be obtained only in an adventure made by ")..lItem.OnlyForCampaignByCreator.."</rgb>");
			return false;
		end	
	end
	if(lItem.unique==true) then
		if(self:HasItem(itemUniqueId)) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("INV_ADDINGUNIQUE" ).."<rgb=#FF5CCD>["..CleanItemName(lItem.name).."]");
			return;
		end
	end
	local f = nil;
	if(quest~=nil) then f=quest.family; end
	local i, sItem = self:GetSavedItemByUniqueId(itemUniqueId);
	local quantity = 1; if(qty~=nil) then quantity = qty; end
	if(sItem==nil) then
		local parent = nil; if(quest~=nil and quest.uniqueID~=nil) then parent=quest.uniqueID; end
		local family = nil; if(quest~=nil and quest.family~=nil) then family=quest.family; end
		sItem = {
			["uniqueId"] = itemUniqueId;
			["quantity"] = quantity;
			["parentQuestId"] = parent;	
			["familyQuestId"] = family;	
		};
		if(lItem.OnlyForEngine~=nil) then
			sItem.engineItem = true;
		end		
		table.insert(PROGRESS.INVENTORY, sItem);

	else
		if(sItem.quantity==nil) then 
			sItem.quantity = 1+quantity;
		else
			sItem.quantity = sItem.quantity + quantity;
		end
	end
	if(lItem.maxQuantity~=nil and sItem.quantity>lItem.maxQuantity) then
		sItem.quantity = lItem.maxQuantity;
		Turbine.Shell.WriteLine("<rgb=#FF0000>YourOwnAdventures: ".._("INV_ERR_OVERFLOW").." \"".. CleanItemName(lItem.name) .."\" : ".. lItem.maxQuantity .."</rgb>");
	end
	SaveProgress();
	inventory:UpdateInventoryView();
	AdventureEngine:ItemAction("GET", itemUniqueId);
	if(inventory.menuButton~=nil) then 
		inventory.menuButton:AddCounter(1); end
	return true;
end

function InventoryEngine:RemoveItem(itemUniqueId, qty)
	if(itemUniqueId==nil) then
		return false;
	end
	-- {itemid="WALM-TECH12_ITEM1", quantity="487"
	if(type(itemUniqueId)=="table" and itemUniqueId.itemid~=nil) then
		qty = itemUniqueId.quantity or 1;
		itemUniqueId = itemUniqueId.itemid;
	end	
	local lItem = ITEMS[itemUniqueId];
	if(lItem==nil) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("INV_UNKNOWNITEM")..(itemUniqueId or "????").."</rgb>");
		return false;
	end
	local quest = AdventureEngine:GetActiveQuest();
	if(lItem.OnlyForEngine~=nil) then
		if(quest==nil or quest.uniqueID~="ENGINE") then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(itemUniqueId)..TRAD("\" ne peut être perdu que via le plugin.", "\" can be lost only by the plugin.").."</rgb>");
			return false;
		end
	elseif(lItem.OnlyForAdventure~=nil) then
		if(quest==nil or quest.uniqueID~=lItem.OnlyForAdventure) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(itemUniqueId)..TRAD("\" ne peut être perdu que dans une aventure précise.", "\" can be lost only in a specific adventure.").."</rgb>");
			return false;
		end
	elseif(lItem.OnlyForCampaign~=nil) then
		if(quest==nil or quest.family~=lItem.OnlyForCampaign) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(itemUniqueId)..TRAD("\" ne peut être perdu que dans une aventure de la campagne \"", "\" can be lost only in an adventure of the campaign \"")..lItem.OnlyForCampaign.."\"</rgb>");
			return false;
		end	
	elseif(lItem.OnlyForCampaignByCreator~=nil) then
		if(quest==nil or quest.author~=lItem.OnlyForCampaignByCreator) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: "..TRAD("Erreur : l'objet \"", "Error : the item \"")..CleanItemName(itemUniqueId)..TRAD("\" ne peut être perdu que dans une aventure créée par ", "\" can be lost only in an adventure made by ")..lItem.OnlyForCampaignByCreator.."</rgb>");
			return false;
		end	
	end	
	local i, sItem = self:GetSavedItemByUniqueId(itemUniqueId);
	if(sItem==nil) then
		return false;
	end
	sItem.quantity = sItem.quantity - qty;
	if(sItem.quantity<=0) then
		table.remove(PROGRESS.INVENTORY, i);
	end
	SaveProgress();
	inventory:UpdateInventoryView();
	AdventureEngine:ItemAction("REMOVE", itemUniqueId);
	return sItem.quantity;
end

function InventoryEngine:RemoveItemsFromAdventure(uniqueAdventureID)
	for i, item in pairs(PROGRESS.INVENTORY) do
		if(item.parentQuestId == uniqueAdventureID) then
			PROGRESS.INVENTORY[i]=nil;		
		end
	end
	SaveProgress();
	inventory:UpdateInventoryView();
end

function InventoryEngine:GetSavedItemByUniqueId(itemUniqueId, parentCampaign)
	for i, item in pairs(PROGRESS.INVENTORY) do
		if(item.uniqueId == itemUniqueId) then
			if(parentCampaign==nil or (parentCampaign==item.familyQuestId)) then
				return i, item;
			end
		end
	end
	return -1, nil;
end

function InventoryEngine:GetAdventureByUniqueId(uniqueId)
	for i, adventure in pairs(ADVENTURES) do
		if(adventure.uniqueID == uniqueId) then
			return adventure;
		end
	end
	return nil;
end