ItemTooltip = class( Turbine.UI.Window );

function ItemTooltip:Constructor(sItem)
	Turbine.UI.Window.Constructor( self );

	self:SetSize(300, 300);
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self:SetZOrder(1000);
	
	if(sItem==nil) then
		sItem = {
			uniqueId = "TBD";
			parentQuestId = "UNKNOWN";
			quantity = "1";
		};
	end
	--self:SetOpacity( 0.85 );	
	self.sItem = sItem;
	self.lItem = ITEMS[sItem.uniqueId];
	self:BuildBackground();
	self:UpdateBackground();
	
	local icone = Turbine.UI.Label();
	icone:SetParent( self );
	icone:SetPosition( 15, 15 );
	icone:SetSize(32, 32);
	icone:SetBackground(self.lItem.picture or "WalmPlugins/YourOwnAdventures/pictures/inv/default.jpg");
	icone:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	icone:SetMouseVisible( false );	
	
	local itemName = Turbine.UI.Label();
	itemName:SetParent( self );
	itemName:SetPosition( 55, 10 );
	itemName:SetSize(235, 42);
	itemName:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	itemName:SetFont( Turbine.UI.Lotro.Font.TrajanPro23);
	itemName:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	itemName:SetMouseVisible( false );
	self.testScrollBar = Turbine.UI.Lotro.ScrollBar();
    self.testScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    self.testScrollBar:SetParent( self );
    self.testScrollBar:SetPosition( itemName:GetLeft()+itemName:GetWidth(), itemName:GetTop() );
    self.testScrollBar:SetSize( 10, itemName:GetHeight() );
	itemName:SetVerticalScrollBar( self.testScrollBar );
	
	-- "{Une} lettre[s] étrange[s]"
	local text = self.lItem.name or _("INV_UNKNOWNITEM");
	text = CleanItemName(text, self.sItem.quantity, true);
	
	itemName:SetText(text);
	if(self.testScrollBar:IsVisible()) then
		itemName:SetFont( Turbine.UI.Lotro.Font.TrajanPro20);
		itemName:SetText(text);
		if(self.testScrollBar:IsVisible()) then
			itemName:SetFont( Turbine.UI.Lotro.Font.TrajanPro16);
			itemName:SetText(text);
			if(self.testScrollBar:IsVisible()) then
				itemName:SetFont( Turbine.UI.Lotro.Font.TrajanPro13);
				itemName:SetText(text);
			end			
		end
	end
	self:BuildContent();
end

function ItemTooltip:BuildContent()
	self.descriptionTreeView = Turbine.UI.TreeView();
    self.descriptionTreeView:SetParent( self );
    self.descriptionTreeView:SetPosition( 10, 60 );
    self.descriptionTreeView:SetSize( self:GetWidth()-20, self:GetHeight()-60-10 );
    self.descriptionTreeView:SetIndentationWidth( 15 );
    self.descriptionTreeView:SetMouseVisible( false );

	local treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    treeViewScrollBar:SetParent( self );
    treeViewScrollBar:SetPosition( self.descriptionTreeView:GetLeft()+self.descriptionTreeView:GetWidth(), self.descriptionTreeView:GetTop() );
    treeViewScrollBar:SetSize( 10, self.descriptionTreeView:GetHeight() );
	self.descriptionTreeView:SetVerticalScrollBar( treeViewScrollBar );
	
	local descriptionHeight = 0;
	local advId = self.sItem.parentQuestId;

	if(self.lItem.OnlyForAdventure~=nil) then
		local uniqueNode = DiaryEntryNode(self.descriptionTreeView:GetWidth());
		uniqueNode:SetFore(Turbine.UI.Color(1, 2, 0.5), Turbine.UI.Lotro.Font.Verdana16);
		local adv = GetAdventureById(self.lItem.OnlyForAdventure);
		local advName = self.lItem.OnlyForAdventure;
		if(adv~=nil) then advName=adv.title; end
		uniqueNode:UpdateText(TRAD("Dédié à l'aventure : ", "Dédié à l'adventure : ")..advName);
		self.descriptionTreeView:GetNodes():Add(uniqueNode);
		descriptionHeight = descriptionHeight + uniqueNode:GetHeight();
	elseif(self.lItem.OnlyForCampaign~=nil) then
		local uniqueNode = DiaryEntryNode(self.descriptionTreeView:GetWidth());
		uniqueNode:SetFore(Turbine.UI.Color(1, 2, 0.5), Turbine.UI.Lotro.Font.Verdana16);
		uniqueNode:UpdateText(TRAD("Dédié à la campagne : ", "Reserved for the campaign : ")..self.lItem.OnlyForCampaign);
		self.descriptionTreeView:GetNodes():Add(uniqueNode);
		descriptionHeight = descriptionHeight + uniqueNode:GetHeight();
	elseif(self.lItem.OnlyForCampaignByCreator~=nil) then
		local uniqueNode = DiaryEntryNode(self.descriptionTreeView:GetWidth());
		uniqueNode:SetFore(Turbine.UI.Color(1, 2, 0.5), Turbine.UI.Lotro.Font.Verdana16);
		uniqueNode:UpdateText(TRAD("Dédié aux aventures créées par : ", "Reserved for adventures made by : ")..self.lItem.OnlyForCampaignByCreator);
		self.descriptionTreeView:GetNodes():Add(uniqueNode);
		descriptionHeight = descriptionHeight + uniqueNode:GetHeight();
	end	
	
	if(self.lItem~=nil and self.lItem.unique~=nil) then
		local uniqueNode = DiaryEntryNode(self.descriptionTreeView:GetWidth());
		uniqueNode:SetFore(Turbine.UI.Color(1, 2, 0.5), Turbine.UI.Lotro.Font.Verdana16);
		uniqueNode:UpdateText(_("ITEM_UNIQUE"));
		self.descriptionTreeView:GetNodes():Add(uniqueNode);
		descriptionHeight = descriptionHeight + uniqueNode:GetHeight();
	end	
	if(self.lItem~=nil and self.lItem.maxQuantity~=nil and self.lItem.maxQuantity<=self.sItem.quantity) then
		local uniqueNode = DiaryEntryNode(self.descriptionTreeView:GetWidth());
		uniqueNode:SetFore(Turbine.UI.Color(1, 0, 0), Turbine.UI.Lotro.Font.Verdana16);
		uniqueNode:UpdateText(_("INV_ERR_OVERFLOWT").." : "..self.lItem.maxQuantity);
		self.descriptionTreeView:GetNodes():Add(uniqueNode);
		descriptionHeight = descriptionHeight + uniqueNode:GetHeight();
	end	
	if(self.lItem~=nil and self.lItem.description~=nil) then
		local descriptionNode = DiaryEntryNode(self.descriptionTreeView:GetWidth());
		descriptionNode:SetFore(Turbine.UI.Color(197/255, 179/255, 88/255), Turbine.UI.Lotro.Font.Verdana16);
		descriptionNode:UpdateText("\""..self.lItem.description.."\"");
		self.descriptionTreeView:GetNodes():Add(descriptionNode);
		descriptionHeight = descriptionHeight + descriptionNode:GetHeight();	
	end
	self.descriptionTreeView:SetHeight(descriptionHeight);
	self:SetHeight(self.descriptionTreeView:GetTop()+descriptionHeight+5);
	self:UpdateBackground();
end

function ItemTooltip:BuildBackground()
	local backUp = Turbine.UI.Label();
	backUp:SetParent( self );
	backUp:SetPosition( 0, 0 );
	backUp:SetSize(300, 23);
	backUp:SetBackground("WalmPlugins/YourOwnAdventures/pictures/tooltips/tooltip_top.tga");
	backUp:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	backUp:SetMouseVisible( false );

	self.backMid = Turbine.UI.Label();
	self.backMid:SetParent( self );
	self.backMid:SetPosition( 0, 23 );
	self.backMid:SetSize(300, 1);
	self.backMid:SetBackground("WalmPlugins/YourOwnAdventures/pictures/tooltips/tooltip_mid.tga");
	self.backMid:SetMouseVisible( false );	
	
	self.backBottom = Turbine.UI.Label();
	self.backBottom:SetParent( self );
	self.backBottom:SetSize(300, 23);
	self.backBottom:SetBackground("WalmPlugins/YourOwnAdventures/pictures/tooltips/tooltip_bottom.tga");
	self.backBottom:SetMouseVisible( false );		
end

function ItemTooltip:UpdateBackground()
	self.backMid:SetSize(300, self:GetHeight()-46);
	self.backBottom:SetPosition( 0, self:GetHeight()-23 );
end

function ItemTooltip:GetAdventureNameById(id)
	if(id==nil) then return nil; end
	for i, adv in pairs(ADVENTURES) do
		if(adv.uniqueID == id) then
			return adv;
		end
	end
	return nil;
end