version  = "A0.0.13";
-- Turbine Imports..
-- import "Turbine";
import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "WalmPlugins.YourOwnAdventures.Turbine";

ADVENTURES = {};
ITEMS = {};
DEEDS = {};
function InitTranslation()
	lang = 2;
	if Turbine.Shell.IsCommand("hilfe") then
		lang = 2;
	elseif Turbine.Shell.IsCommand("aide") then
		lang = 1;
	end
end
InitTranslation();
function TRAD(fr, en)
	--Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: lang="..lang);
	if(lang==1) then
		return fr;
	else
		return en;
	end
end

import "WalmPlugins.YourOwnAdventures.ChatLogAnalyser";
import "WalmPlugins.YourOwnAdventures.AdventureEngine";
import "WalmPlugins.YourOwnAdventures.QuickLauncher";
import "WalmPlugins.YourOwnAdventures.InventoryEngine";
import "WalmPlugins.YourOwnAdventures.SplashMessage";
import "WalmPlugins.YourOwnAdventures.Saving";
import "WalmPlugins.YourOwnAdventures.ConfigDialog";
import "WalmPlugins.YourOwnAdventures.Translate";

RtmCommand = Turbine.ShellCommand();

function RtmCommand:Execute( command, arguments )
	if ( arguments == "?" or arguments == "help" or arguments == "man") then
		Turbine.Shell.WriteLine(RtmCommand:GetHelp());
	elseif ( arguments == "show" ) then		
		OpenPane();	
	elseif ( arguments == "I am alpha" ) then		
		deedsEngine:AddDeed("GENERIC_DEED_AD");	
	elseif ( arguments == "show steps" ) then		
		AdventureEngine:ShowSteps();
	elseif ( arguments == "show variables" ) then		
		AdventureEngine:ShowVariables();
	elseif ( arguments == "ping" ) then		
		splashMessage:AddMessage("Pong ! "..Turbine.Engine.GetLocalTime());
	else
		args = {};
		for token in string.gmatch(arguments, "[^%s]+") do
		   table.insert(args, token);
		end
		if(table.getn(args)==2) then
			if(args[1]=="restart") then
				local adventure = AdventureEngine:GetAdventureById(args[2]);
				if(adventure~=nil) then
					if(PROGRESS.ADVENTURES[args[2]]~=nil) then
						PROGRESS.ADVENTURES[args[2]] = nil;
					end
					campaignLoader:UpdateTreeViewStatus();
					if(adventure.deleteItemsAtRestart ~= false) then
						inventoryEngine:RemoveItemsFromAdventure(args[2]);
						SaveProgress();
					else
						Turbine.Shell.WriteLine("<rgb=#FF000>YourOwnAdventures: Unknown adventure id : "..args[2]);	
					end
				end
			elseif(args[1]=="deed") then
				deedsEngine:AddDeed(args[2]);
			end
		elseif(table.getn(args)==3) then
			if(args[1]=="setstep") then
				local adventure = AdventureEngine:GetAdventureById(args[2]);
				if(adventure~=nil) then
					if(PROGRESS.ADVENTURES[args[2]]==nil) then PROGRESS.ADVENTURES[args[2]]={}; end
					PROGRESS.ADVENTURES[args[2]] = {};
					PROGRESS.ADVENTURES[args[2]].stepId = args[3];
					SaveProgress();
					campaignLoader:UpdateTreeViewStatus();
				else
					Turbine.Shell.WriteLine("<rgb=#FF000>YourOwnAdventures: Unknown adventure id : "..args[2]);
				end
			end	
		end
	-- elseif ( arguments == "debug true" ) then		
		-- Preferences.debug = true;
		-- SavePreferences();
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: DEBUG=true</rgb>");
	-- elseif ( arguments == "debug false" ) then		
		-- Preferences.debug = false;
		-- SavePreferences();
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: DEBUG=false</rgb>");
	-- elseif ( arguments == "execute deed" ) then		
		-- deedsEngine:AddDeed({"GENERIC_DEEDS_A1", "GENERIC_DEEDS_A2", "GENERIC_DEEDS_A3", "GENERIC_DEEDS_A4"});
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: DONE</rgb>");
	-- elseif ( arguments == "add item" ) then		
		-- inventoryEngine:AddItem("WALM-TECH8_ITEM1", 1);
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: DONE</rgb>");
	-- elseif ( arguments == "add unique" ) then		
		-- inventoryEngine:AddItem("ALPHALETTER", 1);
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: DONE</rgb>");		
	end
end

function RtmCommand:GetHelp()
	return "YourOwnAdventures\nComing Soon !\n";
end

function RtmCommand:GetShortHelp()
	return "TODO.";
end

function OpenPane()
	if(campaignLoader ~= nil) then
		campaignLoader:SetVisible(true);
	end
end

function SavePreferences()
	function SavesettingsConfirmation(sender, args)
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: settings saved</rgb>");
	end
	DataSave(Turbine.DataScope.Account, "YourOwnAdventures_settings", Preferences);
	-- if(quickLauncher) then quickLauncher:Applysettings(); end; ???
end

function Loadsettings()	
	local tmpsettings = DataLoad(Turbine.DataScope.Account, "YourOwnAdventures_settings");
	if(tmpsettings ~= nil) then
		Preferences = tmpsettings;		
	else
		Reinitsettings();
	end
	if(Preferences.restartPreferencesAtLoading==true) then
		Reinitsettings();
	end
end

function SaveProgress()
	function SavesettingsConfirmation(sender, args)
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: Progress saved</rgb>");
	end
	DataSave(Turbine.DataScope.Character, "YourOwnAdventures_progress", PROGRESS);
	-- if(quickLauncher) then quickLauncher:Applysettings(); end; ???
end

function LoadProgress()	
	PROGRESS = DataLoad(Turbine.DataScope.Character, "YourOwnAdventures_progress");
	if(PROGRESS == nil or Preferences.restartProgressAtLoading==true) then
		PROGRESS = {
			ADVENTURES = {},
			ACHIEVEMENTS = {},
			DEEDS = {},
			LOCKS = {},
			XP = {
				questFinished = 0;
				points = 0;
			},
			VARIABLES = {},
			INVENTORY = {};
		};
	end
	if(Preferences.restartProgressAtLoading==true) then
		Preferences.restartProgressAtLoading=nil;
		SaveProgress();
	end
	
end

function Reinitsettings()
	Preferences = {};

	-- function ptr(sender, args)
		-- --
	-- end
	-- --local tmpsettings = DataLoad(Turbine.DataScope.Account, "YourOwnAdventures_preferences", ptr);
	local width, height = Turbine.UI.Display.GetSize();		
	Preferences.version = version;
	Preferences.quicklaunch_x = (width-275)/2;
	Preferences.quicklaunch_y = 100;
	Preferences.defaultOpacity = 60;
	Preferences.canMoveQuickLauncher = true;
	Preferences.animateQuickLauncher = true;
	Preferences.doNotLoadLastAdventure = false;
	if(quickLauncher) then quickLauncher:ApplyPreferences(); end;
	Preferences.Filters = {};
	Preferences.Filters.show12 = false;
	Preferences.Filters.todo = true;
	Preferences.Filters.show1 = false;
	Preferences.Filters.show6 = false;
	Preferences.Filters.show3 = false;
	Preferences.Filters.done = true;
	Preferences.Filters.search = "";
	Preferences.Filters.language = "ALL";
	SavePreferences();
end

Loadsettings();
if(Preferences.version==nil or Preferences.version~=version) then
	Turbine.Shell.WriteLine("<rgb=#FF0000>YourOwnAdventures: "..TRAD("VOTRE FICHIER DE PROGRESSION A ETE SUPPRIME POUR RAISON DE MAJ DE VERSION", "YOUR PROGRESS FILE HAS BEEN DELETED BECAUSE OF VERSIONING").." !</rgb>");
	PROGRESS = nil;
	Preferences.version = version;
	SaveProgress();
	SavePreferences();
	LoadProgress();	
else
	LoadProgress();	
end

-- 
plugin.GetOptionsPanel = function( self )
	optionLabel = Turbine.UI.Lotro.Button();
	optionLabel:SetText("Open plugin options");
	optionLabel.Click = function(o, b)
		configWindow = BuildConfigDialog();
		configWindow:SetVisible(true);
	end
  	return optionLabel;
end
--

deedsEngine = DeedsEngine();

chatlogger = GetChatLogAnalyserInstance();
chatlogger:ClearTriggers();

splashMessage = SplashMessage();

AdventureEngine = AdventureEngine();

campaignLoader = CampaignSelector();

playersheet = PlayerSheetWindow();
AdvDiary = AdventuresDiary();

inventoryEngine = InventoryEngine();
inventory = InventoryDialog();

quickLauncher = QuickLauncher(campaignLoader);
quickLauncher:SetVisible(true);

if(Preferences.doNotLoadLastAdventure~=true and PROGRESS.lastAdventure~=nil) then
	Turbine.Shell.WriteLine("<rgb=#FF0000>YourOwnAdventures: "..TRAD("Rechargement de votre dernière aventure non terminée !", "Reloading the last unfinished adventure !"));
	AdventureEngine:LoadQuest(PROGRESS.lastAdventure);
end

deedsEngine:AddDeed("GENERIC_DEED_AD2");	

Turbine.Shell.AddCommand( "YourOwnAdventures", RtmCommand );
Turbine.Shell.AddCommand( "YOA", RtmCommand );
