import "WalmPlugins.YourOwnAdventures.PlayerSheetPropertyLabel";
import "WalmPlugins.YourOwnAdventures.ProgressBar";
PlayerSheetFamilyNode = class( Turbine.UI.TreeNode );

function PlayerSheetFamilyNode:Constructor(width, familyName)
	self.familyName = familyName;
	self.sep = 4;
	self.lang={};
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( width, 75 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	self.labelValue = Turbine.UI.Label();
	self.labelValue:SetParent( self );
	self.labelValue:SetSize( width-20, 2 );
	self.labelValue:SetPosition( 10, 5 );
	self.labelValue:SetFont( Turbine.UI.Lotro.Font.BookAntiquaBold22 );	
	self.labelValue:SetForeColor( Turbine.UI.Color(1,1,1 ));	
	self.labelValuecrollBar = Turbine.UI.Lotro.ScrollBar();
    self.labelValuecrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    self.labelValuecrollBar:SetParent( self );
    self.labelValuecrollBar:SetPosition( self.labelValue:GetLeft()+self.labelValue:GetWidth(), self.labelValue:GetTop() );
    self.labelValuecrollBar:SetSize( 10, self.labelValue:GetHeight() );
	self.labelValue:SetVerticalScrollBar( self.labelValuecrollBar );	
	
	self.advProperty = PlayerSheetPropertyLabel(75, "WalmPlugins/YourOwnAdventures/pictures/sheet/ico_adv.tga", clickFct, name);
	self.advProperty:SetParent(self);
	self.advProperty:SetLeft(20);
	self.advProperty:UpdateProgress(4, 15);
	self.advProperty:SetMouseVisible(true);
	
	self.deedProperty = PlayerSheetPropertyLabel(75, "WalmPlugins/YourOwnAdventures/pictures/sheet/ico_deed.tga", clickFct, name);
	self.deedProperty:SetParent(self);
	self.deedProperty:SetLeft(120);
	self.deedProperty:UpdateProgress(5, 8);
	self.deedProperty:SetMouseVisible(true);
	-- self.deedProperty.MouseClick = function (a, e)
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: CLIC self !!!!</rgb>");
	-- end	
	self.skillsProperty = PlayerSheetPropertyLabel(75, "WalmPlugins/YourOwnAdventures/pictures/sheet/ico_skill.tga", clickFct, name);
	self.skillsProperty:SetParent(self);
	self.skillsProperty:SetLeft(220);
	self.skillsProperty:UpdateProgress(0, 4);	
	self.skillsProperty:SetMouseVisible(true);
	-- self.skillsProperty.MouseClick = function (a, e)
		-- Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: CLIC self !!!!</rgb>");
	-- end
	
	self.progressBar = ProgressBar(width-60);
	self.progressBar:SetParent(self);
	self.progressBar:SetPosition(30, self:GetHeight()-40);
	self.MouseEnter = function (sender, args)
		self.labelValue:SetForeColor( Turbine.UI.Color(0.8,0.7,0.23) );
	end
	self.MouseLeave = function (sender, args)
		if(self.passedbyselectedchanged==true) then
			self.labelValue:SetForeColor( Turbine.UI.Color(0.8, 0.7, 0.23));
		else
			self.labelValue:SetForeColor( Turbine.UI.Color(1,1,1 ));
		end	
	end	
	self.SelectedChanged = function (sender, args)
		if(self:IsSelected()) then
			self.passedbyselectedchanged = true;
			self.labelValue:SetForeColor( Turbine.UI.Color(0.8, 0.7, 0.23));
		else
			self.passedbyselectedchanged = false;
			self.labelValue:SetForeColor( Turbine.UI.Color(1,1,1 ));
		end
	end	
	self:BuildBorder();
	self:UpdateData();
end

function PlayerSheetFamilyNode:UpdateTitle(title)
	title = FormatAdventureString(title);
	self.labelValue:SetText(title);
	while (self.labelValuecrollBar:IsVisible()) do
		self.labelValue:SetHeight(self.labelValue:GetHeight()+22);	
		self:SetHeight(self:GetHeight()+27);
	end
	self.bl:SetPosition( 0, self:GetHeight()-36-self.sep );	
	self.bc:SetPosition( 36, self:GetHeight()-36-self.sep );	
	self.br:SetPosition( self:GetWidth()-36, self:GetHeight()-36-self.sep );	
	self.sl:SetHeight(self:GetHeight()-72-self.sep);
	self.sr:SetHeight(self:GetHeight()-72-self.sep);
	self.progressBar:SetPosition(30, self.labelValue:GetHeight()+10);	
	self.nativeHeight = self:GetHeight();
	self.advProperty:SetTop(self.labelValue:GetHeight()+35);
	self.deedProperty:SetTop(self.labelValue:GetHeight()+35);
	self.skillsProperty:SetTop(self.labelValue:GetHeight()+35);		
end

function PlayerSheetFamilyNode:BuildBorder()
	local ul = Turbine.UI.Label();
	ul:SetParent( self );
	ul:SetSize( 36, 36 );
	ul:SetPosition( 0, 0 );	
	ul:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_upper_left.tga");	
	ul:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	local ur = Turbine.UI.Label();
	ur:SetParent( self );
	ur:SetSize( 36, 36 );
	ur:SetPosition( self:GetWidth()-36, 0 );	
	ur:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_upper_right.tga");
	ur:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );		
	local uc = Turbine.UI.Label();
	uc:SetParent( self );
	uc:SetSize( self:GetWidth()-72, 36 );
	uc:SetPosition( 36, 0 );	
	uc:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_upper.tga");
	uc:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.bl = Turbine.UI.Label();
	self.bl:SetParent( self );
	self.bl:SetSize( 36, 36 );
	self.bl:SetPosition( 0, self:GetHeight()-36-self.sep );	
	self.bl:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_bottom_left.tga");	
	self.bl:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.br = Turbine.UI.Label();
	self.br:SetParent( self );
	self.br:SetSize( 36, 36 );
	self.br:SetPosition( self:GetWidth()-36, self:GetHeight()-36-self.sep );	
	self.br:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_lower_right.tga");
	self.br:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );		
	self.bc = Turbine.UI.Label();
	self.bc:SetParent( self );
	self.bc:SetSize( self:GetWidth()-72, 36 );
	self.bc:SetPosition( 36, self:GetHeight()-36-self.sep );	
	self.bc:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_bottom.tga");
	self.bc:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );

	self.sl = Turbine.UI.Label();
	self.sl:SetParent( self );
	self.sl:SetSize( 36, 0 );
	self.sl:SetPosition( 0, 36);	
	self.sl:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_side_left.tga");
	self.sl:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.sr = Turbine.UI.Label();
	self.sr:SetParent( self );
	self.sr:SetSize( 36, 0 );
	self.sr:SetPosition( self:GetWidth()-36, 36);	
	self.sr:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/box/box_silver_side_right.tga");
	self.sr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
end

function PlayerSheetFamilyNode:UpdateData()
	local advcount=0;
	local advcompleted=0;
	
	for i, adv in pairs(ADVENTURES) do
		if(adv.family == self.familyName) then
			advcount = advcount+1;
			if(PROGRESS.ACHIEVEMENTS[adv.uniqueID]~=nil) then
				advcompleted = advcompleted+1;
			end
		end
	end
	local deedcount=0;
	local deedcompleted=0;
	local skillcount=0;
	local skillcompleted=0;
	
	for i, deed in pairs(DEEDS) do
		if(deed.family == self.familyName) then
			if(ListContainsString(self.lang, deed.language)==false) then
				table.insert(self.lang, deed.language);
			end
			deedcount = deedcount+1;
			if(PROGRESS.DEEDS[deed.uniqueID]~=nil and PROGRESS.DEEDS[deed.uniqueID].completionDate~=nil) then
				deedcompleted = deedcompleted+1;
			end
		end
	end
	
	self.advProperty:UpdateProgress(advcompleted, advcount);
	self.deedProperty:UpdateProgress(deedcompleted, deedcount);
	self.skillsProperty:UpdateProgress(skillcompleted, skillcount);
	local comps = {};
	if(advcount>0) then table.insert(comps, self.advProperty); end
	if(deedcount>0) then table.insert(comps, self.deedProperty); end
	if(skillcount>0) then table.insert(comps, self.skillsProperty); end
	
	local space = self:GetWidth()/table.getn(comps);
	for i, comp in pairs(comps) do
		local left = space*(i-1);
		comp:SetLeft(left+(space-75)/2);
	end
	if(deedcount+advcount+skillcount==0) then
		self:SetVisible(false); -- FIXME ??? se masque pas
	else
		self.progressBar:UpdateValue((deedcompleted+advcompleted+skillcount)/(deedcount+advcount+skillcount));
		self:SetVisible(true);
	end
end

function PlayerSheetFamilyNode:Filter(lang)
	if(lang==nil or lang=="ALL" or ListContainsString(self.lang, lang) or ListContainsString(self.lang, "ALL")) then
		self:SetHeight(self.nativeHeight);
	else
		self:SetHeight(0);
	end
end

function PlayerSheetFamilyNode:ExpandAll()
	self:SetExpanded(true);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):ExpandAll();
	end
end

function PlayerSheetFamilyNode:CollapseAll()
	self:SetExpanded(false);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):CollapseAll();
	end	
end