import "WalmPlugins.YourOwnAdventures.TabButton";
import "WalmPlugins.YourOwnAdventures.PlayerSheetFamilyNode";
import "WalmPlugins.YourOwnAdventures.DeedsNode";

PlayerSheetWindow = class( Turbine.UI.Lotro.Window );

function PlayerSheetWindow:Constructor()
	Turbine.UI.Lotro.Window.Constructor( self );
	self:SetSize(815, Preferences.psheet_height or 450);
	self:SetText(TRAD("Fiche de personnage", "Player sheet"));
	if(Preferences.psheet_x==nil or Preferences.psheet_y==nil) then
		Preferences.psheet_x = Turbine.UI.Display.GetWidth()/2-200;
		Preferences.psheet_y = Turbine.UI.Display.GetHeight()/2-100;
	end
	self:SetPosition(Preferences.psheet_x, Preferences.psheet_y);
	--self:SetBackColor( Turbine.UI.Color(0.25, 0.28, 0.8));
	
	self:BuildGUI();
	
	self.resizer = Turbine.UI.Label();
	self.resizer:SetParent( self );
	self.resizer:SetSize(100, 10);
	self.resizer:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/v_resize.jpg");
	self.resizer:SetPosition(self:GetWidth()/2-50, self:GetHeight()-10);
	self.resizer:SetZOrder(self:GetZOrder()+10);
	
	self.resizer.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
		end
	end
	self.resizer.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then			
			if (sender.dragging) then
				sender.dragging = false;
			end
			Preferences.psheet_height = self:GetHeight();
			SavePreferences();
		end
	end
	self.resizer.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local height = self:GetHeight() + args.Y - sender.dragStartY;
			if(height>350) then 
				self:SetHeight(height);
				self:UpdateVertPos();
			end
			self:UpdateVertPos();
		end
	end
	self.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then			
			if (sender.dragging) then
				sender.dragging = false;
			end
			Preferences.psheet_x, Preferences.psheet_y = self:GetPosition();
			SavePreferences();
			if(Preferences.OnUpdate ~= nil) then
				Preferences.OnUpdate();
			end
		end
	end
	self.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender.dragged = true;
			if (self:GetLeft() > Turbine.UI.Display.GetWidth() - 35) then
				self:SetLeft(Turbine.UI.Display.GetWidth() - 35);				
			end
			if (self:GetLeft() < 0) then
				self:SetLeft(0);				
			end			
			if (self:GetTop() > Turbine.UI.Display.GetHeight() - 35) then
				self:SetTop(Turbine.UI.Display.GetHeight() - 35);				
			end
			if (self:GetTop() < 0) then
				self:SetTop(0);				
			end			
		end
	end	
	self:UpdateVertPos();
	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			sender:SetVisible( false ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end

			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end	
end

function PlayerSheetWindow:SetMenuButton(cpt)
	self.menuButton = cpt;
end

function PlayerSheetWindow:BuildGUI()
	self.leftBack = Turbine.UI.Label();
	self.leftBack:SetParent( self );
	self.leftBack:SetPosition(self:GetWidth()-484-3, 63);
	self.leftBack:SetSize(483, 40);
	self.leftBack:SetMouseVisible( false );
	self.leftBack:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.leftBack:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/mosaic.jpg");
	self.shaddowUp = Turbine.UI.Label();
	self.shaddowUp:SetParent( self );
	self.shaddowUp:SetPosition(self.leftBack:GetPosition());
	self.shaddowUp:SetSize(484, 121);
	self.shaddowUp:SetMouseVisible( false );
	self.shaddowUp:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.shaddowUp:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/shadow_up.tga");
	self.shaddowDown = Turbine.UI.Label();
	self.shaddowDown:SetParent( self );
	self.shaddowDown:SetSize(484, 121);
	self.shaddowDown:SetLeft(self.shaddowUp:GetLeft());
	self.shaddowDown:SetMouseVisible( false );
	self.shaddowDown:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.shaddowDown:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/shadow_down.tga");
	self.shaddowMid = Turbine.UI.Label();
	self.shaddowMid:SetParent( self );
	self.shaddowMid:SetSize(484, 1);
	self.shaddowMid:SetPosition(self.leftBack:GetLeft(), self.leftBack:GetTop()+121);
	self.shaddowMid:SetMouseVisible( false );
	self.shaddowMid:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.shaddowMid:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/shadow_mid.tga");
	local upperSep = Turbine.UI.Control();
	upperSep:SetParent( self );
	upperSep:SetPosition( 327, 60 );	
	upperSep:SetSize( self:GetWidth()-upperSep:GetLeft()-4 , 2 );
	upperSep:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	upperSep:SetZOrder(99);
	self.vertSep = Turbine.UI.Control();
	self.vertSep:SetParent( self );
	self.vertSep:SetPosition( 325, 28 );	
	self.vertSep:SetSize( 2 , self:GetHeight()-35 );
	self.vertSep:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	self.vertSep:SetZOrder(99);
	
	local header = Turbine.UI.Label();
	header:SetParent( self );
	header:SetPosition(self:GetWidth()-484-3, 20);
	header:SetSize(483, 40);
	header:SetMouseVisible( false );
	header:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	header:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/header.tga");
	
	self.skillsTab = TabButton(TRAD("Apprentissage", "Apprenticeship"), true);
	self.skillsTab:SetParent(self);
	self.skillsTab:SetPosition( 510, 38 );
	self.deedsTab = TabButton("Exploits", false);
	self.deedsTab:SetParent(self);
	self.deedsTab:SetPosition( 355, 38 );
	self.skillsTab.MouseClick = function()
		if(self.skillsTab.enabletag==false) then return; end
		self:UpdateContent(1);
	end
	self.deedsTab.MouseClick = function()
		if(self.deedsTab.enabletag==false) then return; end
		self:UpdateContent(2);
	end	
	
	self.familyTreeView = Turbine.UI.TreeView();
    self.familyTreeView:SetParent( self );
    self.familyTreeView:SetPosition( 10, 40 );
	self.familyTreeView:SetSize( 304, 10 );
    self.familyTreeView:SetIndentationWidth( 15 );
    --self.familyTreeView:SetBackColor( Turbine.UI.Color(1, 0.5, 0.5));
	self.treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    self.treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    self.treeViewScrollBar:SetParent( self );
    self.treeViewScrollBar:SetPosition( self.familyTreeView:GetWidth()+self.familyTreeView:GetLeft(), self.familyTreeView:GetTop() );
    self.treeViewScrollBar:SetSize( 10, 433 );
	self.familyTreeView:SetVerticalScrollBar( self.treeViewScrollBar );
	self.familyTreeView.SelectedNodeChanged = function(sender, args)
		local node = self.familyTreeView:GetSelectedNode();	
		self.familyName = node.familyName;
		self:UpdateContent(self.tabId);
		-- self.skillsTab:SetEnable(node.skillsProperty:IsVisible()); FIXME
		self.skillsTab:SetEnable(true);
		self.deedsTab:SetEnable(node.deedProperty:IsVisible());
		if(self.deedsTab:IsVisible()) then self:UpdateContent(2);
		elseif(self.skillsTab:IsVisible()) then self:UpdateContent(1);
		else self.contentTreeView:GetNodes():Clear();
		end
		
	end

	self.contentTreeView = Turbine.UI.TreeView();
    self.contentTreeView:SetParent( self );
    self.contentTreeView:SetPosition( self.familyTreeView:GetLeft()+self.familyTreeView:GetWidth()+20, 70 );
	self.contentTreeView:SetSize( 456, 10 );
    self.contentTreeView:SetIndentationWidth( 15 );
	self.contentTreeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    self.contentTreeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    self.contentTreeViewScrollBar:SetParent( self );
    self.contentTreeViewScrollBar:SetPosition( self.contentTreeView:GetWidth()+self.contentTreeView:GetLeft(), self.contentTreeView:GetTop() );
    self.contentTreeViewScrollBar:SetSize( 10, 433 );
	self.contentTreeView:SetVerticalScrollBar( self.contentTreeViewScrollBar );
	
	self.cornerbr = Turbine.UI.Label();
	self.cornerbr:SetParent( self );
	self.cornerbr:SetPosition(self:GetWidth()-34, self:GetHeight()-35);
	self.cornerbr:SetSize(32, 32);
	self.cornerbr:SetMouseVisible( false );
	self.cornerbr:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.cornerbr:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/border_br.tga");	
	self:PopupateCampaignsTreeView();	
end

function PlayerSheetWindow:PopupateCampaignsTreeView()
	local rootNodes = self.familyTreeView:GetNodes();	
	rootNodes:Clear();
	
	local deeds = AdventureEngine:BuildFamilyList();
	for i, fam in pairs(deeds) do			
		local gNode = PlayerSheetFamilyNode(self.familyTreeView:GetWidth(), fam);
		gNode:UpdateTitle(fam);
		rootNodes:Add(gNode);
		if(i==1) then
			self.familyTreeView:SetSelectedNode(gNode);
		end
	end
end

function PlayerSheetWindow:UpdateContent(id)
	self.tabId = id;
	self.skillsTab:SetSelected(id==1);
	self.deedsTab:SetSelected(id==2);
	
	local rootNodes = self.contentTreeView:GetNodes();	
	rootNodes:Clear();	
	
	if(id==2) then
		local pnodes = {};
		for i, deed in pairs(DEEDS) do
			local sdeed = PROGRESS.DEEDS[deed.uniqueID];
			local completed = (sdeed~=nil and sdeed.completionDate~=nil);
			local locked = deedsEngine:IsLocked(deed);
			
			if(self.familyName==deed.family and (deed.visibility~=false or completed) and (not locked) ) then
				if(deed.category==nil) then deed.category = _("GENERIC_DEED_CATEG"); end
				if(pnodes[deed.category]==nil) then
					pnodes[deed.category] = GroupNode(deed.category);
					rootNodes:Add(pnodes[deed.category]);
				end
				local node = pnodes[deed.category].fnode;
				if(node==nil or node:AddDeed(deed)==false) then
					pnodes[deed.category].fnode = DeedsNode(self.contentTreeView:GetWidth(), deed);
					pnodes[deed.category].fnode:AddDeed(deed);
					pnodes[deed.category]:GetChildNodes():Add(pnodes[deed.category].fnode);
				end
			end
		end
		self.contentTreeView:ExpandAll();
		self.leftBack:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/mosaic.jpg");
	elseif(id==1) then
		-- TODO
		self.leftBack:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/mosaic2.jpg");
	end
end

function PlayerSheetWindow:UpdateVertPos()
	self.resizer:SetTop(self:GetHeight()-10);
	self.familyTreeView:SetHeight(self:GetHeight()-self.familyTreeView:GetTop()-30);
	self.treeViewScrollBar:SetHeight( self.familyTreeView:GetHeight() );
	self.contentTreeView:SetHeight(self:GetHeight()-self.familyTreeView:GetTop()-40);
	self.contentTreeViewScrollBar:SetHeight( self.contentTreeView:GetHeight() );
    self.vertSep:SetSize( 2 , self:GetHeight()-35 );
	self.leftBack:SetHeight(self:GetHeight()-self.leftBack:GetTop()-8 );
	self.shaddowDown:SetTop(self:GetHeight()-121-8);
	self.shaddowMid:SetHeight(self.leftBack:GetHeight()-121-121);
	self.cornerbr:SetTop(self:GetHeight()-35);
end

function PlayerSheetWindow:OnDeedUpdated(familyName, ldeed, sdeed)
	local rootNodes = self.familyTreeView:GetNodes();
	for i=1, rootNodes:GetCount(), 1 do
		node = rootNodes:Get(i);
		if(node.familyName == familyName) then
			node:UpdateData();
			self.familyTreeView:SetSelectedNode(node);
			self:UpdateContent(2);
			if(self.menuButton~=nil) then self.menuButton:AddCounter(1); end
			return;
		end
	end
end

function PlayerSheetWindow:OnAdventureUpdated(familyName)
	local rootNodes = self.familyTreeView:GetNodes();
	for i=1, rootNodes:GetCount(), 1 do
		node = rootNodes:Get(i);
		if(node.familyName == familyName) then
			node:UpdateData();
			self.familyTreeView:SetSelectedNode(node);
			self:UpdateContent(2);
			if(self.menuButton~=nil) then self.menuButton:AddCounter(1); end
			return;
		end
	end
end