
	
SplashMessage = class( Turbine.UI.Window );

function SplashMessage:Constructor()

	Turbine.UI.Window.Constructor( self );
	
	self:SetSize( 500, 150 );
	self:SetPosition( (Turbine.UI.Display.GetWidth()-self:GetWidth())/2, (Turbine.UI.Display.GetHeight()-self:GetHeight())/2-100);
	self:SetZOrder(100000);
	self.label = Turbine.UI.Label();
	self.label:SetParent( self );
	self.label:SetPosition( 0, 0 );
	self.label:SetSize(self:GetSize());
	self.label:SetMouseVisible( false );
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold30);
	self.label:SetFontStyle( Turbine.UI.FontStyle.Outline );
	self:SetVisible(false);
	self:SetMouseVisible( false );

	self.lastUpdate = 0;
	self.blinker = LerpValue();
	self.blinker:SetTarget(5);
	self.messageQueue = {};
end

function SplashMessage:AddMessage(message)
	
	if(message ~= nil) then
		message = FormatAdventureString(message);
		if(self:GetWantsUpdates()) then
			table.insert(self.messageQueue, message);
		else
			self:ShowMessage(message);
		end
	end
end

function SplashMessage:ShowMessage(message)
	self.lastUpdate = 0;
	self.blinker:SetValue(0);
	self.label:SetText(message);
	self:SetVisible(true);
	self:SetWantsUpdates(true);
end

function SplashMessage:IsRunning()
	return ( self ~= nil );
end

function SplashMessage:Start()
	if(self~=nil) then 
		self:SetVisible(true); 
	end
end

function SplashMessage:Stop()
	self = nil;
end

function SplashMessage:Update( args )
	local delta = 0;
	local currentTime = Turbine.Engine.GetLocalTime();

	if ( self.lastUpdate > 0 ) then
		delta = currentTime - self.lastUpdate;
	end

	self.lastUpdate = currentTime;
	
	self.blinker:Update( delta );
	--Turbine.Shell.WriteLine("<rgb=#FF5CCD>UPDATE  - delta=".. delta .." - value="..  math.floor(self.blinker:GetValue()) .."/"..  math.floor(self.blinker:GetTargetValue()) .."</rgb>");
	
	if (not self.blinker:NeedsUpdate()) then
		if(table.getn(self.messageQueue)==0) then
			self:SetWantsUpdates(false);
			self:SetVisible(false);
		else
			local message = table.remove(self.messageQueue, 1);
			self:ShowMessage(message);
		end
	end	
end