StepReactorITEMACTION = class();

function StepReactorITEMACTION:Constructor(adventure, stepId)
	self.canUpdateProgress = true;
	self.step = adventure.steps[stepId];
	self.adventure = adventure;
	self.stepId = stepId;
	if(self.step==nil) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("STEP_ERR_UNK").."</rgb>");
		return false;
	end
	self.actionCount = 0;
	if(PROGRESS.ADVENTURES[adventure.uniqueID]~=nil and PROGRESS.ADVENTURES[adventure.uniqueID][stepId]~=nil) then
		if(PROGRESS.ADVENTURES[adventure.uniqueID][stepId].actionCount~=nil) then
			self.actionCount = PROGRESS.ADVENTURES[adventure.uniqueID][stepId].actionCount or 0;
			quickLauncher:SetObjectiveProgress(self, self.actionCount, self.step.actionCount or 1);
		end
	end		
end

function StepReactorITEMACTION:ItemAction(action, item)
	if(action~=nil ) then
		--Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ACTION="..action.." ITEM="..item);
		local validAction = self:CheckStringInList(self.step.action, action);
		local validItem = self:CheckStringInList(self.step.item, item);
		if(validAction==-1) then
			Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ERROR : last loaded ITEMACTION step has no valid .action (should be a list or a string)</rgb>");
		end
		if(validAction==true and validItem==true) then
			self.actionCount = self.actionCount + 1;
			if(PROGRESS.ADVENTURES[self.adventure.uniqueID] == nil) then
				PROGRESS.ADVENTURES[self.adventure.uniqueID] = {};
			end
			if(PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId]==nil) then
				PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId] = {};
			end
			PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId].actionCount=self.actionCount; 	
			SaveProgress();
			if(self.step.actionCount~=nil and self.step.actionCount>1) then
				--Turbine.Shell.WriteLine("<rgb=#FFFFFF>YourOwnAdventures: POUET");
				quickLauncher:SetObjectiveProgress(self, self.actionCount, self.step.actionCount);
			end
			if(self.step.actionCount==nil or self.actionCount>=self.step.actionCount) then
				self:Completed(self.step.nextStep);
			end
		end
	end
end

function StepReactorITEMACTION:GetProgress()
	if(self.step.actionCount==nil or self.step.actionCount<2) then return ""; end
	
	local loadingCounter = self.actionCount;
	if(PROGRESS.ADVENTURES[self.adventure.uniqueID]~=nil and PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId]~=nil) then
		if(PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId].action~=nil) then
			loadingCounter = PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId].action or 0;
		end
	end	

	return loadingCounter.."/"..(self.step.actionCount or 1);
end

function StepReactorITEMACTION:CheckStringInList(list, str)
	if(type(list)=="string")then
		if(list==str) then
			return true;
		end
	elseif(type(list)=="table")then
		for i, e in pairs(list) do
			if(e==str) then
				return true;
			end		
		end
	else
		return -1;
	end
end

function StepReactorITEMACTION:Completed(nextStep)
	if(AdventureEngine:TestSuccessCondition(self.step.successCondition)==false) then
		return;
	end
	if(PROGRESS.ADVENTURES[self.adventure.uniqueID]~=nil and PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId]~=nil) then
		PROGRESS.ADVENTURES[self.adventure.uniqueID][self.stepId].action = 0;
	end	
	AdventureEngine:ApplyStepGenericActions(self.step.onCompletion);
	AdventureEngine:ClearSynchronousReactors(self);
end

function StepReactorITEMACTION:Unload()
	
end