import "WalmPlugins.YourOwnAdventures.ContextualQuickSlots";

StepReactorQUICKSLOTS = class();

function StepReactorQUICKSLOTS:Constructor(adventure, stepId)
	self.step = adventure.steps[stepId];
	self.stepId = stepId;
	if(self.step==nil) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("STEP_ERR_UNK").."</rgb>");
		return false;
	end
	
	-- if(self.step.objectif~=nil) then 
		-- quickLauncher.objectiveLabel:SetText(self.step.objectif);
	-- end
	-- quickLauncher.objectiveBackground:SetVisible(true);
	self:Init();
	
end

function StepReactorQUICKSLOTS:Init()
	if(type(self.step.slots)~="table") then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("QS_ERR_FORMAT1")..self.step.objectif.."</rgb>");
		return false;
	end
	self.contextualQuickSlots = GetContextualQuickSlotsInstance();
	--self.contextualQuickSlots:Reset();
	
	function OnPictureClick(slot)
		self:OnPictureClick(slot);
	end;	
	function OnQSRecept(trigger, message)
		self:OnQSRecept(trigger, message);
	end;	
	function OnClick(slot)
		self:OnClick(slot);
	end;	
	for i, slot in pairs(self.step.slots) do
		--if(slot.command~=nil and slot.tracker~=nil and slot.chat) then
		if(slot.command~=nil) then
			local clickCmd = nil;
			if(slot.tracker==nil) then clickCmd=OnPictureClick; end
			self.contextualQuickSlots:AddQuickSlot(slot.picture, slot, slot.command, slot.cooldown, clickCmd);
			chatlogger:AddTrigger(slot.chat, slot.tracker, OnQSRecept, nil, slot);
		else
			self.contextualQuickSlots:AddPictureSlot(slot.picture, slot, slot.cooldown, OnPictureClick);
		end
	end	
	
	self.contextualQuickSlots:SetVisible(true);
end

function StepReactorQUICKSLOTS:OnQSRecept(trigger, message)
	for i, slot in pairs(self.step.slots) do
		if(slot==trigger.parent) then
			local success = false;
			if(type(slot.validation)=="string" and string.find(message, slot.validation)) then
				success = true;
			elseif(type(slot.validation)=="table") then
				for j, str in pairs(slot.validation) do
					if(type(str)=="string" and string.find(message, str)) then
						success = true;
					end
				end		
			end
			if(success==true) then
				--Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ON Y EST");
				self:OnPictureClick(slot);	
			else
				--Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ON Y EST PAS");
				AdventureEngine:ApplyStepGenericActions(slot.failedCompletion);
				if(slot.nextStep~=nil) then
					AdventureEngine:LoadQuestStep(slot.failedCompletion.nextStep);
				end		
			end
		end
	end
end

function StepReactorQUICKSLOTS:OnPictureClick(slot)
	if(AdventureEngine:TestSuccessCondition(self.step.successCondition)==false) then
		return;
	end
	local success = true;
	if(slot.succesLuck~=nil) then
		local luckRatio = slot.succesLuck or 100;
		success = success and (math.random(100)<=luckRatio);
	end
	
	if(success==false) then -- FAILED
		AdventureEngine:ApplyStepGenericActions(slot.failedCompletion);
		if(slot.nextStep~=nil) then 
			self.step.nextStep = slot.failedCompletion.nextStep;
			AdventureEngine:ClearSynchronousReactors(self); -- TOCHECK
			AdventureEngine:LoadQuestStep(slot.failedCompletion.nextStep);
		end
	else -- SUCCES
		self.step.nextStep = slot.successCompletion.nextStep;
		AdventureEngine:ApplyStepGenericActions(slot.successCompletion);
		AdventureEngine:ClearSynchronousReactors(self);
	end
end

function StepReactorQUICKSLOTS:Unload()
	chatlogger:ClearTriggers();
	self.contextualQuickSlots:SetVisible(false);
	self.contextualQuickSlots:Reset();
end