StepReactorTARGET = class();

function StepReactorTARGET:Constructor(adventure, stepId)
	self.step = adventure.steps[stepId];
	self.stepId = stepId;
	if(self.step==nil) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("STEP_ERR_UNK").."</rgb>");
		return false;
	end
	
	self:InitTargetLogger();
end

function StepReactorTARGET:TargetChanged(sender, args)
	local player=Turbine.Gameplay.LocalPlayer.GetInstance();
	local target=player:GetTarget();
	
	if target~=nil then
		local targetname = target:GetName();
		
		if(self.step.requireExactName==true and type(self.step.tracker)=="string" and targetname==self.step.tracker) then
			self:Completed();
		elseif((self.step.requireExactName==nil or self.step.requireExactName==false) and type(self.step.tracker)=="string" and string.find(targetname, self.step.tracker)) then
			self:Completed();
		elseif(type(self.step.tracker)=="table") then
			for _, v in ipairs(self.step.tracker) do
				if (self.step.requireExactName==true and string.find(targetname, v)) then
					self:Completed();
					break
				elseif ((self.step.requireExactName==nil or self.step.requireExactName==false) and string.find(targetname, v)) then
					self:Completed();
					break
				end
			end
		end
	end
end


function StepReactorTARGET:InitTargetLogger()
	if(Turbine.Gameplay.LocalPlayer.targetListerners == nil) then
		Turbine.Gameplay.LocalPlayer.targetListerners = {};
		local player=Turbine.Gameplay.LocalPlayer.GetInstance();
		player.TargetChanged = function (sender, args)
			for i, j in pairs(Turbine.Gameplay.LocalPlayer.targetListerners) do
				j:TargetChanged(sender, args);
			end
		end
	end
	if (Turbine.Gameplay.LocalPlayer.targetListerners ~= nil) then
		for i, j in pairs(Turbine.Gameplay.LocalPlayer.targetListerners) do
			if(j==self) then return; end
		end
		table.insert(Turbine.Gameplay.LocalPlayer.targetListerners, self);
	end	
end

function StepReactorTARGET:Completed()
	if(AdventureEngine:TestSuccessCondition(self.step.successCondition)==false) then
		return;
	end

	AdventureEngine:ApplyStepGenericActions(self.step.onCompletion);
	AdventureEngine:ClearSynchronousReactors(self);
end

function StepReactorTARGET:Unload()
	for i=1, table.getn(Turbine.Gameplay.LocalPlayer.targetListerners), 1 do
		if(Turbine.Gameplay.LocalPlayer.targetListerners[i]==self) then
			table.remove(Turbine.Gameplay.LocalPlayer.targetListerners, i);
			i=i-1;
		end
	end
end