import "WalmPlugins.YourOwnAdventures.TradeWindow";

StepReactorTRADE = class();

function StepReactorTRADE:Constructor(adventure, stepId)
	self.step = adventure.steps[stepId];
	self.stepId = stepId;
	if(self.step==nil) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("STEP_ERR_UNK").."</rgb>");
		return false;
	end
	
	self:InitTargetLogger();
	
	-- if(self.step.objectif~=nil) then 
		-- quickLauncher.objectiveLabel:SetText(self.step.objectif);
	-- end
	-- quickLauncher.objectiveBackground:SetVisible(true);
	
	self.tradeWindow = TradeWindow(self.step.title, self.step.description);
	if(self.step.trades~=nil) then
		for i, trade in pairs (self.step.trades) do
			self.tradeWindow:AddTrade(trade[1], trade[2], trade[3]);
		end
		self.tradeWindow:UpdateStatus();
	else
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: ".._("STEP_TRADE_NOTRADE").."</rgb>");
	end
end

function StepReactorTRADE:TargetChanged(sender, args)
	local player=Turbine.Gameplay.LocalPlayer.GetInstance();
	local target=player:GetTarget();
	self.tradeWindow:SetVisible(false);
	if target~=nil then
		local targetname = target:GetName();
		--Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures: selected "..targetname);
		
		if((self.step.requireExactName==true and type(self.step.tracker)=="string" and targetname==self.step.tracker) or ((self.step.requireExactName==nil or self.step.requireExactName==false) and type(self.step.tracker)=="string" and string.find(targetname, self.step.tracker))) then
			--self:Completed();
			if(self.step.neg_title~=nil) then
				self.tradeWindow:SetTitle(self.step.neg_title..targetname);
			end
			self.tradeWindow:UpdateStatus(true);
			self.tradeWindow:SetVisible(true);
		elseif(type(self.step.tracker)=="table") then
			for _, v in ipairs(self.step.tracker) do
				if ((self.step.requireExactName==true and string.find(targetname, v)) or ((self.step.requireExactName==nil or self.step.requireExactName==false) and string.find(targetname, v))) then
					if(self.step.neg_title~=nil) then
						self.tradeWindow:SetTitle(self.step.neg_title..targetname);
					end
					self.tradeWindow:UpdateStatus();
					self.tradeWindow:SetVisible(true);
					break
				end
			end
		end
	end
end


function StepReactorTRADE:InitTargetLogger()
	if(Turbine.Gameplay.LocalPlayer.targetListerners == nil) then
		Turbine.Gameplay.LocalPlayer.targetListerners = {};
		local player=Turbine.Gameplay.LocalPlayer.GetInstance();
		player.TargetChanged = function (sender, args)
			for i, j in pairs(Turbine.Gameplay.LocalPlayer.targetListerners) do
				j:TargetChanged(sender, args);
			end
		end
	end
	if (Turbine.Gameplay.LocalPlayer.targetListerners ~= nil) then
		for i, j in pairs(Turbine.Gameplay.LocalPlayer.targetListerners) do
			if(j==self) then return; end
		end
		table.insert(Turbine.Gameplay.LocalPlayer.targetListerners, self);
	end	
end

function StepReactorTRADE:Completed()
	if(AdventureEngine:TestSuccessCondition(self.step.successCondition)==false) then
		return;
	end
	self.tradeWindow:SetVisible(false);
	AdventureEngine:ApplyStepGenericActions(self.step.onCompletion);
	AdventureEngine:ClearSynchronousReactors(self);
end

function StepReactorTRADE:Unload()
	for i=1, table.getn(Turbine.Gameplay.LocalPlayer.targetListerners), 1 do
		if(Turbine.Gameplay.LocalPlayer.targetListerners[i]==self) then
			table.remove(Turbine.Gameplay.LocalPlayer.targetListerners, i);
			i=i-1;
		end
	end
end