
	
TalkTree = class( Turbine.UI.Window );


function TalkTree:Constructor()

	Turbine.UI.Window.Constructor( self );
	self.answers = {};
	
	self:SetSize( 700, 366 );
	self:SetPosition(Preferences.talktree_x or (Turbine.UI.Display.GetWidth()-self:GetWidth())/2, Preferences.talktree_y or (Turbine.UI.Display.GetHeight()-self:GetHeight())/2);
	self:SetZOrder(1000);
	self:SetBackground("WalmPlugins/YourOwnAdventures/pictures/talktree/talktree.jpg");
	self:SetOpacity(0.9);
	
	self.targetNameLabel = Turbine.UI.Label();
	self.targetNameLabel:SetParent( self );
	self.targetNameLabel:SetPosition( 30, 15 );
	self.targetNameLabel:SetSize(300, 20);
	self.targetNameLabel:SetMouseVisible( false );
	self.targetNameLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.targetNameLabel:SetForeColor( Turbine.UI.Color( 1, 1, 0 ) );
	self.targetNameLabel:SetFont( Turbine.UI.Lotro.Font.TrajanProBold22 );
	self.targetNameLabel:SetFontStyle( Turbine.UI.FontStyle.Outline );
	
	self.targetDialogLabel = Turbine.UI.TreeView();
	self.targetDialogLabel:SetParent( self );
	self.targetDialogLabel:SetPosition( 30, 45 );
	self.targetDialogLabel:SetSize(280, 290);
	self.targetDialogLabel:SetMouseVisible( false );
	self.targetDialogLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	local dialogScrollBar = Turbine.UI.Lotro.ScrollBar();
    dialogScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    dialogScrollBar:SetParent( self );
    dialogScrollBar:SetPosition( 15, 45 );
    dialogScrollBar:SetSize( 10, 290 );
	self.targetDialogLabel:SetVerticalScrollBar( dialogScrollBar );
	--self.targetDialogLabel:SetBackColor( Turbine.UI.Color( 1, 1, 0 ) );
	
	local playerNameLabel = Turbine.UI.Label();
	playerNameLabel:SetParent( self );
	playerNameLabel:SetSize(300, 20);
	playerNameLabel:SetPosition( 370, 15 );
	playerNameLabel:SetMouseVisible( false );
	playerNameLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	playerNameLabel:SetTextAlignment( Turbine.UI.ContentAlignment.TopRight );	
	playerNameLabel:SetForeColor( Turbine.UI.Color( 1, 1, 0 ) );
	playerNameLabel:SetFont( Turbine.UI.Lotro.Font.TrajanProBold22 );
	playerNameLabel:SetFontStyle( Turbine.UI.FontStyle.Outline );
	playerNameLabel:SetText( Turbine.Gameplay.LocalPlayer.GetInstance():GetName() );	

	self.playerDialogTreeView = Turbine.UI.TreeView();
	self.playerDialogTreeView:SetParent( self );
	self.playerDialogTreeView:SetPosition( 380, 45 );
	self.playerDialogTreeView:SetSize(280, 290);
	-- self.playerDialogTreeView:SetMouseVisible( false );
	-- self.playerDialogTreeView:SetFont( Turbine.UI.Lotro.Font.Verdana14 );
	-- self.playerDialogTreeView:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	local pdialogScrollBar = Turbine.UI.Lotro.ScrollBar();
    pdialogScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    pdialogScrollBar:SetParent( self );
    pdialogScrollBar:SetPosition( 15, self:GetWidth()-10 );
    pdialogScrollBar:SetSize( 10, 290 );
	self.playerDialogTreeView:SetVerticalScrollBar( pdialogScrollBar );
	
	self.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left and Preferences.canMoveQuickLauncher) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
			--self:SetBackColor( Turbine.UI.Color(0,0,1,0) );
		end
	end
	self.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then			
			if (sender.dragging) then
				sender.dragging = false;
			end
			-- if not sender.dragged then
				-- dialog:SetVisible( not dialog:IsVisible() );
			-- end
			---self:SetBackColor( Turbine.UI.Color(0,0,0,0) );
			Preferences.talktree_x, Preferences.talktree_y = self:GetPosition();
			SavePreferences();
			if(Preferences.OnUpdate ~= nil) then
				Preferences.OnUpdate();
			end
		-- elseif (args.Button == Turbine.UI.MouseButton.Right) then	
			-- contextMenu:ShowMenu();
		end
	end
	self.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender.dragged = true;
			if (self:GetLeft() > Turbine.UI.Display.GetWidth() - 35) then
				self:SetLeft(Turbine.UI.Display.GetWidth() - 35);				
			end
			if (self:GetLeft() < 0) then
				self:SetLeft(0);				
			end			
			if (self:GetTop() > Turbine.UI.Display.GetHeight() - 35) then
				self:SetTop(Turbine.UI.Display.GetHeight() - 35);				
			end
			if (self:GetTop() < 0) then
				self:SetTop(0);				
			end			
		end
	end
	
	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			sender:SetVisible( false ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end

			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end	
	
	self.continueButton = Turbine.UI.Lotro.Button();
	self.continueButton:SetParent(self);
	self.continueButton:SetWidth(150);
	self.continueButton:SetText(TRAD("Continuer", "Continue"));
	self.continueButton:SetPosition((self:GetWidth()-self.continueButton:GetWidth())/2, self:GetHeight()-25);
	self.continueButton:SetVisible(false);
	
	self:SetVisible(false);
end

function TalkTree:AddAnswer(say, answer, mouseClickFct, condition)
	local node = DiaryEntryNode(self.playerDialogTreeView:GetWidth());
	node:SetMouseVisible(true);
	local color = Turbine.UI.Color( 1, 1, 1 );
	local text = say;
	if(condition~=nil) then
		local ok = true;
		if(condition.requireItem) then
			ok = ok and inventoryEngine:HasItem(condition.requireItem);
			text = text.."\n["..TRAD("Nécessite ", "Require ")..CleanItemName(inventoryEngine:GetItemName(condition.requireItem)).."]";
		end
		if(condition.requireDeed) then
			ok = ok and deedsEngine:HasDeed(condition.requireDeed);
			local deed = deedsEngine:GetDeedOnScripts(condition.requireDeed);
			local deedName = condition.requireDeed;
			if(deed~=nil) then deedName = deed.name; end
			text = text .. "\n["..TRAD("Nécessite l'Exploit ", "Require the achievement ")..deedName.."]";
		end
		if(condition.requireVariable) then
			ok = ok and AdventureEngine:HasVariable(condition.requireVariable);
			--text = text .. "\n[Nécessite l'Exploit "..condition.requireDeed.."]";
		end		
		--node:IsSelectable(ok);
		node:SetMouseVisible(ok);
		if(ok==false) then
			if(answer.hideIfRequirementsFalse==true) then return; end
			color = Turbine.UI.Color( 0.3, 0.3, 0.3 );
		end
	end
	node:SetFore(color, Turbine.UI.Lotro.Font.Verdana14, Turbine.UI.ContentAlignment.MiddleRight, nil);
	node:UpdateText(FormatAdventureString(text).."\n");
	node.answer = answer
	
	node.MouseClick = function(a, b)
		mouseClickFct(answer);
	end
	node.MouseEnter = function(a, b)
		node.labelValue:SetForeColor( Turbine.UI.Color( 1, 1, 0 ) );
	end	
	node.MouseLeave = function(a, b)
		node.labelValue:SetForeColor( Turbine.UI.Color( 1, 1, 1 ) );
	end
	self.playerDialogTreeView:GetNodes():Add(node);

	self.continueButton:SetVisible(self.playerDialogTreeView:GetNodes():GetCount()<2);
	self.continueButton.MouseClick = function (s, a)
		mouseClickFct(answer);
	end
end

function TalkTree:ResetAnswers()
	self.playerDialogTreeView:GetNodes():Clear();
end

function TalkTree:SetTargetDialog(dialog)
	self.targetDialogLabel:GetNodes():Clear();
	local node = DiaryEntryNode(self.targetDialogLabel:GetWidth());
	node:SetFore(Turbine.UI.Color( 1, 1, 1 ), Turbine.UI.Lotro.Font.Verdana14, Turbine.UI.ContentAlignment.TopLeft, nil);
	node:UpdateText(FormatAdventureString(dialog));
	self.targetDialogLabel:GetNodes():Add(node);
end

function TalkTree:SetTargetName(targetName)
	self.targetNameLabel:SetText(targetName);
end

