

TimerLabel = class( Turbine.UI.Label );

function TimerLabel:Constructor(width, deed)
	Turbine.UI.Label.Constructor( self );    	
	self:SetSize(100, 20);
	self:SetMouseVisible( false );	
	self:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/launcher/timerpane.jpg" );
	self:SetVisible(false);	

	self.timerLabel = Turbine.UI.Label();
	self.timerLabel:SetParent( self );
	self.timerLabel:SetPosition(0, 0);
	self.timerLabel:SetSize(self:GetSize());
	self.timerLabel:SetFont(Turbine.UI.Lotro.Font.VerdanaBold16); 
	self.timerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter ); 
	self.timerLabel:SetMouseVisible( false );

	self.lastUpdate = 0;
	self.blinker = LerpValue();	
end

function TimerLabel:InitAdventureTimer(t, step)
	
	if(t==nil or t.seconds==nil ) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>YourOwnAdventures:  ".._("ERR_TIMERFORMAT"));
		return false;
	end
	if(t.remains~=nil) then t.seconds=t.remains; end
	if(t.seconds>5999) then t.seconds = 5999; end
	self:SetVisible(true);
	self.timerLabel:SetText( ""..math.floor(t.seconds/60) .. ":" .. (t.seconds%60));
	self.timer = t;
	self.parentStep = step;
	
	
	self.lastUpdate = 0;
	self.blinker = LerpValue();
	self.blinker:SetTarget(self.timer.seconds);
	self.blinker:SetValue(0);
	
	self:SetWantsUpdates( true );
	self:SetVisible(true);
end

function TimerLabel:StopAdventureTimer()
	self.blinker:SetTarget(0);
	self.blinker:SetValue(0);	
	self.lastUpdate = 0;
	self.timer = nil;
	self:SetVisible(false);	
	self:SetWantsUpdates( false );
end

function TimerLabel:GetAdventureTimer()
	if(self.timer~=nil) then self.timer.remains = self.timer.seconds - self.blinker:GetValue();  end;
	return self.timer;
end

function TimerLabel:Update( args )
	
	local delta = 0;
	local currentTime = Turbine.Engine.GetLocalTime();

	if ( self.lastUpdate > 0 ) then
		delta = currentTime - self.lastUpdate;
	end

	self.lastUpdate = currentTime;
	self.blinker:Update( delta );
	if(self:IsVisible()) then	
		local seconds = self.timer.seconds - self.blinker:GetValue();
		local m = math.floor(seconds/60);
		if(m<10) then m="0"..m; end
		local s = math.fmod(math.floor(seconds), 60);
		if(s<10) then s="0"..s; end
		self.timerLabel:SetText( m .. ":" .. s );
	end
	if(self.blinker:GetValue()>=self.timer.seconds)then		
		AdventureEngine:ApplyStepGenericActions(self.timer);
		AdventureEngine:ClearAllReactors(AdventureEngine.reactors);
		quickLauncher:RemoveObjectives();
		AdventureEngine:LoadQuestStep(self.timer.nextStep);
		self:StopAdventureTimer();
	end
end
