TradeNode = class( Turbine.UI.TreeNode );

function TradeNode:Constructor(width)
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( 607, 67 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	self:BuildGUI();
	
	self.SelectedChanged = function()
		self:UpdateStatus(true);
	end
	--self:UpdateStatus();
end

function TradeNode:BuildGUI()
	self.receiveIconeLabel = Turbine.UI.Label();
	self.receiveIconeLabel:SetParent( self );
	self.receiveIconeLabel:SetPosition(17,17);
	self.receiveIconeLabel:SetSize(32, 32);
	self.receiveIconeLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.receiveIconeLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_mid_bar.jpg");	
	self.receiveQtyLabel = Turbine.UI.Label();
	self.receiveQtyLabel:SetParent(self.receiveIconeLabel);
	self.receiveQtyLabel:SetPosition(2, 2);
	self.receiveQtyLabel:SetSize(28, 28);
	self.receiveQtyLabel:SetFontStyle(Turbine.UI.FontStyle.Outline);
	self.receiveQtyLabel:SetTextAlignment(Turbine.UI.ContentAlignment.BottomRight);
	self.receiveQtyLabel:SetMouseVisible( false );
	self.receiveIconeLabel.MouseEnter = function(o, a)
		if(self.toReceiveTooltip~=nil) then
			local x = Turbine.UI.Display.GetMouseX()+20;
			local y = Turbine.UI.Display.GetMouseY()+20;
			if( x + self.toReceiveTooltip:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-self.toReceiveTooltip:GetWidth()-10; end
			if( y + self.toReceiveTooltip:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-self.toReceiveTooltip:GetHeight()-10; end
			self.toReceiveTooltip:SetPosition(x, y);		
			self.toReceiveTooltip:SetVisible(true); 
		end
	end
	self.receiveIconeLabel.MouseLeave = function(o, a)
		if(self.toReceiveTooltip~=nil) then 
			self.toReceiveTooltip:SetVisible(false); 
		end
	end

	self.receiveNameLabel = Turbine.UI.Label();
	self.receiveNameLabel:SetParent( self );
	self.receiveNameLabel:SetPosition( self.receiveIconeLabel:GetLeft()+40, self.receiveIconeLabel:GetTop()-2 );
	self.receiveNameLabel:SetSize(300, 36);
	--self.receiveNameLabel:SetBackColor( Turbine.UI.Color(0.5, 0.5, 0.5) );
	self.receiveNameLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	self.receiveNameLabel:SetFont( Turbine.UI.Lotro.Font.TrajanPro18);
	self.receiveNameLabel.MouseEnter = function(o, a)
		if(self.toReceiveTooltip~=nil) then
			local x = Turbine.UI.Display.GetMouseX()+20;
			local y = Turbine.UI.Display.GetMouseY()+20;
			if( x + self.toReceiveTooltip:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-self.toReceiveTooltip:GetWidth()-10; end
			if( y + self.toReceiveTooltip:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-self.toReceiveTooltip:GetHeight()-10; end
			self.toReceiveTooltip:SetPosition(x, y);		
			self.toReceiveTooltip:SetVisible(true); 
		end
	end
	self.receiveNameLabel.MouseLeave = function(o, a)
		if(self.toReceiveTooltip~=nil) then 
			self.toReceiveTooltip:SetVisible(false); 
		end
	end
end

function TradeNode:SetTrade(toGive, toReceive, conditions)
	self.toGiveList = {};
	if(toReceive==nil or toGive==nil or (type(toReceive)~="string" and (type(toReceive)~="table" and toReceive.itemid~=nil))) then
		return false;
	end
	if(type(toReceive)=="string") then
		toReceive = {quantity=1, itemid=toReceive};
	end
	if(type(toGive)=="string") then
		toGive = {{quantity=1, itemid=toGive}};
	end
	if(type(toReceive)=="table") then
		toReceive.lItem = ITEMS[toReceive.itemid];
	end	
	if(toReceive.lItem==nil or type(toGive)~="table") then
		return false;
	end
	if(toGive.itemid~=nil) then
		toGive = {toGive};
	end
	for i, give in pairs(toGive) do
		if(self:BuildGiveComponents(give, i)==false) then
			return false;
		end
	end
	self.toReceive = toReceive;
	
	-- toReceive = {quantity=69, itemid="", lItem={name="", description="", picture=""}};
	self.receiveIconeLabel:SetBackground(self.toReceive.lItem.picture);
	local receiveName = self.toReceive.lItem.name
	if(self.toReceive.quantity==nil or toReceive.quantity==1) then
		self.toReceiveTooltip = ItemTooltip({uniqueId = self.toReceive.itemid; parentQuestId = nil; quantity = 1;});
		receiveName = string.gsub(receiveName, "{", "");
		receiveName = string.gsub(receiveName, "}", "");
		receiveName = string.gsub(receiveName, "%[.-%]", "");
	else
		self.receiveQtyLabel:SetText(toReceive.quantity);
		self.toReceiveTooltip = ItemTooltip({uniqueId = self.toReceive.itemid; parentQuestId = nil; quantity = self.toReceive.quantity;});
		receiveName = string.gsub(receiveName, "%[", "");
		receiveName = string.gsub(receiveName, "%]", "");	
		receiveName = string.gsub(receiveName, "{.-}", "");
		receiveName = toReceive.quantity .. " " .. receiveName;
	end	
	self.receiveNameLabel:SetText(receiveName);
	
	if(conditions~=nil and (conditions.requireItem~=nil or conditions.requireAdventure~=nil or conditions.requireDeed~=nil)) then
		self.conditionLabel = Turbine.UI.Label();
		self.conditionLabel:SetParent( self );
		self.conditionLabel:SetPosition(self.receiveNameLabel:GetLeft()+305, 23);
		self.conditionLabel:SetSize(20, 20);
		self.conditionLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );		
		self.conditionLabel.conditions = conditions;
		self.conditionLabel.MouseEnter = function(o, a)
			if(self.conditionLabel.tooltip~=nil) then
				local x = Turbine.UI.Display.GetMouseX()+20;
				local y = Turbine.UI.Display.GetMouseY()+20;
				if( x + self.conditionLabel.tooltip:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-self.conditionLabel.tooltip:GetWidth()-10; end
				if( y + self.conditionLabel.tooltip:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-self.conditionLabel.tooltip:GetHeight()-10; end
				self.conditionLabel.tooltip:SetPosition(x, y);		
				self.conditionLabel.tooltip:SetVisible(true); 
			end
		end
		self.conditionLabel.MouseLeave = function(o, a)
			if(self.conditionLabel.tooltip~=nil) then 
				self.conditionLabel.tooltip:SetVisible(false); 
			end
		end		
	end
	return true;
end

function TradeNode:BuildGiveComponents(toGive, id)
	if(toGive==nil or type(toGive)~="table" or toGive.itemid==nil or id>3) then return false; end
	-- toGive = {quantity=69, itemid="", lItem={name="", description="", picture=""}, label=[], counter=[]};
	toGive.lItem = ITEMS[toGive.itemid];
	if(toGive.lItem==nil) then return false; end
	
	if(toGive.quantity==nil) then toGive.quantity=1; end
	
	local left = 468; if(id==2) then left=548; end if(id==3) then left=389; end
	local iconeLabel = Turbine.UI.Label();
	iconeLabel:SetParent( self );
	iconeLabel:SetPosition(left, 11);
	iconeLabel:SetSize(32, 32);
	iconeLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	iconeLabel:SetBackground(toGive.lItem.picture);	
	iconeLabel.tooltip = ItemTooltip({uniqueId = toGive.itemid; parentQuestId = nil; quantity = toGive.quantity;});
	iconeLabel.MouseEnter = function(o, a)
		if(iconeLabel.tooltip~=nil) then
			local x = Turbine.UI.Display.GetMouseX()+20;
			local y = Turbine.UI.Display.GetMouseY()+20;
			if( x + iconeLabel.tooltip:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-iconeLabel.tooltip:GetWidth()-10; end
			if( y + iconeLabel.tooltip:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-iconeLabel.tooltip:GetHeight()-10; end
			iconeLabel.tooltip:SetPosition(x, y);		
			iconeLabel.tooltip:SetVisible(true); 
		end
	end
	iconeLabel.MouseLeave = function(o, a)
		if(self.toReceiveTooltip~=nil) then 
			iconeLabel.tooltip:SetVisible(false); 
		end
	end

	iconeLabel.filtered = Turbine.UI.Label();
	iconeLabel.filtered:SetParent(iconeLabel);
	iconeLabel.filtered:SetPosition(0, 0);
	iconeLabel.filtered:SetSize(32, 32);
	iconeLabel.filtered:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	iconeLabel.filtered:SetBackground("WalmPlugins/YourOwnAdventures/pictures/inv/inv_filtered_slot.tga");
	iconeLabel.filtered:SetVisible(false);
	
	local counterLabel = Turbine.UI.Label();
	counterLabel:SetParent( self );
	counterLabel:SetPosition(left-10, 47);
	counterLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter);
	counterLabel:SetSize(52, 14);
	counterLabel:SetFont("Turbine.UI.Lotro.Font.Verdana10");
	counterLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	
	toGive.label = iconeLabel;
	toGive.counter = counterLabel;
	table.insert(self.toGiveList, toGive)
	return true;
end

function TradeNode:UpdateStatus(canApplySelection)
	local canTrade = true;
	if(self.toGiveList~=nil) then
		for i, giveItem in pairs(self.toGiveList) do
			local id, sItem = inventoryEngine:GetSavedItemByUniqueId(giveItem.itemid);
			local enough=true;
			if(sItem~=nil) then
				enough = (sItem.quantity>=giveItem.quantity);
				giveItem.counter:SetText(sItem.quantity.."/"..giveItem.quantity);					
			else
				enough = (giveItem.quantity==0);
				giveItem.counter:SetText("0/"..giveItem.quantity);
			end
			if(enough==true) then
				giveItem.counter:SetForeColor(Turbine.UI.Color( 1, 1, 1));
				giveItem.label.filtered:SetVisible(false);	
			else
				giveItem.counter:SetForeColor(Turbine.UI.Color( 0.5, 0.5, 0.5 ));
				giveItem.label.filtered:SetVisible(true);	
			end
			canTrade = canTrade and enough;
		end
	end
	local conditionOK=true;
	if (self.conditionLabel ~= nil) then
		--conditions.requireItem~=nil and conditions.requireAdventure~=nil and conditions.requireDeed
		self.conditionLabel.tooltip = GenericTooltip();
		self.conditionLabel.tooltip:AddLayer(TRAD("Cette échange a des conditions :", "This trade has conditions :"), Turbine.UI.Color(1, 1, 1), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
		if(self.conditionLabel.conditions.requireItem~=nil) then
			local lItem = ITEMS[self.conditionLabel.conditions.requireItem];
			if(lItem~=nil) then
				local itemName = CleanItemName(lItem.name, 1, false);
				if(inventoryEngine:HasItem(self.conditionLabel.conditions.requireItem)) then
					self.conditionLabel.tooltip:AddLayer(TRAD("Vous possédez bien : ", "You have : ")..itemName, Turbine.UI.Color(0, 1, 0), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
				else
					self.conditionLabel.tooltip:AddLayer(TRAD("Vous devez posséder : ", "You should have : ")..itemName, Turbine.UI.Color(1, 0, 0), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
					conditionOK = false;
				end
			end
		end
		if(self.conditionLabel.conditions.requireAdventure~=nil) then
			local adventure = AdventureEngine:GetAdventureById(self.conditionLabel.conditions.requireAdventure);
			if(adventure~=nil) then
				local progress = PROGRESS.ACHIEVEMENTS[self.conditionLabel.conditions.requireAdventure];
				if(progress~=nil and progress.firstCompletionDate~=nil) then
					self.conditionLabel.tooltip:AddLayer(TRAD("Vous avez bien fini l'aventure : ", "You ended the adventure : ")..adventure.title, Turbine.UI.Color(0, 1, 0), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
				else
					self.conditionLabel.tooltip:AddLayer(TRAD("Vous devez finir l'aventure : ", "You should finished the adventure : ")..adventure.title, Turbine.UI.Color(1, 0, 0), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
					conditionOK = false;
				end
			end
		end	
		if(self.conditionLabel.conditions.requireDeed~=nil) then
			local deed = PROGRESS.DEEDS[self.conditionLabel.conditions.requireDeed];
			if(deed~=nil) then
				if(deed.completionDate~=nil) then
					self.conditionLabel.tooltip:AddLayer(TRAD("Vous avez bien réalisé l'exploit : ", "You have accomplished the deed : ")..deed.name, Turbine.UI.Color(0, 1, 0), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
				else
					self.conditionLabel.tooltip:AddLayer(TRAD("Vous devez finir l'exploit : ", "You should accomplished the deed : ")..deed.name, Turbine.UI.Color(1, 0, 0), nil, Turbine.UI.Lotro.Font.BookAntiqua16);
					conditionOK = false;
				end
			end
		end		
		if(conditionOK) then
			self.conditionLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/lock_open.tga");
		else
			self.conditionLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/lock_close.tga");
		end
		--self.conditionLabel.conditions	
	end
	
	if(canTrade==true) then
		self:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_cell_enable.jpg");		
	else
		self:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_cell_disable.jpg");
	end
	if(self.parentT:GetSelectedNode()~=nil and self==self.parentT:GetSelectedNode()) then
		self:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_cell_selected.jpg");
	end
	canTrade = canTrade and conditionOK;
	self.canTrade = canTrade;
end

function TradeNode:ApplyTrade()
	if(self.canTrade==false) then return false; end
	
	if(self.toGiveList~=nil) then
		for i, giveItem in pairs(self.toGiveList) do
			inventoryEngine:RemoveItem(giveItem.itemid, giveItem.quantity);
		end
	end	
	inventoryEngine:AddItem(self.toReceive.itemid, self.toReceive.quantity, AdventureEngine:GetActiveQuest());
	self:UpdateStatus(true);
end

function TradeNode:ExpandAll()
	self:SetExpanded(true);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):ExpandAll();
	end
end

function TradeNode:CollapseAll()
	self:SetExpanded(false);
	for i=1, self:GetChildNodes():GetCount(), 1 do
		self:GetChildNodes():Get(i):CollapseAll();
	end	
end