import "WalmPlugins.YourOwnAdventures.TradeNode";

TradeWindow = class( Turbine.UI.Window );

function TradeWindow:Constructor(title, description)
	Turbine.UI.Window.Constructor( self );
	self:SetSize(641, Preferences.trade_height or 450);
	--self:SetText(TRAD("   Negociant   ", "Trader"));
	if(Preferences.trade_x==nil or Preferences.trade_y==nil) then
		Preferences.trade_x = Turbine.UI.Display.GetWidth()/2-200;
		Preferences.trade_y = Turbine.UI.Display.GetHeight()/2-100;
	end
	if(Preferences.trade_y<0) then Preferences.trade_y=0; end
	self:SetPosition(Preferences.trade_x, Preferences.psheet_y);
	--self:SetBackColor( Turbine.UI.Color(0, 0, 0.8));

	self.header = Turbine.UI.Label();
	self.header:SetParent( self );
	self.header:SetPosition(0, 0);
	self.header:SetSize(641, 87);
	self.header:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.header:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_title_bar.tga");

	self.titleLabel = Turbine.UI.Label();
	self.titleLabel:SetParent( self );
	self.titleLabel:SetPosition(153, 5);
	self.titleLabel:SetSize(335, 18);
	self.titleLabel:SetMouseVisible(false);
	self.titleLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);
	self.titleLabel:SetForeColor( Turbine.UI.Color( 0.81, 0.71, 0.23 ) );
	self.titleLabel:SetOutlineColor( Turbine.UI.Color( 0, 0, 0 ) );
	self.titleLabel:SetFontStyle( Turbine.UI.FontStyle.Outline );	
	self.titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	self.titleLabel:SetText(title or TRAD("Négociant", "Trader"));	

	if(description~=nil) then
		local descriptionLabel = Turbine.UI.Label();
		descriptionLabel:SetParent( self );
		descriptionLabel:SetPosition(25, 30);
		descriptionLabel:SetSize(self:GetWidth()-50, 28);
		descriptionLabel:SetMouseVisible(false);
		descriptionLabel:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
		descriptionLabel:SetForeColor( Turbine.UI.Color( 0.81, 0.71, 0.23 ) );
		-- descriptionLabel:SetOutlineColor( Turbine.UI.Color( 0, 0, 0 ) );
		-- descriptionLabel:SetFontStyle( Turbine.UI.FontStyle.Outline );	
		descriptionLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
		descriptionLabel:SetText(description);		
	end
	
	self:BuildGUI();
	
	self.resizer = Turbine.UI.Label();
	self.resizer:SetParent( self );
	self.resizer:SetSize(100, 10);
	self.resizer:SetBackground("WalmPlugins/YourOwnAdventures/pictures/sheet/v_resize.jpg");
	self.resizer:SetPosition(self:GetWidth()/2-50, self:GetHeight()-10);
	self.resizer:SetZOrder(self:GetZOrder()+10);
	
	self.resizer.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
		end
	end
	self.resizer.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then			
			if (sender.dragging) then
				sender.dragging = false;
			end
			Preferences.trade_height = self:GetHeight();
			SavePreferences();
		end
	end
	self.resizer.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local height = self:GetHeight() + args.Y - sender.dragStartY;
			if(height>350) then 
				self:SetHeight(height);
				self:UpdateVertPos();
			end
			self:UpdateVertPos();
		end
	end
	self.header.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left and Preferences.canMoveQuickLauncher) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
			--self:SetBackColor( Turbine.UI.Color(0,0,1,0) );
		end
	end	
	self.header.MouseUp = function( sender, args )
		if (args.Button == Turbine.UI.MouseButton.Left) then	
			if (sender.dragging) then
				sender.dragging = false;
			end
			Preferences.trade_x, Preferences.trade_y = self:GetPosition();
			SavePreferences();
			if(Preferences.OnUpdate ~= nil) then
				Preferences.OnUpdate();
			end
		end
	end
	self.header.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender.dragged = true;
			if (self:GetLeft() > Turbine.UI.Display.GetWidth() - 35) then
				self:SetLeft(Turbine.UI.Display.GetWidth() - 35);				
			end
			if (self:GetLeft() < 0) then
				self:SetLeft(0);				
			end			
			if (self:GetTop() > Turbine.UI.Display.GetHeight() - 35) then
				self:SetTop(Turbine.UI.Display.GetHeight() - 35);				
			end
			if (self:GetTop() < 0) then
				self:SetTop(0);				
			end			
		end
	end	
	self:UpdateVertPos();
	-- Hide UI when F12 is pressed, code copied from Chiran sources
	local hideUI = false;
	local wasVisible;
	self:SetWantsKeyEvents(true);
	self.KeyDown = function(sender, args)
		if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
			sender:SetVisible( false ) 
		elseif (args.Action == 268435635) then
			if not hideUI then
				hideUI = true;
				if self:IsVisible() then
					wasVisible = true;
					self:SetVisible(false);					
				else
					wasVisible = false;
				end

			else
				hideUI = false;
				if wasVisible then
					self:SetVisible(true);				
				end
			end
		end
	end	
end

function TradeWindow:BuildGUI()

	local closeLabel = Turbine.UI.Label();
	closeLabel:SetParent( self );
	closeLabel:SetPosition(619, 21);
	closeLabel:SetSize(16, 16);
	closeLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	closeLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/close.jpg");
	closeLabel.MouseClick = function (sender, args)
		self:SetVisible( false );
	end
	closeLabel.MouseEnter = function (sender, args)
		closeLabel:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/close_roll.jpg" );
	end
	closeLabel.MouseLeave = function (sender, args)
		closeLabel:SetBackground( "WalmPlugins/YourOwnAdventures/pictures/close.jpg" );
	end	
	
	local trade1Label = Turbine.UI.Label();
	trade1Label:SetParent( self );
	trade1Label:SetPosition(0, 63);
	trade1Label:SetSize(self:GetWidth()/2, 16);
	trade1Label:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	trade1Label:SetForeColor( Turbine.UI.Color( 0.81, 0.71, 0.23 ) );
	trade1Label:SetOutlineColor( Turbine.UI.Color( 0, 0, 0 ) );
	trade1Label:SetFontStyle( Turbine.UI.FontStyle.Outline );	
	trade1Label:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	trade1Label:SetText(TRAD("Objets à recevoir :", "Items to receive :"));		

	local trade2Label = Turbine.UI.Label();
	trade2Label:SetParent( self );
	trade2Label:SetPosition(self:GetWidth()/2, 63);
	trade2Label:SetSize(self:GetWidth()/2, 16);
	trade2Label:SetFont(Turbine.UI.Lotro.Font.TrajanPro14);
	trade2Label:SetForeColor( Turbine.UI.Color( 0.81, 0.71, 0.23 ) );
	trade2Label:SetOutlineColor( Turbine.UI.Color( 0, 0, 0 ) );
	trade2Label:SetFontStyle( Turbine.UI.FontStyle.Outline );	
	trade2Label:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	trade2Label:SetText(TRAD("Objets à échanger", "Items to trade :"));		
	
	self.downHeader = Turbine.UI.Label();
	self.downHeader:SetParent( self );
	self.downHeader:SetPosition(0, self:GetHeight()-42);
	self.downHeader:SetSize(641, 42);
	self.downHeader:SetMouseVisible( false );
	self.downHeader:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.downHeader:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_down_bar.tga");	

	self.tradebtn = Turbine.UI.Lotro.Button();
    self.tradebtn:SetParent( self.downHeader );
	self.tradebtn:SetSize( 140, 18 );
	self.tradebtn:SetPosition( (self.downHeader:GetWidth()-self.tradebtn:GetWidth())/2 , 7 );
	self.tradebtn:SetText(TRAD("Echanger", "Barter"));
	self.tradebtn:SetEnabled(false);
	self.tradebtn.Click = function( sender, args )
		local node = self.tradesTreeView:GetSelectedNode();
		if(node~=nil) then
			node:ApplyTrade();
			self:UpdateStatus(true);
		end
	end	

	self.backLabel = Turbine.UI.Label();
	self.backLabel:SetParent( self );
	self.backLabel:SetPosition(0, self.header:GetHeight());
	self.backLabel:SetSize(641, 1);
	self.backLabel:SetMouseVisible( false );
	self.backLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.backLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/trader/Barter_mid_bar.jpg");		

	self.tradesTreeView = Turbine.UI.TreeView();
    self.tradesTreeView:SetParent( self );
    self.tradesTreeView:SetPosition( 10, self.header:GetHeight()+5 );
	self.tradesTreeView:SetSize( 607, 10 );
    self.tradesTreeView:SetIndentationWidth( 15 );
   -- self.tradesTreeView:SetBackColor( Turbine.UI.Color(1, 0.5, 0.5));
	self.treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    self.treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    self.treeViewScrollBar:SetParent( self );
    self.treeViewScrollBar:SetPosition( self.tradesTreeView:GetWidth()+self.tradesTreeView:GetLeft(), self.tradesTreeView:GetTop() );
    self.treeViewScrollBar:SetSize( 10, self.tradesTreeView:GetHeight() );
	self.tradesTreeView:SetVerticalScrollBar( self.treeViewScrollBar );
	self.tradesTreeView.SelectedNodeChanged = function(sender, args)
		local node = self.tradesTreeView:GetSelectedNode();	
		self:UpdateStatus();
		self.tradebtn:SetEnabled(node~=nil and node.canTrade);
	end
	--self:PopupateTreeView();	
end

function TradeWindow:SetTitle(text)
	if(text~=nil) then
		self.titleLabel:SetText(text);
	end
end

function TradeWindow:AddTrade(toGive, toReceive, conditions)
	
	local node = TradeNode(self.tradesTreeView:GetWidth());
	if(node:SetTrade(toGive, toReceive, conditions)) then
		self.tradesTreeView:GetNodes():Add(node);
		return true;
	end
	return false;
end

function TradeWindow:UpdateStatus(canApplySelection)
	self.tradesTreeView:ExpandAll();
	for i=1, self.tradesTreeView:GetNodes():GetCount(), 1 do
		local node = self.tradesTreeView:GetNodes():Get(i);
		node.parentT = self.tradesTreeView;
		node:UpdateStatus(canApplySelection);
	end
	local snode = self.tradesTreeView:GetSelectedNode();	
	self.tradebtn:SetEnabled(snode~=nil and snode.canTrade);	
end

function TradeWindow:UpdateVertPos()
	self.resizer:SetTop(self:GetHeight()-10);
	self.backLabel:SetHeight(self:GetHeight()-self.downHeader:GetHeight()-self.header:GetHeight());
	self.downHeader:SetTop(self:GetHeight()-42);
	self.tradesTreeView:SetHeight( self.backLabel:GetHeight()-10);
	self.treeViewScrollBar:SetHeight(self.tradesTreeView:GetHeight() );
end