

table.insert(ADVENTURES, {
	title = "Introduction aux enquêtes à Bree";
	family = "|PLAYER|, détective conseil";
	uniqueID = "WALM-DCB-1";
	version = "1.0";
	language = "FR";
	author = "Walm";
	shareURL = "https://www.lotrointerface.com/list.php?skinnerid=10917"; 
	levelMin = 10;
	header = "WalmPlugins/YourOwnAdventures/scripts/detective/header_enquete.tga"; 
	description = "Cette aventure présente le fonctionnement de cette campagne inspirée des jeux de société \"Sherlock Holmes, Détective conseil.\"\nToutes les actions auront lieu dans Bree ou ses environs.";
	canRestart = true;
	loadingDiaryMessage = "Cela fait plusieurs jours que vous entendez des rumeurs incessantes dans les rues de Bree. Elles laissent dire à qui veut l'entendre que le Vigile en chef de Bree, Thomas Lainechardon, ferait face à une vague de criminalité sans précédents... J'ai toujours détesté les rumeurs. Alors, dès que j'aurais le temps, je devrais aller rencontrer ce Vigile en chef Thomas Lainechardon. Qui sait, peut être que je peux me rendre utile. Il me semble me rappeler qu'il se trouve presque toujours dans sa tente de Bree Ouest, située entre la boutique du taxidermiste et la banque de Bree Ouest.";			
	steps = {
		["START"] = {
			objectif = TRAD("Parlez à Thomas Lainechardon sous sa tente non loin du taxidermiste.", "Talk to Thomas Thistlewool close to the taxidermist.");
			steptype = "TALKTREE"; 
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool"); 
			dials = {
				["START"] = {
					say="Ha. Bonjour |PLAYER|. Oui, ne prenez pas cet air étonné, je me souviens de vous. Cela fait parti de mon rôle que de me souvenir des visiteurs qui ont la capacité de mettre Bree sans dessus-dessous. Rooh, je ne dis pas cela méchamment, croyez-moi.\n\nJe suis désolé. La vérité est que je ne sais plus où donner de la tête. Et que, ces jours-ci, je regarde plus les badauds d'un œil suspicieux plutôt qu'amical.\n\nComme vous avez déjà rendu quelques services à Bree, je peux vous faire confiance. Nous vivons effectivement un période sombre. Je pense que les derniers évènements dans la Terre du Milieu ont fait perdre l'esprit à bon nombre.";
					answers = {
						{pos=1, say="Est ce que je peux vous aider ?"; nextDial="2"; pushSplashMessage = "Thomas Lainechardon semble soulagé.";	pushDiaryMessage = "Thomas Lainechardon confirma à mi-mots les rumeurs. Il était évident que je devais proposer mon aide.\nIl me parla alors d'un hobbit du nom de Holmes qui se présenterai comme enquêteur. Thomas me proposa de me confier les mêmes enquêtes que ce Holmes pour confirmer ses conclusions.";},
						{pos=2, say="Cela ne me concerne pas.\nAu revoir."; nextStep="FAIL"; pushSystemChat = "<rgb=#00FF00><Thomas Lainechardon></rgb> Dommage. Si vous changez d'avis, vous savez où me trouver."; pushSplashMessage = "Thomas Lainechardon est décu de votre réponse.";	pushDiaryMessage = "Ce n'était clairement pas le moment. Devant la montagne d'aventures qui m'attendaient, je décidai de prendre congés.";},
					};
				},
				["2"] = {
					say="Pour tout vous dire, il y a une autre personne qui s'est présentée à moi pour proposer ses services. Et il me semble plutôt efficace, mais je ne sais pas si je peux lui faire confiance. Il s'agit d'un hobbit du nom de Holmes. Il s'est présenté comme étant détective.\n\nJ'aimerais vous proposer les mêmes enquêtes qu'à lui.";
					answers = {
						{pos=1, say="Bien, mais comment enquêter ?"; nextDial="3";},
						{pos=2, say="Pourquoi pas, mais comment va le prendre ce Holmes ?"; nextDial="4";},
						{pos=3, say="C'est compris, je suis prêt à enquêter !"; nextDial = "5";},
						{pos=4, say="Cela ne m'interesse pas.\nAu revoir."; nextStep="FAIL"; pushSystemChat = "<rgb=#00FF00><Thomas Lainechardon></rgb> Dommage. Si vous changez d'avis, vous savez où me trouver."; pushSplashMessage = "Thomas Lainechardon est décu de votre réponse.";	pushDiaryMessage = "Ce n'était clairement pas le moment. Devant la montagne d'aventures qui m'attendaient, je décidai de prendre congés.";},
					};
				},
				["3"] = {
					say="Venez me revoir dès que vous serez prêt. Je vous présenterai alors une affaire étrange, avec tous les détails en ma possession. A vous d'aller librement interroger les personnes impliquées, et d'aller vérifier leurs dires.\n\nQuand vous penserez avoir identifié le coupable et la motivation du larcin, revenez me voir m'expliquer votre raisonnement. Je pourrais comparer vos déductions et celles de Holmes.";
					answers = {
						{pos=1, say="Pourquoi pas, mais comment va le prendre ce Holmes ?"; nextDial="4";},
						{pos=2, say="C'est compris, je suis prêt à enquêter !"; nextDial = "5";},
						{pos=3, say="Cela ne m'interesse pas.\nAu revoir."; nextStep="FAIL"; pushSystemChat = "<rgb=#00FF00><Thomas Lainechardon></rgb> Dommage. Si vous changez d'avis, vous savez où me trouver."; pushSplashMessage = "Thomas Lainechardon est décu de votre réponse.";	pushDiaryMessage = "Ce n'était clairement pas le moment. Devant la montagne d'aventures qui m'attendaient, je décidai de prendre congés.";},
					};
				},
				["4"] = {
					say="Ho, ne vous faites pas de soucis pour lui. Il a l'air... disons... assez imperturbable.\n\nEn fait, ces larcins font de plus en plus de bruits dans Bree, et inquiètent les citoyens. J'aimerais que cela se sache le moins possible. C'est pourquoi j'aimerais vous proposer... disons... un petit jeu.\n\nCelui de vous deux qui résoudra l'enquête en interrogeant le moins de personnes gagnera un lot. Disons que je vous poserai des questions sur l'enquête. Toute bonne réponse vous donnera 50 points. Mais vous perderez 10 points par personne interrogée.\n\nMais cela me semble chose perdue pour vous. Ce Holmes est un sacré enquêteur !";
					answers = {
						{pos=1, say="Bien, mais comment enquêter ?"; nextDial="3";},
						{pos=2, say="C'est compris, je suis prêt à enquêter !"; nextDial = "5";},
						{pos=3, say="Cela ne m'interesse pas.\nAu revoir."; nextStep="FAIL"; pushSystemChat = "<rgb=#00FF00><Thomas Lainechardon></rgb> Dommage. Si vous changez d'avis, vous savez où me trouver."; pushSplashMessage = "Thomas Lainechardon est décu de votre réponse.";	pushDiaryMessage = "Ce n'était clairement pas le moment. Devant la montagne d'aventures qui m'attendaient, je décidai de prendre congés.";},
					};
				},
				["5"] = {
					say="Parfait ! Je savais que je pouvais compter sur vous.\n\nHa, petit détail. Pour ne pas vous mettre en difficulté dès le début, je vais commencer par vous proposer des enquêtes faciles. Elles deviendront plus complexes au fil de vos succès.\n\nDonc, on se revoit dès que vous serez prêt à accepter votre première enquête.";
					answers = {
						{pos=1, say="C'est compris, je suis prêt à enquêter !"; nextStep = "END"; pushDiaryMessage="Donc, Thomas me propose une espèce de jeu. Il me donnera les détails d'une enquête, et charge à moi d'aller interroger les personnes impliquées et de vérifier leurs propos.\nMais Thomas tient à mettre une forme de rivalité entre moi et Holmes. On devra compter le nombre de personnes interrogées. Et celui de lui ou de moi qui résolvera l'enquête avec le moins d'interrogatoire gagnera la mise."}
					};
				};
			};
			onCompletion = {
				accomplishDeed = "WALM-DCB-1_";
			};
		};
	};
});

table.insert(ADVENTURES, {
	title = "Portrait craché\n[Difficulté : débutant]";
	family = "|PLAYER|, détective conseil";
	uniqueID = "WALM-DCB-1B";
	version = "1.0";
	language = "FR"; 
	author = "Walm";
	shareURL = "https://www.lotrointerface.com/list.php?skinnerid=10917"; 
	levelMin = 10;
	requireCompletion = "WALM-DCB-1";
	header = "WalmPlugins/YourOwnAdventures/scripts/detective/header_enquete.tga"; 
	description = "Thomas Lainechardon m'a indiqué vouloir me confier des enquêtes pour ramener le calme dans Bree. Dès que j'aurais une minute, je devrais aller le revoir...";
	loadingDiaryMessage = "La tente de Thomas Lainechardon, en face du taxidermiste. Il doit m'y attendre pour me confier ma première enquête en tant que détective.";			
	canRestart = true;
	steps = {
		["START"] = {
			objectif = TRAD("Parlez à Thomas Lainechardon sous sa tente non loin du taxidermiste.", "Talk to Thomas Thistlewool close to the taxidermist.");
			steptype = "TALKTREE"; 
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool"); 
			dials = {
				["START"] = {
					say="Ha. Bonjour |PLAYER|. Oui, ne prenez pas cet air étonné, je me souviens de vous. Cela fait parti de mon rôle que de me souvenir des visiteurs qui ont la capacité de mettre Bree sans dessus-dessous. Rooh, je ne dis pas cela méchamment, croyez-moi.\n\nJe suis désolé. La vérité est que je ne sais plus où donner de la tête. Et que, ces jours-ci, je regarde plus les badauds d'un œil suspicieux plutôt qu'amical.\n\nComme vous avez déjà rendu quelques services à Bree, je peux vous faire confiance. Nous vivons effectivement un période sombre. Je pense que les derniers évènements dans la Terre du Milieu à fait perdre l'esprit à bon nombre.";
					answers = {
						{pos=1, say="Est ce que je peux vous aider ?"; nextDial="2";},
						{pos=2, say="Cela ne me concerne pas.\nAu revoir."; nextStep="FAIL"; pushSystemChat = "<rgb=#00FF00><Thomas Lainechardon></rgb> Dommage. Si vous changez d'avis, vous savez où me trouver."; pushSplashMessage = "Thomas Lainechardon est décu de votre réponse.";	pushDiaryMessage = "Ce n'était clairement pas le moment. Devant la montagne d'aventures qui m'attendaient, je décidai de prendre congés.";},
					};
				},
				["2"] = {
					say="En vérité, j'ai de nombreux dossiers et méfaits à résoudre en ville... Mais puis-je réellement me reposer sur vous ? Avez vous une once de talent d'enquêteur ?\nHum... Disons que pour commencer, je vais vous confier une tache enfantine.\nJ'ai entendu parler d'un hobbit qui a voulu entrer en ville par la porte Ouest, il y a peu. Mais quelque chose l'en empêcherai.\nRetrouvez le et trouvez ce qui le chagrine à ce point.\nUne fois terminé, revenez me donner votre conclusion. Si elle est satisfaisante, je songerai à vous confier des enquêtes plus compliquées.\n\nQuoi ? Vous êtes encore ici ?!";
					answers = {
						{pos=1, say="C'est compris, je suis prêt à enquêter !"; nextStep = "LELAND";},
						{pos=2, say="Cela ne m'interesse pas.\nAu revoir."; nextStep="FAIL"; pushSystemChat = "<rgb=#00FF00><Thomas Lainechardon></rgb> Dommage. Si vous changez d'avis, vous savez où me trouver."; pushSplashMessage = "Thomas Lainechardon est décu de votre réponse.";	pushDiaryMessage = "Ce n'était clairement pas le moment. Devant la montagne d'aventures qui m'attendaient, je décidai de prendre congés.";},
					};
				};
			};

		},
		["LELAND"] = {
			objectif = TRAD("Retrouvez le hobbit au delà de la porte Ouest de Bree et interrogez-le.", "Find the hoobit at the West door of Bree");
			steptype = "TALKTREE"; 
			tracker = TRAD("Leland Soucolline", "Leland Underhill"); 
			dials = {
				["START"] = {
					say="Quoi ? Qui ? Que me voulez-vous ?";
					answers = {
						{pos=1, say="Je recherche un hobbit qui aurait rencontré des difficultés en voulant rentrer en ville."; nextDial="0";},
					};
				},
				["0"] = {
					say="Ai-je l'air d'être un arbuste... Mais non, voyons, tel que vous me voyez, je suis en train d'hésiter entre me faire dévorer par les ours ou à entrer dans Bree et me faire détrousser par ces gredins en ville.";
					answers = {
						{pos=1, say="Des gredins ? Quels gredins ?"; nextDial = "gredins";},
					};
				},
				["gredins"] = {
					say="Quels gredins, qu'il demande ! Qu'il est drôle ! Ou naïf !\nAllez voir par vous même ! A deux pas de la porte d'accès de Bree, je vous dis, il y a ce gredin qui m'a menacé ! ";
					answers = {
						{pos=1, say="Je vais aller voir..."; nextStep = {"Hazel", "André", "Bill", "Garde", "Vigile", "Harry"};},
					};
				};
			};

		},
		["Hazel"] = {
			objectif = TRAD("Parler à Hazel Kenton", "Talk to Hazel Kenton"); steptype = "TALKTREE"; tracker = "Hazel Kenton"; dials = {
				["START"] = { say="Non, je n'ai vu aucune tentative d'intimider un voyageur. Je connais mon métier !"; answers = { {pos=1, say="Merci."; nextStep={{"LELAND2","FIN"}};} }; }}; nextStep = {{"LELAND2","FIN"}};
		},
		["Garde"] = {
			objectif = TRAD("Parler au Garde du village", "Talk to Town Guard"); steptype = "TALKTREE"; tracker = TRAD("Garde du village","Town Guard"); dials = {
				["START"] = { say="Bonjour, l'ami. Non, je suis désolé, mais je n'ai rien vu d'anormal pendant ma patrouille."; answers = { {pos=1, say="Merci."; nextStep={{"LELAND2","FIN"}};} }; }}; nextStep = {{"LELAND2","FIN"}};
		},
		["André"] = {
			objectif = TRAD("Parler à André Duchêne", "Talk to Andrew Oakhurst"); steptype = "TALKTREE"; tracker = TRAD("André Duchêne", "Andrew Oakhurst"); dials = {
				["START"] = { say="Des gredins ? Ici ? Je l'aurais remarqué !"; answers = { {pos=1, say="Merci."; nextStep={{"LELAND2","FIN"}};} }; }}; nextStep = {{"LELAND2","FIN"}};
		},
		["Bill"] = {
			objectif = TRAD("Parler à Bill Boisderose", "Talk to Bill Rosewood"); steptype = "TALKTREE";tracker = {"Bill Boisderose", "Bill Rosewood"}; dials = {
				["START"] = { say="Vous voulez une monture fraiche ?\nNon ?\nAlors laissez donc la place pour les voyageurs, vous ne voyez pas qu'il y a beaucoup de monde qui attendent ?!"; answers = { {pos=1, say="Désolé."; nextStep={{"LELAND2","FIN"}};} }; }}; nextStep = {{"LELAND2","FIN"}};
		},
		["Vigile"] = {
			objectif = TRAD("Parler à Vigile Cardon", "Talk to Watchman Cardoon"); steptype = "TALKTREE"; tracker = TRAD("Vigile Cardon","Watchman Cardoon"); dials = {
				["START"] = { say="Bonjour. Non, je suis désolé mais je ne vois pas que quoi vous parlez."; answers = { {pos=1, say="Désolé."; nextStep={{"LELAND2","FIN"}};} }; }}; nextStep = {{"LELAND2","FIN"}};
		},
		["Harry"] = {
			objectif = TRAD("Parler à Harry Chèvrefeuille", "Talk to Harry Goatleaf"); steptype = "TALKTREE"; tracker = TRAD("Harry Chèvrefeuille","Harry Goatleaf"); dials = {
				["START"] = { say="Vous voulez une monture fraiche ?\nNon ?\nAlors laissez donc la place pour les voyageurs, vous ne voyez pas qu'il y a beaucoup de monde qui attendent ?!"; answers = { {pos=1, say="Désolé."; nextStep={{"LELAND2","FIN"}};} }; }}; nextStep = {{"LELAND2","FIN"}};
		},
		["LELAND2"] = {
			objectif = TRAD("Retourner voir Leland Soucolline pour l'interroger", "Go back talking to Leland Underhill");
			steptype = "TALKTREE"; 
			tracker = TRAD("Leland Soucolline", "Leland Underhill"); 
			onLoading = {pushDiaryMessage="En inspectant les lieux, je suis tombé sur Hazel Kenton, les gardes de patrouille, André Duchêne, Bill Boisderose, Vigile Cardon et Harry Chèvrefeuille. L'un d'eux doit être le fameux gredin."};
			dials = {
				["START"] = {
					say="Pardon ? Vous les avez interrogés, et personne n'a avoué ?\nMais vous vous attendiez à ce que l’un d’eux avoue tout et s’excuse ? Ha, ha, vous êtes drôle finalement.\nLaissez moi vous expliquer. Quand je suis entré dans Bree, quelqu’un m’a appelé, et m’a demandé ma bourse en échange d’un libre passage ! J’ai immédiatement fui sans laisser mon compte, vous vous doutez bien !\nMais je ne pense pas que les autres n’aient vu ou entendu quoi que ce soit.";
					answers = {
						{pos=1, say="Que pouvez vous me dire sur cette personne ?"; nextDial="0";},
					};
				},
				["0"] = {
					say="Je ne sais plus trop, je ne lui ai pas demandé son nom, et dans l'agitation, je n'ai pas trop fait attention... Ha mais si vous me posez des questions, je pourrais certainement essayer de me souvenir !";
					answers = {
						{pos=1, say="Etait-ce un homme ou une femme ?"; nextDial = "1";},
						{pos=2, say="De quelle couleur étaient les cheveux ?"; nextDial = "2";},
						{pos=3, say="Avez vous remarqué si le coupable portait une armure ?"; nextDial = "3";},
						{pos=4, say="Y avait il un signe particulier sur ses vêtements ?"; nextDial = "4";},
						{pos=5, say="J'ai tout ce qu'il me faut, merci."; nextStep = {{"LELAND2","FIN"}}},
					};
				},
				["1"] = {
					say="Mais elle était occupée à contrôler une charrette de foin. Comme si quelqu'un allait y a cacher quelque chose. Attendez, vous pensez vraiment qu'il y a des gredins qui caches des choses dangereuses dans le foin ? *gloups*";
					answers = {
						--{pos=1, say="Etait-ce un homme ou une femme ?"; nextDial = "1";},
						{pos=2, say="De quelle couleur étaient les cheveux ?"; nextDial = "2";},
						{pos=3, say="Avez vous remarqué si le coupable portait une armure ?"; nextDial = "3";},
						{pos=4, say="Y avait il un signe particulier sur ses vêtements ?"; nextDial = "4";},
						{pos=5, say="J'ai tout ce qu'il me faut, merci."; nextStep = {{"LELAND2","FIN"}}},
					};
				},
				["2"] = {
					say="Hooo, je ne m'en souviens pas... Il faisait un peu sombre... Je dirai que le gredin n'avait pas les cheveux foncé en tout cas. Non, pas de cheveux bruns, c'est certain !";
					answers = {
						{pos=1, say="Etait-ce un homme ou une femme ?"; nextDial = "1";},
						--{pos=2, say="De quelle couleur étaient les cheveux ?"; nextDial = "2";},
						{pos=3, say="Avez vous remarqué si le coupable portait une armure ?"; nextDial = "3";},
						{pos=4, say="Y avait il un signe particulier sur ses vêtements ?"; nextDial = "4";},
						{pos=5, say="J'ai tout ce qu'il me faut, merci."; nextStep = {{"LELAND2","FIN"}}},
					};
				},
				["3"] = {
					say="Une armure ? Oui... ha... heu... non... j'ai surtout regardé son visage. Et il n'avait pas de casque en tout cas !";
					answers = {
						{pos=1, say="Etait-ce un homme ou une femme ?"; nextDial = "1";},
						{pos=2, say="De quelle couleur étaient les cheveux ?"; nextDial = "2";},
						--{pos=3, say="Avez vous remarqué si le coupable portait une armure ?"; nextDial = "3";},
						{pos=4, say="Y avait il un signe particulier sur ses vêtements ?"; nextDial = "4";},
						{pos=5, say="J'ai tout ce qu'il me faut, merci."; nextStep = {{"LELAND2","FIN"}}},
					};
				},
				["4"] = {
					say="Un signe particulier ? Heu, et bien... je ne saurais vous dire !\nEn tout cas, je ne pense pas qu'il ne portait de blason. Ha ca, non, je l'aurais remarqué. J'adore les blasons !";
					answers = {
						{pos=1, say="Etait-ce un homme ou une femme ?"; nextDial = "1";},
						{pos=2, say="De quelle couleur étaient les cheveux ?"; nextDial = "2";},
						{pos=3, say="Avez vous remarqué si le coupable portait une armure ?"; nextDial = "3";},
						--{pos=4, say="Y avait il un signe particulier sur ses vêtements ?"; nextDial = "4";},
						{pos=5, say="J'ai tout ce qu'il me faut, merci."; nextStep = {{"LELAND2","FIN"}}},
					};
				};
			};
		},
		["FIN"] = {
			objectif = TRAD("Retournez voir Thomas Lainechardon pour lui donner vos conclusions.", "Go back to Thomas Thistlewool to give him your conclusions.");
			steptype = "TALKTREE"; 
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool"); 
			dials = {
				["START"] = {
					say="Alors, cette enquête, cela se passe bien ?";
					answers = {
						{pos=1, say="Oui, je suis prêt à donner ma conclusion"; nextDial="CONCLUSION"},
						{pos=2, say="Non, je dois encore vérifier quelques points."; nextStep={{"LELAND2","FIN"}};}
					};
				},			
				["CONCLUSION"] = {
					say="Alors, je vous écoute. Qui selon vous est le gredin mentionné par Leland Soucolline ?";
					answers = {
						{pos=0, say="Il n'y a pas de coupable, Leland Soucolline a tout inventé."; nextDial="CONCLUSION2";},
						{pos=1, say="Le coupable est Hazel Kenton."; nextDial="CONCLUSION2";},
						{pos=2, say="Le coupable est le Garde du village."; nextDial="CONCLUSION2"; },						
						{pos=3, say="Le coupable est André Duchêne."; nextDial="CONCLUSION2"; },
						{pos=4, say="Le coupable est Bill Boisderose."; nextDial="CONCLUSION2"; },
						{pos=5, say="Le coupable est Harry Chèvrefeuille."; nextDial="CONCLUSION3"; },
						{pos=6, say="Le coupable est Vigile Cardon."; nextDial="CONCLUSION2"; }
					};
				},
				["CONCLUSION2"] = {
					say="Non, ce n'est pas possible. Je n'y crois pas une seconde !";
					answers = {
						{pos=1, say="Mais ...."; nextStep="FAIL";},
					};
				},
				["CONCLUSION3"] = {
					say="Harry Chèvrefeuille ? Il a recommancé ? Oui, il lui est déjà arrivé il y a longtemps de vouloir détrousser un voyageur gringalet. Je ne sais pas ce qu'il lui prend, Harry n'est pas un mauvais bougre. Je vais aller lui faire quelques remontrances dont il se souviendra !\n\nEt concernant votre cas, revenez me voir plus tard. Je pense que vous êtes prêt pour votre première vraie enquête !";
					answers = {
						{pos=1, say="Merci, je reviens très vite ! "; nextStep="END";}
					};
				};
			};
		}		
	};
});

table.insert(ADVENTURES, {
	title = "Le voleur à la patte de velours.\n[Difficulté : facile]";
	family = "|PLAYER|, détective conseil";
	uniqueID = "WALM-DCB-2";
	version = "1.0";
	language = "FR"; 
	author = "Walm";
	shareURL = "https://www.lotrointerface.com/list.php?skinnerid=10917";
	levelMin = 10;
	requireCompletion = "WALM-DCB-1B";
	header = "WalmPlugins/YourOwnAdventures/scripts/detective/header_enquete.tga"; 
	description = "Thomas Lainechardon m'a indiqué vouloir me confier des enquêtes pour ramener le calme dans Bree. Dès que j'aurais une minute, je devrais aller le revoir...";
	loadingDiaryMessage = "La tente de Thomas Lainechardon, en face du taxidermiste. Il doit m'y attendre pour me confier ma première enquête en tant que détective.";			
	canRestart = true;
	steps = {
		["START"] = {
			objectif = TRAD("Parlez à Thomas Lainechardon sous sa tente non loin du taxidermiste.", "Talk to Thomas Thistlewool close to the taxidermist.");
			steptype = "TALKTREE";
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool");
			dials = {
				["START"] = {
					say="Ha. Vous revoilà, |PLAYER|. Je savais que vous n'alliez pas résister à l'appel de l'aventure. Vous ratez de justesse Holmes qui est parti pour enquêter. J'aimerais commencer par vous proposer une petite enquête facile sur un voleur poilu.\nOui, vous avez bien entendu, le suspect est de type félin !\n\nAllez retrouver Whelan Aballon, un épicier de la ruelle marchande du nord de Bree. Il vous donnera tous les détails.\n\nEt revenez me voir dès que vous avez identifié le coupable, ou si vous avez besoin d'aide.\n\nBonne chance !";
					answers = {
						{pos=1, say="Un félin ? J'ai hâte de savoir ce dont il s'agit !"; nextStep="INIT"; pushSplashMessage = "Thomas Lainechardon vous souhaite bon courage.";	pushDiaryMessage = "Pour ma première enquête, Thomas Lainechardon m'a envoyé vers la ruelle marchande de Bree. Il semblerait qu'un épicier du nom de Whelan Aballon y serait victime de vols.";},
						{pos=2, say="Je ne suis pas prêt, je reviendrai."; nextStep="START"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-2_pts", "=", 0};
					};
				};
			};
		},
		["INIT"] = {
			objectif = TRAD("Interroger Whelan Aballon au sujet des vols.", "Question Whelan Appledore about the shoplifting.");
			steptype = "TALKTREE"; 
			tracker = TRAD("Whelan Aballon", "Whelan Appledore");
			dials = {
				["START"] = {
					say="Salutations, étranger. Qu'est ce que je vous sers ? J'ai un très bon jarret de porc.\n\nHa vous venez aussi pour... mon affaire ? J'ai déjà tout expliqué à votre collègue, Holmes je crois.\n\nBon, c'est vraiment par ce qu'il n'y a pas d'autre client... Figurez vous que je suis victime de vols régulièrement. Oui, dès que j'ai le dos tourné, mes étals se vident.";
					answers = {
						{pos=1, say="Vous avez des soupçons sur quelqu'un en particulier ?"; nextDial="SOUPCONS1" },
						{pos=2, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS";},
						{pos=3, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},
						{pos=4, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; },
					};
				},
				["SOUPCONS1"] = {
					say="Et bien figurez vous que je connais les coupables. Il s'agit de deux gredins appelés Oliver et Horatio. Vous les connaissez surement ?! Ils trainent dans la Maison des Félines à quelques pas au sud d'ici.\n\nOui, oui, ce sont bien deux chats ! En fait, leur tour est bien rodé. L'un d'eux vient miauler plus forts que tous les démons de l'Angmar à deux pas de mon étal, et dès que je vais le chasser à coups de pieds et de bâton -ils font fuir la clientèle !-, l'autre en profite pour me voler mes articles. Chaque jour, je perds des kilos de nourriture ! ";
					answers = {
						{pos=1, say="Des chats ? Vous vous moquez de moi ?!"; nextDial="SOUPCONS2"; },
						{pos=2, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS"; },
						{pos=3, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},						
						{pos=4, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage="x Ce diable de Whelan Aballon accuse deux chats, Oliver et Horatio, qui vivent dans une maison à deux pas au sud de son étal...";
					};
				},				
				["SOUPCONS2"] = {
					say="Prenez-moi pour un fou si vous voulez mais c'est comme cela que cela s'est passé ! C'est affreux !\n\nJ'en veux énormément à Bonnie Laiteron, la Notaire à la Mairie de Bree. C'est elle qui s'occupe de répartir les emplacements des stands des marchants des rues de Bree. Elle aurait dû me dire ce qu'il se passe avec ces chats ! C'est sa faute tout ça ! Au prix des emplacements, c'est un scandale, je vais demander à me faire rembourser ! Je ne serais pas étonné qu'elle soit derrière tout ca !";
					answers = {
						{pos=1, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS";},
						{pos=2, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},						
						{pos=3, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage="x Whelan Aballon accuse Bonnie Laiteron, la Notaire à la Mairie de Bree de l'avoir arnaqué en ne lui précisant pas ce problème de chats.";
					};
				},
				["ROGNON"] = {
					say="Heu, oui, peut-être, je vend bien des rognons.";
					answers = {
						{pos=1, say="Des chats ? Vous vous moquez de moi ?!"; nextDial="SOUPCONS2"; },
						{pos=2, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS"; },
									
						{pos=3, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage = "x Lily affirme detester les rognons...";
					};
				},			
				["TEMOINS"] = {
					say="Des témoins ? Vous savez, sur ce sujet, je suis bien incapable de vous aider. Le problème est que cette rue n'est fréquentée que par des clients de passage. Et les autres commerçants... et bien malheureusement, la concurrence est tellement dure qu'il faut bien dire que nous ne nous apprécions pas. Et aucun n'a souhaité me parler.\n\nSauf peut être mon amie, Lily Lèvesable. Elle m'a confirmé avoir vu les chats s'en prendre à mon étal. Elle peut tout voir de là où elle est installée, juste au nord d'ici.\n\nHa, et il y a aussi cette cambrioleuse, Albra Basserive, qui traine souvant dans le coin. Si ca c'est pas louche !";
					answers = {
						{pos=1, say="Vous avez des soupçons sur quelqu'un en particulier ?"; nextDial="SOUPCONS1"; },
						{pos=2, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},						
						{pos=3, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage="x Whelan Aballon a un témoin : Lily Lèvesable qui peut tout voir depuis sa position au nord de la ruelle.";
					};
				},
				["CONCLU"] = {
					say="Bien, si d'aventure vous souhaitez m'interroger à nouveau, revenez me voir sans hésitation. et dès que vous aurez le fin mot de l'histoire, retournez voir Thomas Lainechardon.\n\nEt sinon, un vous ne voulez pas m'acheter un jarret de porc ?";
					answers = {
						{pos=1, say="Non merci. A bientôt."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};}
					};
				};
			};
		},		
		["BACK_WA"] = {
			objectif = TRAD("Enquêtez dans Bree sur les vols à l'étalage", "Investigate in Bree about the shoplifting");
			steptype = "TALKTREE";
			tracker = TRAD("Whelan Aballon", "Whelan Appledore"); 
			dials = {
				["START"] = {
					say="Ha, vous revoilà ? Je le savais que vous ne résisteriez pas à l'envie d'acheter un de ces magnifiques jarrets de porc. Comme je vous comprend ?\n\nNon ? Vraiment ? Bon, je peux vous aider alors ?";
					answers = {
						{pos=1, say="Vous avez des soupçons sur quelqu'un en particulier ?"; nextDial="SOUPCONS1" },
						{pos=2, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS";},
						{pos=3, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},
						{pos=4, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; },
					};
				},
				["SOUPCONS1"] = {
					say="Et bien figurez vous que je connais les coupables. Il s'agit de deux gredins appelés Oliver et Horatio. Vous les connaissez surement ?! Ils trainent dans la Maison des Félines à quelques pas au sud d'ici.\n\nOui, oui, ce sont bien deux chats ! En fait, leur tour est bien rodé. L'un d'eux vient miauler plus forts que tous les démons de l'Angmar à deux pas de mon étal, et dès que je vais le chasser à coups de pieds et de bâton, l'autre en profite pour me voler mes articles. Chaque jour, je perds des kilos de nourriture ! ";
					answers = {
						{pos=1, say="Des chats ? Vous vous moquez de moi ?!"; nextDial="SOUPCONS2"; },
						{pos=2, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS"; },
						{pos=3, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},						
						{pos=4, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage="x Ce diable de Whelan Aballon accuse deux chats, Oliver et Horatio, qui vivent dans une maison à deux pas au sud de son étal...";
					};
				},				
				["SOUPCONS2"] = {
					say="Prenez-moi pour un fou si vous voulez mais c'est comme cela que cela s'est passé ! C'est affreux !\n\nJ'en veux énormément à Bonnie Laiteron, la Notaire à la Mairie de Bree. C'est elle qui s'occupe de répartir les emplacements des stands des marchants des rues de Bree. Elle aurait dû me dire ce qu'il se passe avec ces chats ! C'est sa faute tout ça ! Au prix des emplacements, c'est un scandale, je vais demander à me faire rembourser ! Je ne serais pas étonné qu'elle soit derrière tout ca !";
					answers = {
						{pos=1, say="Il y a du monde dans cette ruelle ! Il y a bien un témoin ? Est-ce que quelqu'un dans l'allée a vu quelque chose ?"; nextDial="TEMOINS";},
						{pos=2, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},						
						{pos=3, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage="x Whelan Aballon accuse Bonnie Laiteron, la Notaire à la Mairie de Bree de l'avoir arnaqué en ne lui précisant pas ce problème de chats.";
					};
				},
				["ROGNON"] = {
					say="Heu, oui, peut-être, je vend bien des rognons. Mais celui là... hum, non je ne pense pas que ce soit des miens...";
					answers = {
						{pos=1, say="Whelan m'a dit que vous avez tout vu ?!"; nextDial="TEMOIN"; },
						{pos=2, say="Quel est votre lien avec Whelan Aballon ?"; nextDial="LIEN"; },
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Lily affirme detester les rognons...";
					};
				},			
				["TEMOINS"] = {
					say="Des témoins ? Vous savez, sur ce sujet, je suis bien incapable de vous aider. Le problème est que cette rue n'est fréquentée que par des clients de passage. Et les autres commerçants... et bien malheureusement, la concurrence est tellement dure qu'il faut bien dire que nous ne nous apprécions pas. Et aucun n'a souhaité me parler.\n\nSauf peut être mon amie, Lily Lèvesable. Elle m'a confirmé avoir vu les chats s'en prendre à mon étal. Elle peut tout voir de là où elle est installée, juste au nord d'ici.\n\nHa, et il y a aussi cette cambrioleuse, Albra Basserive, qui traine souvant dans le coin. Si ca c'est pas louche !";
					answers = {
						{pos=1, say="Vous avez des soupçons sur quelqu'un en particulier ?"; nextDial="SOUPCONS1"; },
						{pos=2, say="J'ai trouvé ceci dans la gueule du chat, c'est bien à vous ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},						
						{pos=3, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextDial="CONCLU"; }
					};
					onCompletion = {
						pushDiaryMessage="x Whelan Aballon a un témoin : Lily Lèvesable qui peut tout voir depuis sa position au nord de la ruelle.";
					};
				},
				["CONCLU"] = {
					say="Bien, si d'aventure vous souhaitez m'interroger à nouveau, revenez me voir sans hésitation. et dès que vous aurez le fin mot de l'histoire, retournez voir Thomas Lainechardon.\n\nEt sinon, un vous ne voulez pas m'acheter un jarret de porc ?";
					answers = {
						{pos=1, say="Non merci. A bientôt.";nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};}
					};
				};
			};
		},
		["OLIVER"] = {
			--objectif = "Enquêtez dans Bree sur les vols à l'étal";
			steptype = "TARGET";
			tracker = "Oliver";
			onCompletion = {
				pushSystemChat = "Le chat dort... Suis-je vraiment en train de penser que ce chat est un voleur à l'étalage ?";
				pushSplashMessage = {"Oliver dort paisiblement", "Vous ne vous sentez pas à votre place ici..."};
				setVariable={"WALM-DCB-2_pts", "-", 10};
			};
			nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};
		},
		["HORATIO"] = {
			--objectif = "Enquêtez dans Bree sur les vols à l'étal";
			steptype = "TARGET";
			tracker = "Horatio";
			onCompletion = {
				pushSystemChat = "Le chat dort... Mais... qu'a t'il dans la gueule ?!";
				pushSplashMessage = "Horatio semble avoir quelque chose dans la gueule.";
				pushDiaryMessage = "Horatio, dans la Maison des Félines, a quelque chose dans la gueule.";
				setVariable={"WALM-DCB-2_pts", "-", 10};
			};
			nextStep = "HORATIO2";
		},
		["HORATIO2"] = {
			objectif = TRAD("Récupérez l'objet dans la gueule d'Horatio sans l'énerver (emote).", "Get tenderly the item in Horatio's mouth (play an emote).");
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Emote;
			tracker = {"Vous donnez une tape dans le dos à Horatio", "Vous chantez pour Horatio.", "Vous appelez Horatio.", "Vous applaudissez Horatio.", "Vous encouragez Horatio.", "Vous saluez Horatio de la main.", "Vous grondez Horatio.", "Vous toussez poliment devant Horatio", "Vous sifflez Horatio.", "You give Horatio a polite cough", "You give Horatio a big hug", "You mock Horatio.", "You pat Horatio on the head.", "You poke Horatio. Hey!", "You wave to Horatio."};
			onCompletion = {
				giveItem = "WALM-DCB-2_IT1";
				pushSystemChat = "Supris, Horatio laisse tomber sa proie.\nVous devriez regardez l'objet de plus près...";
				pushSplashMessage = "Supris, Horatio laisse tomber sa proie.", "Vous devriez regardez l'objet de plus près...";	
				pushDiaryMessage = "x Horatio avait un morceau de rognon dans la gueule.";	
			};
			nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};
		},
		["LILY"] = {
			--objectif = "Enquêtez dans Bree sur les vols à l'étal";
			steptype = "TALKTREE";
			tracker = TRAD("Lily Lèvesable", "Lily Sandheaver");
			dials = {
				["START"] = {
					say="Hooo, bonjour ! Je vous ai vue parler avec ce pauvre Whelan ! Je peux vous vendre de tout, j'ai plein de stocks !";
					answers = {
						{pos=1, say="Je mène une enquête. Accepteriez vous de répondre à quelques questions ?"; nextDial="INTRO"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-2_pts", "-", 10}; 
					};
				},
				["INTRO"] = {
					say="Oui, bien entendu ! Ja parie que vous enquêtez sur ces maudis chats ?! Que voulez vous savoir ?!";
					answers = {
						{pos=1, say="Whelan m'a dit que vous avez tout vu ?!"; nextDial="TEMOIN"; },
						{pos=2, say="Quel est votre lien avec Whelan Aballon ?"; nextDial="LIEN"; },
						{pos=3, say="Avez vous déjà vu cet objet ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},
						{pos=4, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};}
					};
				},
				["TEMOIN"] = {
					say="Oui, oui, oui ! C'est comme je vous le dis ! Ces deux chats, là, Horatio et Oliver ! Ce sont des crapules ! Ils miolent tellement que même un nain l'entendrait depuis sa grotte !\nEt dès qu'on a le dos tourné, PAF, ils se servent sur les étals, les espèces de... heu... chats !\n\nEt si vous voulez mon avis, c'est Albra Basserive qui est derrière tout ca ! Une cambrioleuse ! C'est certain, elle a apprivoisé les chats pour voler les étals !";
					answers = {
						{pos=1, say="Quel est votre lien avec Whelan Aballon ?"; nextDial="LIEN"; },
						{pos=2, say="Avez vous déjà vu cet objet ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Lily Lèvesable confirme avoir vu le manège des chats chapardeurs.";
					};
				},
				["LIEN"] = {
					say="Ho, on ne partage que l'amour du commerce ! Enfin, lui il a juste la chance d'avoir eu le droit à une étal...";
					answers = {
						{pos=1, say="Whelan m'a dit que vous avez tout vu ?!"; nextDial="TEMOIN"; },
						{pos=2, say="Avez vous déjà vu cet objet ?"; nextDial="ROGNON"; condition={requireItem = "WALM-DCB-2_IT1";};hideIfRequirementsFalse=true;},
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Lily et Whelan sont concurrents.";
					};
				},
				["ROGNON"] = {
					say="Ha... Heu... faites voir de plus près ?! Heu, non, jamais vu ! Je deteste les rognons ! Je n'ai jamais pû les voir. Beuuuurk, éloignez moi ca de ma vue !";
					answers = {
						{pos=1, say="Whelan m'a dit que vous avez tout vu ?!"; nextDial="TEMOIN"; },
						{pos=2, say="Quel est votre lien avec Whelan Aballon ?"; nextDial="LIEN"; },
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Lily affirme detester les rognons...";
					};
				};
			};
			nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};
		},
		["BONNIE"] = {
			--objectif = "Enquêtez dans Bree sur les vols à l'étal";
			steptype = "TALKTREE";
			tracker = TRAD("Bonnie Laiteron","Bonnie Milkweed");
			dials = {
				["START"] = {
					say="Bonjour, c'est votre tour. Que puis-je pour vous ? C'est pour un mariage ou un commerce ?";
					answers = {
						{pos=1, say="Je mène une enquête au sujet de vols subits par Whelan Aballon. Accepteriez vous de répondre à quelques questions ?"; nextDial="INTRO"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-2_pts", "-", 10}; 
					};
				},
				["INTRO"] = {
					say="Ha oui. Cette histoire de vols... Que voulez vous savoir ?";
					answers = {
						{pos=1, say="Aviez vous déjà entendu parler de cette histoire de chats avant ?"; nextDial="CHATS"; },
						{pos=2, say="Que savez vous sur Whelan Aballon, Lily Lèvesable et Albra Basserive ?"; nextDial="LIEN"; },
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
				},
				["CHATS"] = {
					say="Non, c'est de la folie. Ca a commencé au moment précis où j'ai attribué cette zone à Whelan Aballon pour qu'il puisse installer son étallage ! Et à chaque fois que je m'y déplace, je ne constate qu'une chose : la ruelle est pleine de clients, et les chats semblent fuir cette agitation.";
					answers = {
						{pos=1, say="Aviez vous déjà entendu parler de cette histoire de chats avant ?"; nextDial="CHATS"; },
						{pos=2, say="Que savez vous sur Whelan Aballon, Lily Lèvesable et Albra Basserive ?"; nextDial="LIEN"; },
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Bonnie Laiteron a attribué le zone de commerce à Whelan il y a peu. Il n'y avait pas de problème de chats avant.";
					};
				},
				["LIEN"] = {
					say="Je ne les connais que très peu... seulement pour cette histoire d'attribution de secteur de vente, comme j'en ai la responsabilité.\nWhelan Aballon est quelqu'un d'honnête, quoi qu'un peu simplet.\nAlbra Basserive est une maligne, elle a a finalement réussi à ce que je lui attribue un batiment entier pour son commerce il y a peu. Non, je ne vous dirais pas comment elle a fait. Normalement, cela se fait dans l'ordre des demandes.\n\nTenez, voici la liste d'attente.";
					answers = {
						{pos=1, say="Aviez vous déjà entendu parler de cette histoire de chats avant ?"; nextDial="CHATS"; },
						{pos=2, say="Que savez vous sur Whelan Aballon, Lily Lèvesable et Albra Basserive ?"; nextDial="LIEN"; },
						{pos=3, say="Merci pour vos réponses."; nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Bonnie Laiteron m'a donné la liste d'attente pour l'attribution des zones de vente :";
						pushDiaryPicture  = {width=260; height=247; picture="WalmPlugins/YourOwnAdventures/scripts/detective/liste_attente.jpg" };
					};
				};
			};
			nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};
		},
		["ALBRA"] = {
			--objectif = "Enquêtez dans Bree sur les vols à l'étal";
			steptype = "TALKTREE";
			tracker = TRAD("Albra Basserive","Albra Lowbanks");
			dials = {
				["START"] = {
					say="Bonjour, ma boutique n'est pas encore prête, merci de revenir plus tard... dans quelques jours !";
					answers = {
						{pos=1, say="Je mène une enquête au sujet de vols subits par Whelan Aballon. Accepteriez-vous de répondre à quelques questions ?"; nextDial="INTRO"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-2_pts", "-", 10}; 
					};
				},
				["INTRO"] = {
					say="Je ne suis pas certaine de pouvoir vous aider, je ne sais pas de quoi il s'agit.\n\nQue voulez-vous savoir ?";
					answers = {
						{pos=1, say="Les chats, ca vous parle ?"; nextDial="CHATS"; },
						{pos=2, say="Connaissez-vous Whelan Aballon ?"; nextDial="WHELAN"; },
						{pos=3, say="Comment avez-vous obtenu l'attribution de ce batiment ?"; nextDial="BATIMENT"; },
						{pos=4, say="Merci pour vos réponses."; nextStep={{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
				},
				["CHATS"] = {
					say="Des chats ?! Quelle horreur ! Je les deteste ! Je suis même allergique ";
					answers = {
						{pos=1, say="Connaissez-vous Whelan Aballon ?"; nextDial="WHELAN"; },
						{pos=2, say="Comment avez-vous obtenu l'attribution de ce batiment ?"; nextDial="BATIMENT"; },
						{pos=3, say="Merci pour vos réponses."; nextStep={{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Albra Basserive dit être allergique aux chats.";
					};
				},
				["WHELAN"] = {
					say="Non, pas plus que cela. On se connait un peu tous, entre commerçants honnêtes, et je me balade souvant dans les rues marchandes pour regarder ce que vend la concurrence. Pourquoi, c'est interdit ?";
					answers = {
						{pos=1, say="Les chats, ca vous parle ?"; nextDial="CHATS"; },
						{pos=2, say="Comment avez-vous obtenu l'attribution de ce batiment ?"; nextDial="BATIMENT"; },
						{pos=3, say="Merci pour vos réponses."; nextStep={{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
				},
				["BATIMENT"] = {
					say="Hum. Heu, et bien... Bon, je vais vous le dire. Je suppose que vous l'auriez découvert autrement. Et bien normalement, les attributions des zones de vente se font dans l'ordre des demandes. Dès qu'un secteur est disponible, Bonnie Laiteron l'attribue à celui qui a attendu le plus. Et il était hors de question que j'attente aussi longtemps... et que je prenne aussi le risque qu'on m'attribue une petite cahute dans le quartier pauvre. Alors j'ai... hem... fait tombé par accident un petit sac de pièce non loin des décideurs.";
					answers = {
						{pos=1, say="Les chats, ca vous parle ?"; nextDial="CHATS"; },
						{pos=2, say="Connaissez-vous Whelan Aballon ?"; nextDial="WHELAN"; },
						{pos=3, say="Merci pour vos réponses."; nextStep={{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}}; }
					};
					onCompletion = {
						pushDiaryMessage = "x Albra Basserive a expliqué qu'elle n'était pas prioritaire, et qu'elle a soudoyé un décideur pour avoir sa boutique.";
					};
				};
			};
			nextStep = {{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};

		},
		["FIN"] = {
			objectif = TRAD("Retournez voir Thomas Lainechardon pour lui donner vos conclusions.", "Go back to Thomas Thistlewool to give him your conclusions.");
			steptype = "TALKTREE"; 
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool"); 
			dials = {
				["START"] = {
					say="Alors, cette enquête, cela se passe bien ?";
					answers = {
						{pos=1, say="J'ai besoin d'aide..."; nextDial="AIDE" },
						{pos=2, say="Oui, je suis prêt à donner ma conclusion"; nextDial="CONCLUSION";setVariable={"WALM-DCB-2_rslt", "=", 0}},
						{pos=3, say="Non, je dois encore vérifier quelques points."; nextStep={{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};}
					};
				},
				["AIDE"] = {
					say="Je vous conseille de d'abord aller voir la victime, Whelan Aballon. Il se trouve dans la ruelle marchande au nord de Bree.\nEcoutez bien ce qu'il dit, les noms, les lieux, les faits. Et allez interroger les témoins.";
					answers = {
						{pos=2, say="Je suis prêt à donner ma conclusion"; nextDial="CONCLUSION";setVariable={"WALM-DCB-2_rslt", "=", 0}},
						{pos=3, say="Je dois encore vérifier quelques points."; nextStep={{"BACK_WA", "OLIVER", "HORATIO", "LILY", "BONNIE", "FIN", "ALBRA"}};}
					};
				},				
				["CONCLUSION"] = {
					say="Alors, je vous rappelle que vous êtes en compétition contre Holmes.\n\nChaque bonne réponse vous donnera 50 points.\n\nJe vous écoute : qui selon vous est le coupable des vols ?";
					answers = {
						{pos=1, say="Ce sont les chats, Horacio et Oliver !"; nextDial="CONCLUSION2";},
						{pos=2, say="C'est Whelan Aballon qui a tout inventé !"; nextDial="CONCLUSION2"; },						
						{pos=3, say="C'est Lily Lèvesable !"; nextDial="CONCLUSION2"; setVariable={{"WALM-DCB-2_pts", "+", 50},{"WALM-DCB-2_rslt", "+", 1}}},
						{pos=4, say="C'est Bonnie Laiteron !"; nextDial="CONCLUSION2"; },
						{pos=5, say="C'est Albra Basserive !"; nextDial="CONCLUSION2"; }
					};
				},
				["CONCLUSION2"] = {
					say="Et qu'est-ce qui aurait motivé ces vols, selon vous ?";
					answers = {
						{pos=1, say="La faim !"; nextDial="CONCLUSION3";},
						{pos=2, say="Camoufler une tentative de corruption !"; nextDial="CONCLUSION3"; },						
						{pos=3, say="La récupération d'une zone de vente plus lucrative !"; nextDial="CONCLUSION3"; setVariable={{"WALM-DCB-2_pts", "+", 50},{"WALM-DCB-2_rslt", "+", 1}}},
						{pos=4, say="La revente des stocks volés !"; nextDial="CONCLUSION3"; },
						{pos=5, say="Le mauvais caractère de Whelan Aballon !"; nextDial="CONCLUSION3"; }
					};
				},
				["CONCLUSION3"] = {
					say="Holmes m'a remis ses conclusions. Il a marqué 90 points, car il a trouvé la solution en n'interrogant qu'une seule personne.\n\nVoulez-vous savoir ce que j'en pense ?";
					answers = {
						{pos=1, say="Bien sûr ! "; nextDial="WIN2"; condition={requireVariable = {{"WALM-DCB-2_rslt", "=", 2},{"WALM-DCB-2_pts", ">=", 90}}};hideIfRequirementsFalse=true;},
						{pos=2, say="Bien sûr ! "; nextDial="WIN"; condition={requireVariable = {{"WALM-DCB-2_rslt", "=", 2},{"WALM-DCB-2_pts", "<", 90}}};hideIfRequirementsFalse=true;},	
						{pos=3, say="Bien sûr ! "; nextDial="LOOSE"; condition={requireVariable = {"WALM-DCB-2_rslt", "<", 2}};hideIfRequirementsFalse=true;}
					};
				},
				["WIN2"] = {
					say="Quel merveille ! Très bonne déduction ! Elementaire mon cher |PLAYER| !\nVous avez même réussi à être plus discret que Holmes ! J'en reste sans voix.\n\nJe vais de ce pas aller voir Lily Lèvesable pour qu'elle réponde de ses actes.\n\nN'hésitez pas à revenir me voir si vous souhaitez m'aider pour une autre enquête... plus difficile !";
					answers = {
						{pos=1, say="Trop facile, vivement la prochaine"; nextStep="END"; setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}};}
					};
					onCompletion = {
						accomplishDeed = {"WALM-DCB-2","WALM-DCB-DEED2"};
						setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}}; 
						pushDiaryMessage = "____________________\nLa coupable était bien Lily Lèvesable. Elle a utiliser les chats pour les rendre dépendants de rognons, afins qu'ils se servent directement dans les stocks les plus proches : ceux de Whelan Aballon. Elle en voulait à son emplacement. Elle avait demandé il y a un moment un emplacement pour poser un étallage, mais se trouvait réduite à vendre devant le pas de sa porte... Elle a donc tenté de faire fuire Whelan pour récupérer son emplacement.";
					};
				},
				["WIN"] = {
					say="Très bonne déduction ! Bravo !\n\nMais au petit jeu, Holmes a été meilleur que vous. Figurez vous que tout Bree est venu me voir pour me dire qu'un certain |PLAYER| posait plein de questions qui n'ont aucun sens.\n\nMais bon, le principale est que la vérité éclate au grand jour. Je vais aller voir Lily Lèvesable pour qu'elle réponde de ses actes.\n\nN'hésitez pas à revenir me voir si vous souhaitez m'aider pour une autre enquête... plus difficile !";
					answers = {
						{pos=1, say="Je vais essayer de faire mieux la prochaine fois."; nextStep="END"; setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}};}
					};
					onCompletion = {
						accomplishDeed = "WALM-DCB-2_";
						setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}}; 
						pushDiaryMessage = "____________________\nLa coupable était bien Lily Lèvesable. Elle a utiliser les chats pour les rendre dépendants de rognons, afins qu'ils se servent directement dans les stocks les plus proches : ceux de Whelan Aballon. Elle en voulait à son emplacement. Elle avait demandé il y a un moment un emplacement pour poser un étallage, mais se trouvait réduite à vendre devant le pas de sa porte... Elle a donc tenté de faire fuire Whelan pour récupérer son emplacement.";
					};
				},
				["LOOSE"] = {
					say="Je suis navré, mais vos conclusion ne correspondent en rien à celles de Holmes... ni aux miennes. Et si vous réessayiez ?";
					answers = {
						{pos=1, say="Je vais essayer de faire mieux..."; nextStep="FAIL"; setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}};}
					};
					onCompletion = {
						setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}}; 
					};
				};
			};
		}	
	};
});



ITEMS["WALM-DCB-2_IT1"] = { name = TRAD("Le rognon machouillé par Horatio", "Lam kidney chewed by Horatio");picture = "WalmPlugins/YourOwnAdventures/scripts/detective/rognon.jpg"; 
description = TRAD("Cette boule de viande a été longtemps machouillé par Horatio.", "This meat ball has been chewed by Horatio for a while."); unique=true; 
onLook={pushSystemChat = "<rgb=#00FF00>Cette boule de viande a été machouillée ! Mais elle pue le poisson !";pushSplashMessage = TRAD("Ce rognon pue !", "This lam kidney smells bad !");};};	

table.insert(DEEDS, {
	name = TRAD("Fin limier de Bree","Sleuth of Bree"); family = "|PLAYER|, détective conseil"; uniqueID = "WALM-DCB-DEED1"; language = "FR"; visibility = true;  
	todolist = {"WALM-DCB-1", "WALM-DCB-1B","WALM-DCB-2","WALM-DCB-3",{"WALM-DCB-4_", "Cette enquête sortira dans une prochaine mise à jour"},{"WALM-DCB-5_", "Cette enquête sortira dans une prochaine mise à jour"}};
	priority = 1; picture = "WalmPlugins/YourOwnAdventures/pictures/medals/sherlock.tga"; description = TRAD("Accomplissez toutes les enquêtes de Bree.","Resolve all investigations in Bree."); category="Bree";});
table.insert(DEEDS, {
	name = TRAD("Elémentaire mon cher |PLAYER| !", "Elementary my dear |PLAYER| !"); family = "|PLAYER|, détective conseil"; uniqueID = "WALM-DCB-DEED2"; language = "FR"; visibility = true;  
	priority = 1; picture = "WalmPlugins/YourOwnAdventures/pictures/medals/sherlock.tga"; description = TRAD("Battez Holmes sur au moins une enquête dans Bree.","Beat Holmes at the investigation competition."); category="Bree";});	

import "WalmPlugins.YourOwnAdventures.scripts.Detective_conseil2";