table.insert(ADVENTURES, {
	title = "Les Feux de la rampe.\n[Difficulté : intermédiaire]";
	family = "|PLAYER|, détective conseil";
	uniqueID = "WALM-DCB-3"; 
	version = "1.0";
	language = "FR"; 
	author = "Walm";
	shareURL = "https://www.lotrointerface.com/list.php?skinnerid=10917"; 
	levelMin = 10;
	requireCompletion = "WALM-DCB-2";
	header = "WalmPlugins/YourOwnAdventures/scripts/detective/header_enquete.tga"; 
	description = "Thomas Lainechardon m'a indiqué vouloir me confier des enquêtes pour ramener le calme dans Bree. Dès que j'aurais une minute, je devrais aller le revoir...";
	loadingDiaryMessage = "La tente de Thomas Lainechardon, en face du taxidermiste. Il doit m'y attendre pour me confier une nouvelle enquête en tant que détective.";			
	canRestart = true;
	steps = {
		["START"] = {
			objectif = TRAD("Parlez à Thomas Lainechardon sous sa tente non loin du taxidermiste.", "Talk to Thomas Thistlewool close to the taxidermist.");
			steptype = "TALKTREE";
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool");
			dials = {
				["START"] = {
					say="Ha, bien le bonjour |PLAYER|. Vous revoilà donc. Honnêtement, je ne pensais pas vous revoir.\n\nJ'ai effectivement une autre enquête pour vous, légèrement plus compliquée.\n\nCette fois aussi, Holmes vous a devancé, mais de peu ! Si vous vous dépêchez, vous pouvez encore le rattraper !\n\nHa, mais vous voulez certainement en savoir plus sur l'enquête en question ? Elle est très importante à mes yeux, car en ces temps sombres, les habitants de Bree ont besoin de se changer les idées. Et figurez vous qu'une troupe de théâtre s'était formée et devait se produire sur l'estrade devant le Poney Fringuant.\n\nDob Lèvesable vous y attend pour vous exposer l'affaire.\n\nEtes-vous intéressé par cette enquête ?";
					answers = {
						{pos=1, say="Oui, je pars de suite retrouver Dob Lèvesable."; nextDial="GO";},
						{pos=2, say="Non, cela ne m'intéresse pas."; nextStep="START"},
					};
				},
				["GO"] = {
					say="Parfait, et n'oubliez pas de revenir me voir dès que vous penserez avoir trouvé le coupable.\n\nEt comme pour la précédente enquête, je vais vous demander d'être le plus discret possible. Vous perderez 10 points par interrogatoire.\n\nBonne enquête !";
					answers = {
						{pos=1, say="Pas de soucis, cela ne devrait pas prendre trop de temps."; nextStep={{"INIT","INITDOB"}}; pushSplashMessage = "Thomas Lainechardon vous souhaite bon courage.";	pushDiaryMessage = "Pour ma seconde enquête, Thomas Lainechardon m'a envoyé vers enquêter auprès de Dob Lèvesable qui monte une pièce de théatre en face du Poney Fringant.";}
					};
					onCompletion = {
						setVariable={{"WALM-DCB-3_pts", "=", 0},{"WALM-DCB-3_rslt", "=", 0},{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_lalia", "=", 0},{"WALM-DCB-3_tate", "=", 0},{"WALM-DCB-3_cosme", "=", 0},{"WALM-DCB-3_dob", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0},{"WALM-DCB-3_chore", "=", 0}}; 
					};
				};
			};			
		},
		["INIT"] = {
			objectif = TRAD("Interroger Dob Lèvesable près du Poney Fringant.", "Question Dob Sandheaver near the Prancing Pony Inn.");
			steptype = "WAIT";		
		},			
		["INITDOB"] = {
			--objectif = "Interroger Dob Lèvesable près du Poney Fringant.";
			steptype = "TALKTREE"; 
			tracker = TRAD("Dob Lèvesable","Dob Sandheaver");
			dials = {
				["START"] = {
					say="Bien le bonjour.\nVous venez pour auditionner ?";
					answers = {
						{pos=1, say="Non, je viens de la part de Thomas Lainechardon concernant une enquête."; nextDial="BRIEF1"; condition={requireVariable = {{"WALM-DCB-3_pts", "=", 0}}}; hideIfRequirementsFalse=true;},
						{pos=2, say="Non, toujours pas, j'ai quelques questions pour vous."; nextDial="BRIEF2"; condition={requireVariable = {{"WALM-DCB-3_pts", "<", 0}}};hideIfRequirementsFalse=true;},
						{pos=2, say="Oui, tout à fait..."; nextDial="AUDITION", condition={requireVariable = {{"WALM-DCB-3_pts", "<", 0}}};hideIfRequirementsFalse=true; },
					};
				},
				["BRIEF1"] = {
					say="Ho ? Un certain Holmes est déjà passé. Cela signifie qu'il y a deux enquêteurs pour mon souci. Mais en vérité, c'est tout à fait normal. Il ne s'est rien passé d'aussi scandaleux à mille lieues à la ronde depuis que ma grande aïeule, Cigogne Lèvesable, a été victime d'un complot visant à l'assassiner !\n\nMais venons-en au fait ! Je suis le metteur en scène d'une pièce qui devait se produire sur cette scène tous les soirs à partir de demain. Mais de manière inexplicable, les comédiens... que dis-je... les artistes qui se présentent pour le rôle phare me font invariablement faux bond peu de temps après leur audition.\n\nC'est une véritable tragédie !\n\nJ'ai vraiment besoin de vous pour trouver l'origine de ces désistements. Nous devons pouvoir y remédier. Et vite !";
					answers = {
						{pos=1, say="Quel genre de représentation jouez-vous ?"; nextDial="PIECE"; },
						{pos=2, say="Qui sont les derniers artistes à s'être présentés pour l'audition ?"; nextDial="ARTISTES"; },
						{pos=3, say="Connaissez vous des personnes qui voudraient nuire à votre spectacle ?"; nextDial="NUIRE";},						
						{pos=4, say="En fait, j'aimerais auditionner moi aussi."; nextDial="AUDITION"; },
						{pos=5, say="Est-ce que vous connaissez un certain Tate ?"; nextDial="TATE"; condition={requireVariable = {{"WALM-DCB-3_tate", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} }
					};
					onCompletion = {
						pushDiaryMessage="x Dob Lèvesable indique que les artistes des rôles phares ont tous abandonné.";
					};
				},
				["BRIEF2"] = {
					say="Oui ? Alors, vous avez trouvé qui se cache derrière ces sabotages innacceptables et audieux ?";
					answers = {
						{pos=1, say="Quel genre de représentation jouez-vous ?"; nextDial="PIECE"; },
						{pos=2, say="Qui sont les derniers artistes à s'être présentés pour l'audition ?"; nextDial="ARTISTES"; },
						{pos=3, say="Connaissez vous des personnes qui voudraient nuire à votre spectacle ?"; nextDial="NUIRE";},						
						{pos=4, say="En fait, j'aimerais auditionner moi aussi."; nextDial="AUDITION"; },
						{pos=5, say="Est-ce que vous connaissez un certain Tate ?"; nextDial="TATE"; condition={requireVariable = {{"WALM-DCB-3_tate", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} }
					};
					onCompletion = {
						pushDiaryMessage="x Dob Lèvesable indique que les artistes des rôles phares ont tous abandonné.";
					};
				},	
				["PIECE"] = {
					say="Rien de plus qu'un spectacle d'improvisations. Rien de mieux pour faire revenir le public, car aucune représentation ne se ressemble. Cela me demande juste de trouver les meilleurs artistes, et cela n'est pas simple. Ils doivent être loquaces et avoir une très bonne répartie. Sans parler de l'éloquence et du charisme !\n\nHa, malheureusement, de tels talents sont rares dans notre bonne vieille ville.";
					answers = {
						--{pos=1, say="Quel genre de représentation jouez-vous ?"; nextDial="PIECE"; },
						{pos=2, say="Qui sont les derniers artistes à s'être présentés pour l'audition ?"; nextDial="ARTISTES"; },
						{pos=3, say="Connaissez vous des personnes qui voudraient nuire à votre spectacle ?"; nextDial="NUIRE";},						
						{pos=4, say="En fait, j'aimerais auditionner moi aussi."; nextDial="AUDITION"; },
						{pos=5, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} }
					};
					onCompletion = {
						pushDiaryMessage="x Dob Lèvesable précise qu'il prépare un spectacle d'improvisations, et qu'il peine à trouver des artistes de talent.";
					};
				},				
				["ARTISTES"] = {
					say="Ha, la plus belle et la plus merveilleuse de toute était sans nul doute Lalia... et en plus, elle se proposait de fournir les costumes gra-tui-te-ment ! De magnifiques soies qui auraient donnés un cachet unique à mon spectacle. Malheureusement, Lalia nous a laissé tomber. Ses costumes... heu... son talent va me manquer. Elle ne veut plus quitter son marché, non loin.\n\nIl y a aussi Lily Lèvesable qui a un talent inimitable, mais qui a dû renoncer à notre spectacle. Vous la connaissez ?\n\nCosme Fleurdebasilic avait aussi fait une superbe audition. Un barde de talent ! Haaa, quelle voix ! Mais maintenant il ne veut plus quitter la salle d'entrainement de Bree.\n\nIl y a aussi eu beau nombre de candidat. Mais ils n'avaient pas une once de talent, si vous voulez mon avis.";
					answers = {
						{pos=1, say="Quel genre de représentation jouez-vous ?"; nextDial="PIECE"; },
						--{pos=2, say="Qui sont les derniers artistes à s'être présentés pour l'audition ?"; nextDial="ARTISTES"; },
						{pos=3, say="Connaissez vous des personnes qui voudraient nuire à votre spectacle ?"; nextDial="NUIRE";},						
						{pos=4, say="En fait, j'aimerais auditionner moi aussi."; nextDial="AUDITION"; },
						{pos=5, say="Est-ce que vous connaissez un certain Tate ?"; nextDial="TATE"; condition={requireVariable = {{"WALM-DCB-3_tate", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} }
					};
					onCompletion = {
						pushDiaryMessage="x Dob Lèvesable raconte que Lalia, Lily Lèvesable et Cosme Fleurdebasilic ont tout trois abandonné la troupe.";
					};
				},				
				["TATE"] = {
					say="Tate ? Hum... Tate... Ha oui, attendez, oui, cela me revient. Il a passé l'audition... 3 fois, et à chaque fois, c'était toujours plus mauvais ! On m'a dit qu'il attend toujours au Poney Fringant que je lui laisse une quatrième chance. Vus la situation et le manque de candidats, il va peut-être falloir que je revoie mes critères à la baisse.";
					answers = {
						{pos=1, say="Quel genre de représentation jouez-vous ?"; nextDial="PIECE"; },
						{pos=2, say="Qui sont les derniers artistes à s'être présentés pour l'audition ?"; nextDial="ARTISTES"; },
						{pos=3, say="Connaissez vous des personnes qui voudraient nuire à votre spectacle ?"; nextDial="NUIRE";},						
						{pos=4, say="En fait, j'aimerais auditionner moi aussi."; nextDial="AUDITION"; },
						--{pos=5, say="Est-ce que vous connaissez un certain Tate ?"; nextDial="TATE"; condition={requireVariable = {{"WALM-DCB-3_tate", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} }
					};
					onCompletion = {
						pushDiaryMessage="x Dob Lèvesable raconte que Lalia, Lily Lèvesable et Cosme Fleurdebasilic ont tout trois abandonné la troupe.";
					};
				},
				["NUIRE"] = {
					say="Mon talent de metteur en scène fait bien des jaloux dans toute la région ! Je suis connu et reconnu jusqu'à Rivegel ! Mais nous, les artistes, nous respectons le génie de nos pairs.\n\nA la limite, le seul avec lequel j'ai eu quelques accrochages ces derniers temps, c'est ce vieux ronchon triste de Prosper Poiredebeurré, l'aubergiste du Poney Fringant. Figurez vous que ce bougre m'a accusé de faire fuir les clients fortunés, et d'attirer dans son établissement que des artistes sans le sou. Comme je le plains.";
					answers = {
						{pos=1, say="Quel genre de représentation jouez-vous ?"; nextDial="PIECE"; },
						{pos=2, say="Qui sont les derniers artistes à s'être présentés pour l'audition ?"; nextDial="ARTISTES"; },
						--{pos=3, say="Connaissez vous des personnes qui voudraient nuire à votre spectacle ?"; nextDial="NUIRE";},						
						{pos=4, say="En fait, j'aimerais auditionner moi aussi."; nextDial="AUDITION"; },
						{pos=5, say="Est-ce que vous connaissez un certain Tate ?"; nextDial="TATE"; condition={requireVariable = {{"WALM-DCB-3_tate", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="J'ai tout ce qu'il me faut, je vais aller enquêter."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} }
					};
					onCompletion = {
						pushDiaryMessage = "x Dob Lèvesable indique que Prosper Poiredebeurré n'aprécie pas que la troupe se soit installée en face de son établissement.";
						setVariable={"WALM-DCB-3_dob", "=", 1}; 
					};
				},
				["AUDITION"] = {
					say="Ho, vraiment ? Pour sûr ! Montez donc sur l'estrade. Prenez votre temps... respirez profondément, et dès que vous êtes prêt, indiquez-le-moi en me faisant signe. Je vous dirigerai comme tout bon metteur en scène de talent. Vous pourrez abandonner à tout moment.\n\nJ'attend de vous de l'originalité et de la poésie !\n\nHistoire de ne pas vous prendre au dépourvu, je vais vous juger sur deux épreuves : une chorégraphie, et une improvisation sur un thème de mon choix.\n\n[Attention : Chaque tentative vous fera perdre 5 points, car une audition ratée, ca se remarque !]\n[Réussir l'auditon vous rapportera 30 points]";
					answers = {
						{pos=1, say="J'y vais de ce pas, vous n'êtes pas prêt pour ce que vous allez voir !"; nextStep={{"AUDITION1", "ABORD"}}; },
						{pos=2, say="Heu, peut-être une autre fois finalement..."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}} };
					};				
				};
			};
		},
		["LILY"] = {
			objectif = TRAD("Enquêtez dans Bree sur l'origine des desistements des artistes.", "Investigate in Bree about the cause of the artists withdrawals.");
			steptype = "TALKTREE";
			tracker = TRAD("Lily Lèvesable", "Lily Sandheaver");
			dials = {
				["START"] = {
					say="Ha tiens, qui voilà ! C'est bien vous qui m'avez accusée auprès de toute la ville ?!\n\nVous venez vous moquer de moi ?!\n\nJ'ai dû abandonner ce magnifique rôle seulement par ce que vous avez sali mon nom !\n\nPartez, je n'ai rien à vous dire !";
					answers = {
						{pos=1, say="...", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
					onCompletion = {
						setVariable={"WALM-DCB-3_pts", "-", 10}; 
					};
				};
			};
			nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}
		},
		["LALIA"] = {
			steptype = "TALKTREE";
			tracker = "Lalia";
			requireExactName = true;
			dials = {
				["START"] = {
					say="Bonjour, bonjour !\n\nVous voulez un renseignement ? Ou essayer un de ces articles ?";
					answers = {
						{pos=1, say="Bonjour, vous êtes bien Lalia ? J'enquête à propos des incidents autour de la troupe de théâtre.", nextDial="HUB"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-3_pts", "-", 10}; 
					};
				},
				["HUB"] = {
					say="Oui, c'est bien moi.\n\nMais je ne n'ai pas trop de temps à consacrer à ces sujets. Faites vite !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désistée. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Vous vous êtes engagée à fournir les costumes ?", nextDial="COSTUMES"},
						{pos=3, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=4, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=5, say="Cosme m'a dit que vous êtiez victime d'empoisonnements ?"; nextDial="POISON"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["POISON"] = {
					say="Mais quel mouflon, ce Cosme ! On ne peut même plus confier un secret à un collègue artiste ?!\n\nOui, bon, c'est vrai qu'après chacune de mes pauses repas entre deux répétitions, je suis tombée malade. Pourtant je n'ai jamais eu de soucis digestifs... encore moins en mangant au Poney Fringant.";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désistée. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Vous vous êtes engagée à fournir les costumes ?", nextDial="COSTUMES"},
						{pos=3, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=4, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						--{pos=5, say="Cosme m'a dit que vous êtiez victime d'empoisonnements ?"; nextDial="POISON"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["DESIST"] = {
					say="Ha, je ne suis pas certaine que...\n\nBon, qu'est-ce qu'il y a de mal à privilègier mes résponsabilités avec mon marché plutôt que ces activités futiles ?!";
					answers = {
						{pos=1, say="Vous voulez dire que vous ne vous êtes désistée que pour une question d'agenda ?", nextDial="AGENDA"},
						{pos=2, say="Diriez vous que votre départ est lié au caractère de Dob ?", nextDial="DOB"},
						{pos=3, say="Pourtant entre le rôle clef, et les costumes, la pièce vous aurait fait une belle publicité...", nextDial="COSTUMES"},
						{pos=4, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["AGENDA"] = {
					say="Oui, et peut-être d'autres raisons... Mais vous m'importunez à la fin !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désistée. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Vous vous êtes engagée à fournir les costumes ?", nextDial="COSTUMES"},
						{pos=3, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=4, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=5, say="Cosme m'a dit que vous êtiez victime d'empoisonnements ?"; nextDial="POISON"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["COSTUMES"] = {
					say="Oui, c'est vrai que beaucoup de personnes auraient vus mes créations, et mon talent ! Mais que voulez-vous, c'est comme ca ! Et je ne changerai pas d'avis !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désistée. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						--{pos=2, say="Vous vous êtes engagée à fournir les costumes ?", nextDial="COSTUMES"},
						{pos=3, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=4, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=5, say="Cosme m'a dit que vous êtiez victime d'empoisonnements ?"; nextDial="POISON"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["DOB"] = {
					say="Bien entendu, que je le connais bien ce cher Dob !\n\nFigurez vous que, comme tout bon artiste, je me suis renseignée sur le metteur en scène avant de passer l'audition ! Hey, il n'y a pas de mal à vouloir mettre toutes les chances de notre côté... Et j'ai bien fait !\n\nFigurez vous qu'en parlant avec Lily, une parente de Dob, j'ai appris qu'il adore consommer des champignons... sous toutes ses formes. Alors quand il m'a demandé d'improviser sur le thème de la nature, la seule évocation de champignons l'a ravi !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désistée. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Vous vous êtes engagée à fournir les costumes ?", nextDial="COSTUMES"},
						--{pos=3, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=4, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=5, say="Cosme m'a dit que vous êtiez victime d'empoisonnements ?"; nextDial="POISON"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["SUSPECT"] = {
					say="Quelque chose de suspect ? Vous savez, quand on monte un spectable dans Bree, tout est suspect !\n\nMais figurez vous qu'une personne de la troupe a subit des menaces ! Oui, c'est comme je vous le dis ! Il s'agit de Cosme Fleurdebasilic. Il s'en est réfugié dans la salle d'entrainement ! Il ne veut plus quitter cet endroit !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désistée. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Vous vous êtes engagée à fournir les costumes ?", nextDial="COSTUMES"},
						{pos=3, say="Que savez vous sur Dob ?", nextDial="DOB"},
						--{pos=4, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=5, say="Cosme m'a dit que vous êtiez victime d'empoisonnements ?"; nextDial="POISON"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=6, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
					onCompletion = {
						setVariable={"WALM-DCB-3_cosme", "=", 1}; 
					};					
				}				
				;
			};
			nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}
		},	
		["COSME"] = {
			steptype = "TALKTREE";
			tracker = TRAD("Cosme Fleurdebasilic","Cooper Basilleaf");
			dials = {
				["START"] = {
					say="Qui êtes-vous, et que me voulez-vous ?!";
					answers = {
						{pos=1, say="Je suis |PLAYER|, et je viens au nom de Thomas Lainechardon à propos des incidents qui ont eu lieu dans la troupe.", nextDial="HUB"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-3_pts", "-", 10}; 
					};
				},
				["HUB"] = {
					say="Des incidents ? Quels incidents ?";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désisté. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=3, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=4, say="Lalia m'a dit que vous êtiez victime de menaces ?"; nextDial="MENACES"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["MENACES"] = {
					say="Mais quelle harpie, cette Lalia !\n\nOui, bon, c'est vrai qu'entre deux répétitions, j'allais me dégourdir autour du Poney Fringant. Et à plusieurs reprises, j'ai entendu une voix qui me menacait de mort ! Oui, vous avez bien entendu ! Et pourtant, je n'ai trouvé personne dans les environs ! Je n'ai aucune idée de qui il s'agit... alors je suis très bien ici. Au moins il ne peut rien m'arriver !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désisté. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=3, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						--{pos=4, say="Lalia m'a dit que vous êtiez victime de menaces ?"; nextDial="MENACES"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["DESIST"] = {
					say="Oui, et alors ? Ne suis-je pas libre de faire ce que je veux ? Je le suis ou je ne le suis pas ?";
					answers = {
						--{pos=1, say="Dob indique que vous vous êtes désisté. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=3, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=4, say="Lalia m'a dit que vous êtiez victime de menaces ?"; nextDial="MENACES"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["DOB"] = {
					say="Dob est quelqu'un de bien, quoi qu'un peu grognon. Il aime l'art, et cela se ressent. Nous avons eu de nombreuses discussions passionées sur la musique. Dès que je parlais de violon, il était aux anges.";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désisté. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						--{pos=2, say="Que savez vous sur Dob ?", nextDial="DOB"},
						{pos=3, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=4, say="Lalia m'a dit que vous êtiez victime de menaces ?"; nextDial="MENACES"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["SUSPECT"] = {
					say="Mais arrêtez à la fin ! Laissez-moi tranquille, je n'ai rien fait !\n\nVous devriez mieux allez interroger Lalia ! Elle en sait beaucoup sur tout cela. Figurez vous qu'elle a été empoisonnée ! Depuis, elle reste cachée dans son marché !";
					answers = {
						{pos=1, say="Dob indique que vous vous êtes désisté. Puis-je savoir pourquoi ?", nextDial="DESIST"},
						{pos=2, say="Que savez vous sur Dob ?", nextDial="DOB"},
						--{pos=3, say="Avez vous remarqué quelque chose de suspect pendant les répétitions ou pendant votre audition ?", nextDial="SUSPECT"},
						{pos=4, say="Lalia m'a dit que vous êtiez victime de menaces ?"; nextDial="MENACES"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};},
					};
					onCompletion = {
						setVariable={"WALM-DCB-3_lalia", "=", 1}; 
					};					
				}
			};
			nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}
		},
		["PROSPER"] = {
			steptype = "TALKTREE";
			tracker = TRAD("Prosper Poiredebeurré","Barliman Butterbur");
			dials = {
				["START"] = {
					say="Bonjour voyageur, que puis-je pour votre service ? Une pinte ? Un bon déjeuner bien chaud ? Une chambre pour la nuit ?";
					answers = {
						{pos=1, say="Bonjour Prosper, je viens au nom de Thomas Lainechardon à propos des incidents qui ont eu lieu dans la troupe qui s'est installée en face de votre établissement.", nextDial="HUB"},
					};
					onCompletion = {
						setVariable={"WALM-DCB-3_pts", "-", 10}; 
					};
				},
				["HUB"] = {
					say="Ha, les saltimbanques. Malheureusement, je ne pense pas pouvoir vous aider. Je passe le clair de mon temps à travailler dans mon établissement. Je ne sais pas grand choses de ce qui s'est passé dans cette troupe.";
					answers = {
						{pos=1, say="Avez-vous vu quelque chose de louche dans cet établissement ?", nextDial="LOUCHE"},
						{pos=2, say="Dob Lèvesable m'a dit que vous voyez la troupe d'un mauvais oeil ?",nextDial="DOB"; condition={requireVariable = {{"WALM-DCB-3_dob", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=3, say="Lalia aurait été empoisonée en déjeunant dans votre établissement..."; nextDial="LALIA"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=4, say="Cosme Fleurdebasilic aurait semble t'il été menacé dans les environs de votre établissement..."; nextDial="COSME"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};},
					};				
				},
				["LOUCHE"] = {
					say="Ho vous savez, il y a toujours des choses étranges dans une taverne. Après plusieurs années, nous n'y faisons plus trop attention. Cela dit, je n'ai rien remarqué d'inhabituel. Peut-être un peu plus de passage que d'habitude... disons des voyageurs qui passent sans trop consommer. Ils préférent attendre leur tour pour leur audition près d'un bon feu. Je ne peux pas leur en vouloir.";
					answers = {
						--{pos=1, say="Avez-vous quelque chose de louche dans cet établissement ?", nextDial="LOUCHE"},
						{pos=2, say="Dob Lèvesable m'a dit que vous voyez la troupe d'un mauvais oeil ?",nextDial="DOB"; condition={requireVariable = {{"WALM-DCB-3_dob", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=3, say="Lalia aurait été empoisonée en déjeunant dans votre établissement..."; nextDial="LALIA"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=4, say="Cosme Fleurdebasilic aurait semble t'il été menacé dans les environs de votre établissement..."; nextDial="COSME"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};},
					};				
				},
				["DOB"] = {
					say="Ha, ce bon vieux Dob. Non, je n'ai rien contre lui. Figurez vous qu'il m'avait demandé de lui servir mets et boissons directement sur son estrade. Ce gredin n'est même pas capable de faire vingt mètres pour s'asseoir à table. J'ai évidemment refusé, j'ai autre chose à faire.";
					answers = {
						{pos=1, say="Avez-vous vu quelque chose de louche dans cet établissement ?", nextDial="LOUCHE"},
						--{pos=2, say="Dob Lèvesable m'a dit que vous voyez la troupe d'un mauvais oeil ?",nextDial="DOB"; condition={requireVariable = {{"WALM-DCB-3_dob", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=3, say="Lalia aurait été empoisonée en déjeunant dans votre établissement..."; nextDial="LALIA"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=4, say="Cosme Fleurdebasilic aurait semble t'il été menacé dans les environs de votre établissement..."; nextDial="COSME"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};},
					};				
				},
				["LALIA"] = {
					say="Non, je n'y crois pas une seconde. Le Poney Fringant est connu à des lieues à la ronde. Si la nourriture n'était pas bonne, cela se serait ! Je l'ai effectivement vue de très mauvaise mine. Mais cela ne vient pas de notre nourriture ! Cela peut être beaucoup de choses ! Peut-être est-elle de mauvaise composition ? Ou alors aurait-elle consommé quelque chose de mauvais... mais ailleurs ? Ou alors quelqu'un lui a versé quelque chose dans son verre, ha ha ha...";
					answers = {
						{pos=1, say="Avez-vous vu quelque chose de louche dans cet établissement ?", nextDial="LOUCHE"},
						{pos=2, say="Dob Lèvesable m'a dit que vous voyez la troupe d'un mauvais oeil ?",nextDial="DOB"; condition={requireVariable = {{"WALM-DCB-3_dob", "=", 1}}};hideIfRequirementsFalse=true;},
						--{pos=3, say="Lalia aurait été empoisonée en déjeunant dans votre établissement..."; nextDial="LALIA"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=4, say="Cosme Fleurdebasilic aurait semble t'il été menacé dans les environs de votre établissement..."; nextDial="COSME"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};},
					};				
				},
				["COSME"] = {
					say="Mais... je ne suis pas responsable de ce qui se passe en dehors de mon établissement ?! Vous me prenez pour un garde ?!";
					answers = {
						{pos=1, say="Avez-vous vu quelque chose de louche dans cet établissement ?", nextDial="LOUCHE"},
						{pos=2, say="Dob Lèvesable m'a dit que vous voyez la troupe d'un mauvais oeil ?",nextDial="DOB"; condition={requireVariable = {{"WALM-DCB-3_dob", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=3, say="Lalia aurait été empoisonée en déjeunant dans votre établissement..."; nextDial="LALIA"; condition={requireVariable = {{"WALM-DCB-3_lalia", "=", 1}}};hideIfRequirementsFalse=true;},
						--{pos=4, say="Cosme Fleurdebasilic aurait semble t'il été menacé dans les environs de votre établissement..."; nextDial="COSME"; condition={requireVariable = {{"WALM-DCB-3_cosme", "=", 1}}};hideIfRequirementsFalse=true;},
						{pos=5, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};},
					};				
				}				
				;
			};
			nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
		},		
		["AUDITION1"] = {
			objectif = TRAD("Montez sur l'estrade et faites signe à Dob Lèvesable.","Go on the stage and wave Dob Sandheaver.");
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_saluer.jpg";
					name = "Faire signe à Dob depuis l'estrade.";
					tracker = TRAD("salue Dob depuis","waves Dob from");
					validation = {"Eriador: Bree: 29.8S, 51.5W"};
					chat = Turbine.ChatType.Emote;
					command = TRAD("/e salue Dob depuis ;loc", "/e waves Dob from ;loc");
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Bien, commencons !";					
						setVariable={{"WALM-DCB-3_pts", "-", 5},{"WALM-DCB-3_chore", "=", 1, 3},{"WALM-DCB-3_dcount", "=", 0}}; 
						nextStep={{"CHORE1_OBJ1","CHORE1_OBJ2","CHORE1_OBJ3","CHORE1_OBJ4","CHORE1_OBJ5","CHORE1_OBJ6", "CHORE1_D1OK", "CHORE1_D1KO", "CHORE1_D2OK", "CHORE1_D2KO","CHORE1_D3OK", "CHORE1_D3KO","ABORD"}};
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, montez donc au centre de l'estrade !";
						pushSplashMessage = "Vous n'êtes pas au bon endroit...";
					},
				};
			},
		},
		["CHORE1_OBJ1"] = {
			objectif = TRAD("Dob vous demande d'effectuez le pas numéro 1 !","Dob ask you the dance 1 !");
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {{"WALM-DCB-3_chore", "=", 1},{"WALM-DCB-3_dcount", "<", 7}};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_comp1", "=", 1},{"WALM-DCB-3_comp2", "=", -1},{"WALM-DCB-3_comp3", "=", -1}}; 
			};
			timer = {
				seconds = 12;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};				
			};			
		},	
		["CHORE1_OBJ2"] = {
			objectif = TRAD("Dob vous demande d'effectuez le pas numéro 2 !","Dob ask you the dance 2 !");
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {{"WALM-DCB-3_chore", "=", 2},{"WALM-DCB-3_dcount", "<", 7}};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_comp1", "=", -1},{"WALM-DCB-3_comp2", "=", 1},{"WALM-DCB-3_comp3", "=", -1}}; 
			};
			timer = {
				seconds = 12;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";	
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};		
			};				
		},	
		["CHORE1_OBJ3"] = {
			objectif = TRAD("Dob vous demande d'effectuez le pas numéro 3 !","Dob ask you the dance 3 !");
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {{"WALM-DCB-3_chore", "=", 3},{"WALM-DCB-3_dcount", "<", 7}};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_comp1", "=", -1},{"WALM-DCB-3_comp2", "=", -1},{"WALM-DCB-3_comp3", "=", 1}}; 
			};
			timer = {
				seconds = 12;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";	
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};			
			};				
		},	
		["CHORE1_OBJ4"] = {
			objectif = TRAD("Dob vous demande de ne pas effectuer le pas numéro 1 !","Dob ask you to avoid doing the step 1 !");
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {{"WALM-DCB-3_chore", "=", 4},{"WALM-DCB-3_dcount", "<", 7}};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_comp1", "=", -1},{"WALM-DCB-3_comp2", "=", 1},{"WALM-DCB-3_comp3", "=", 1}}; 
			};
			timer = {
				seconds = 12;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";	
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};			
			};				
		},	
		["CHORE1_OBJ5"] = {
			objectif = TRAD("Dob vous demande de ne pas effectuer le pas numéro 2 !","Dob ask you to avoid doing the step 2 !");
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {{"WALM-DCB-3_chore", "=", 5},{"WALM-DCB-3_dcount", "<", 7}};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_comp1", "=", 1},{"WALM-DCB-3_comp2", "=", -1},{"WALM-DCB-3_comp3", "=", 1}}; 
			};
			timer = {
				seconds = 12;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";	
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};			
			};				
		},	
		["CHORE1_OBJ6"] = {
			objectif = TRAD("Dob vous demande de ne pas effectuer le pas numéro 3 !","Dob ask you to avoid doing the step 3 !");
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {{"WALM-DCB-3_chore", "=", 6},{"WALM-DCB-3_dcount", "<", 7}};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_comp1", "=", 1},{"WALM-DCB-3_comp2", "=", 1},{"WALM-DCB-3_comp3", "=", -1}}; 
			};
			timer = {
				seconds = 12;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";	
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};			
			};				
		},
		["CHORE1_D1OK"] = {
			steptype = "QUICKSLOTS";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_comp1", "=", 1};
			};			
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_dance1.jpg";
					name = "Pas de danse numéro 1";
					command = TRAD("/danse1", "/dance1");
					successCompletion = {
						cancelTimer=true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Ouiiiii, bravo, j'aime !";					
						setVariable={{"WALM-DCB-3_dcount", "+", 1},{"WALM-DCB-3_chore", "=", 1, 6}}; 
						nextStep={{"AUDITION2","IMPRO1","IMPRO2","CHORE1_OBJ1","CHORE1_OBJ2","CHORE1_OBJ3","CHORE1_OBJ4","CHORE1_OBJ5","CHORE1_OBJ6", "CHORE1_D1OK", "CHORE1_D1KO", "CHORE1_D2OK", "CHORE1_D2KO","CHORE1_D3OK", "CHORE1_D3KO","ABORD"}};
					};
				};
			};
		},	
		["CHORE1_D2OK"] = {
			steptype = "QUICKSLOTS";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_comp2", "=", 1};
			};				
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_dance2.jpg";
					name = "Pas de danse numéro 2";
					command = TRAD("/danse2", "/dance2");
					successCompletion = {
						cancelTimer=true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Mais quel talent !";					
						setVariable={{"WALM-DCB-3_dcount", "+", 1},{"WALM-DCB-3_chore", "=", 1, 6}}; 
						nextStep={{"AUDITION2","IMPRO1","IMPRO2","CHORE1_OBJ1","CHORE1_OBJ2","CHORE1_OBJ3","CHORE1_OBJ4","CHORE1_OBJ5","CHORE1_OBJ6", "CHORE1_D1OK", "CHORE1_D1KO", "CHORE1_D2OK", "CHORE1_D2KO","CHORE1_D3OK", "CHORE1_D3KO","ABORD"}};
					};
				};
			};
		},
		["CHORE1_D3OK"] = {
			steptype = "QUICKSLOTS";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_comp3", "=", 1};
			};				
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_dance3.jpg";
					name = "Pas de danse numéro 3";
					command = TRAD("/danse3", "/dance3");
					successCompletion = {
						cancelTimer=true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Bravo, bravvo !";					
						setVariable={{"WALM-DCB-3_dcount", "+", 1},{"WALM-DCB-3_chore", "=", 1, 6}}; 
						nextStep={{"AUDITION2","IMPRO1","IMPRO2","CHORE1_OBJ1","CHORE1_OBJ2","CHORE1_OBJ3","CHORE1_OBJ4","CHORE1_OBJ5","CHORE1_OBJ6", "CHORE1_D1OK", "CHORE1_D1KO", "CHORE1_D2OK", "CHORE1_D2KO","CHORE1_D3OK", "CHORE1_D3KO","ABORD"}};
					};
				};
			};
		},
		["CHORE1_D1KO"] = {
			steptype = "QUICKSLOTS";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_comp1", "=", -1};
			};			
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_dance1.jpg";
					name = "Pas de danse numéro 1";
					command = TRAD("/danse1", "/dance1");
					successCompletion = {
						cancelTimer=true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Nooon, c'est nul, j'ai jamais demandé cette horreur !";
						pushSplashMessage = "Vous avez échoué, Dob est furieux !";					
						setVariable={{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0}}; 
						nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}
					};
				};
			};
		},	
		["CHORE1_D2KO"] = {
			steptype = "QUICKSLOTS";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_comp2", "=", -1};
			};				
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_dance2.jpg";
					name = "Pas de danse numéro 2";
					command = TRAD("/danse2", "/dance2");
					successCompletion = {
						cancelTimer=true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Nooon, c'est nul, j'ai jamais demandé cette horreur !";
						pushSplashMessage = "Vous avez échoué, Dob est furieux !";					
						setVariable={{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0}}; 
						nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}
					};
				};
			};
		},
		["CHORE1_D3KO"] = {
			steptype = "QUICKSLOTS";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_comp3", "=", -1};
			};				
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_dance3.jpg";
					name = "Pas de danse numéro 3";
					command = TRAD("/danse3", "/dance3");
					successCompletion = {
						cancelTimer=true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Nooon, c'est nul, j'ai jamais demandé cette horreur !";
						pushSplashMessage = "Vous avez échoué, Dob est furieux !";					
						setVariable={{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0}}; 
						nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
					};
				};
			};
		},
		["AUDITION2"] = {
			steptype = "WAIT";
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_dcount", "=", 7};
			};
			onLoading = {
				setVariable={{"WALM-DCB-3_dcount", "=", 8, 9}}; 
			};
			timer = {
				seconds = 60;
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Non, c'est trop long, c'est pas bon, je n'aime pas !";
				pushSplashMessage = "Vous avez raté votre audition.";	
				nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};				
			};		
		},			
		["IMPRO1"] = {
			objectif = TRAD("Déclamez une improvisation sur le thème préféré de Dob : la nature.\n(utilisez le canal /parler)","Make an improvisation about the nature.\n(use Say chat)");
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_dcount", "=", 8};
			};			
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Say;
			tracker = TRAD("hampignon","ushroom");
			onCompletion = {
				setVariable={"WALM-DCB-3_pts", "+", 30}; 
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Oui, impressionant, quel talent, j'adoooooore !\n<rgb=#00FF00><Dob Lèvesable></rgb> Attention, |PLAYER|, ATTENTION !";
				pushSplashMessage = {"Dob a adoré votre improvisation.", "Soudain, vous voyez une flèche frôler votre visage."};
			};
			nextStep = "PROJECTILE";
		},		
		["IMPRO2"] = {
			objectif = TRAD("Déclamez une improvisation sur le thème préféré de Dob : la musique.\n(utilisez le canal /parler)","Make an improvisation about the musique.\n(use Say chat)");
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_dcount", "=", 9};
			};			
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Say;
			tracker = "iolon";
			onCompletion = {
				setVariable={"WALM-DCB-3_pts", "+", 30}; 
				pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Oui, impressionant, quel talent, j'adoooooore !\n<rgb=#00FF00><Dob Lèvesable></rgb> Attention, |PLAYER|, ATTENTION !";
				pushSplashMessage = {"Dob a adoré votre improvisation.", "Soudain, vous voyez une flèche froller votre visage."};		
			};
			nextStep = "PROJECTILE";
		},		
		["ABORD"] = {
			objectif = TRAD("Abandonnez l'audition.","Leave the audition.");
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_abord.jpg";
					name = TRAD("Abandonner","Leave");
					successCompletion = {
						pushSplashMessage = "Vous abandonnez votre audition.";
						cancelTimer = true;
						pushSystemChat = "<rgb=#00FF00><Dob Lèvesable></rgb> Quelle déception !";
						nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
					}
				};
			},
		},
		["PROJECTILE"] = {
			objectif = TRAD("Interroger Servan Fierpied pour savoir ce qu'il s'est passé.","Question Seward Proudfoot about the projectile.");
			onLoading = {
				cancelTimer=true;
			};
			steptype = "TALKTREE";
			tracker = TRAD("Servan Fierpied","Seward Proudfoot");
			dials = {
				["START"] = {
					say="Vous allez bien, |PLAYER| ? Vous l'avez échappé belle !\n\nJ'ai tout vu ! Il y avait un homme dans les hauteurs au nord ! Il doit encore y être, si vous vous dépéchez, vous devrez l'attraper !";
					answers = {
						{pos=1, say="J'y cours !"; nextStep="PROMONTOIRE";},
					};
				};
			};
			
		},
		["PROMONTOIRE"] = {
			objectif = TRAD("Retrouvez la cachette de l'archer.","Find the archer's hiding place.");
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_look.jpg";
					name = "Rechercher des traces de l'archer autour de votre position.";
					description = "Servan Fierpied m'a dit avoir vu l'archer qui m'a tiré dessus.\nIl serait posté au nord de l'estrade.\nJe dois retrouver sa position.";
					tracker = "inspecte autour de lui, en ";
					validation = {"Eriador: Bree: 29.4S, 51.4W", "Eriador: Bree: 29.3S, 51.4W"};
					chat = Turbine.ChatType.Emote;
					command = "/e inspecte autour de lui, en ;loc";
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Un arc a été abandonné, ainsi qu'un bout de papier.\nVous retranscrivez le papier dans votre journal d'aventure.";
						pushDiaryMessage = "* Vous avez retrouvé le message suivant :\n|PLAYER| va passer une audition, allez le faire fuire comme les autres, ce rôle doit être pour moi!\n~TB";
						pushSplashMessage = {"Un arc a été abandonné, ainsi qu'un bout de papier.", "Vous retranscrivez le papier dans votre journal d'aventure."};
						setVariable={"WALM-DCB-3_tate", "=", 1}; 
						nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous ne voyez aucune trace de l'archer.";
						pushSplashMessage = "Vous ne voyez aucune trace de l'archer.";
					},
				},
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/detective/action_abord.jpg";
					name = "Abandonner pour reprendre l'enquête";
					successCompletion = {
						nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
					}
				}
			}
		},
		["NOB"] = {
			steptype = "TARGET"; 
			tracker = "Nob"; 
			requireExactName = true;
			onCompletion = {
				pushSystemChat = "<rgb=#00FF00><Nob></rgb> Laissez moi passer ! Il y a trop de monde ici ! Sans compter toutes ces agitations ! Je les ai vues toutes ces manigances et ces trucs louches ! Et ce Tate... il est très louche, lui ! Un vrai jaloux, je vous le dis !";
				setVariable={"WALM-DCB-3_tate", "=", 1}; 
			};
			nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
		},
		["TATE"] = {
			loadingCondition = {
				requireVariable = {"WALM-DCB-3_tate", "=", 1};
			};			
			steptype = "TALKTREE";
			tracker = TRAD("Tate Barbotteux", "Tate Puddifoot");
			dials = {
				["START"] = {
					say="Oui, que puis-je pour vous ?!";
					onCompletion = {
						setVariable={"WALM-DCB-3_pts", "-", 10}; 
					};					
					answers = {
						{pos=1, say="Avez-vous un lien avec la troupe dehors ?", nextDial="LIEN"},
						{pos=2, say="Avez-vous essayé de nuire à la troupe ?", nextDial="NUIRE"},
						{pos=3, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};
				},
				["LIEN"] = {
					say="Oui, bien évidemment. Vous avez en face de vous le futur acteur principal de la troupe !";
					answers = {
						--{pos=1, say="Avez-vous un lien avec la troupe dehors ?", nextDial="LIEN"},
						{pos=2, say="Avez-vous essayé de nuire à la troupe ?", nextDial="NUIRE"},
						{pos=3, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};				
				},
				["NUIRE"] = {
					say="Moi ? Nuire à la troupe ? Mais absolument pas ! Au contraire, je ne veux que son succès !";
					answers = {
						{pos=1, say="Avez-vous un lien avec la troupe dehors ?", nextDial="LIEN"},
						--{pos=2, say="Avez-vous essayé de nuire à la troupe ?", nextDial="NUIRE"},
						{pos=3, say="Merci j'ai tout ce qu'il me fallait.", nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}},
					};				
				},				
			};
			nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}};
		},
		["FIN"] = {
			objectif = TRAD("Retournez voir Thomas Lainechardon pour lui donner vos conclusions.", "Go back to Thomas Thistlewool to give him your conclusions.");
			steptype = "TALKTREE";
			tracker = TRAD("Thomas Lainechardon", "Thomas Thistlewool"); 
			dials = {
				["START"] = {
					say="Alors, savez vous ce qu'il s'est passé ?";
					answers = {
						{pos=1, say="Oui, je suis prêt à donner ma conclusion"; nextDial="CONCLUSION";setVariable={"WALM-DCB-3_rslt", "=", 1}},
						{pos=2, say="Non, je dois encore vérifier quelques points."; nextStep={{"INITDOB","LILY","LALIA","COSME","PROSPER","NOB","TATE","FIN"}}}
					};
				},		
				["CONCLUSION"] = {
					say="Alors, je vous rappelle que vous êtes en compétition contre Holmes.\n\nChaque bonne réponse vous donnera 50 points.\n\nJe vous écoute : qui selon vous est le responsable de cette agitation ?";
					answers = {
						{pos=1, say="C'est Bob Lèvesable !"; nextDial="CONCLUSION2";},
						{pos=2, say="C'est Lalia !"; nextDial="CONCLUSION2"; },						
						{pos=3, say="C'est Lily Lèvesable !"; nextDial="CONCLUSION2"; },
						{pos=4, say="C'est Cosme Fleurdebasilic !"; nextDial="CONCLUSION2"; },
						{pos=5, say="C'est Prosper Poiredebeurré !"; nextDial="CONCLUSION2"; },
						{pos=6, say="C'est Tate Barbotteux !"; nextDial="CONCLUSION2"; condition={requireVariable = {{"WALM-DCB-3_tate", "=", 1}}}; hideIfRequirementsFalse=true;setVariable={{"WALM-DCB-3_pts", "+", 50},{"WALM-DCB-3_rslt", "+", 1}}}
					};
				},
				["CONCLUSION2"] = {
					say="Et qu'est-ce qui a motivé ces agitations ?";
					answers = {
						{pos=1, say="La médiocrité du spectacle !"; nextDial="CONCLUSION3";},
						{pos=2, say="S'approprier le premier rôle du spectacle"; nextDial="CONCLUSION3"; setVariable={{"WALM-DCB-3_pts", "+", 50},{"WALM-DCB-3_rslt", "+", 1}}},			
						{pos=3, say="L'éloignement des clients aisés !"; nextDial="CONCLUSION3"; },
						{pos=4, say="Le vol des costumes !"; nextDial="CONCLUSION3"; },
						{pos=5, say="Le mauvais caractère de Bob Lèvesable !"; nextDial="CONCLUSION3"; }
					};
				},
				["CONCLUSION3"] = {
					say="Holmes m'a remis ses conclusions. Il a marqué 90 points, car il a trouvé la solution en n'interrogant qu'une seule personne.\n\nVoulez-vous savoir ce que j'en pense ?";
					answers = {
						{pos=1, say="Bien sûr ! "; nextDial="WIN2"; condition={requireVariable = {{"WALM-DCB-3_rslt", ">=", 2},{"WALM-DCB-3_pts", ">=", 90}}};hideIfRequirementsFalse=true;},
						{pos=2, say="Bien sûr ! "; nextDial="WIN"; condition={requireVariable = {{"WALM-DCB-3_rslt", ">=", 2},{"WALM-DCB-3_pts", "<", 90}}};hideIfRequirementsFalse=true;},	
						{pos=3, say="Bien sûr ! "; nextDial="LOOSE"; condition={requireVariable = {"WALM-DCB-3_rslt", "<", 2}};hideIfRequirementsFalse=true;}
					};
				},
				["WIN2"] = {
					say="Quel merveille ! Très bonne déduction ! Elementaire mon cher |PLAYER| !\nVous avez même réussi à être plus discret que Holmes ! J'en reste sans voix.\n\nJe vais de ce pas aller voir Tate Barbotteux pour qu'il réponde de ses actes.\n\nN'hésitez pas à revenir me voir si vous souhaitez m'aider pour une autre enquête... plus difficile !";
					answers = {
						{pos=1, say="Trop facile, vivement la prochaine"; nextStep="END";}
					};
					onCompletion = {
						accomplishDeed = {"WALM-DCB-3","WALM-DCB-DEED2"};
						setVariable={{"WALM-DCB-3_pts", "=", 0},{"WALM-DCB-3_rslt", "=", 0},{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_lalia", "=", 0},{"WALM-DCB-3_tate", "=", 0},{"WALM-DCB-3_cosme", "=", 0},{"WALM-DCB-3_dob", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0},{"WALM-DCB-3_chore", "=", 0}}; 
						pushDiaryMessage = "____________________\nLa coupable était bien Tate Barbotteux. Il voulait le rôle titre de la pièce, mais s'est fait recallé. Alors il a entreprit de faire fuir tous les candidats ayant réussi l'audition.";
					};
				},
				["WIN"] = {
					say="Très bonne déduction ! Bravo !\n\nMais au petit jeu, Holmes a été meilleur que vous. Figurez vous que tout Bree est venu me voir pour me dire qu'un certain |PLAYER| posait plein de questions qui n'ont aucun sens.\n\nMais bon, le principal est que la vérité éclate au grand jour. Je vais aller voir Tate Barbotteux pour qu'il réponde de ses actes.\n\nN'hésitez pas à revenir me voir si vous souhaitez m'aider pour une autre enquête... plus difficile !";
					answers = {
						{pos=1, say="Je vais essayer de faire mieux la prochaine fois."; nextStep="END";}
					};
					onCompletion = {
						setVariable={{"WALM-DCB-3_pts", "=", 0},{"WALM-DCB-3_rslt", "=", 0},{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_lalia", "=", 0},{"WALM-DCB-3_tate", "=", 0},{"WALM-DCB-3_cosme", "=", 0},{"WALM-DCB-3_dob", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0},{"WALM-DCB-3_chore", "=", 0}}; 
						accomplishDeed = "WALM-DCB-3_";
						pushDiaryMessage = "____________________\nLa coupable était bien Tate Barbotteux. Il voulait le rôle titre de la pièce, mais s'est fait recallé. Alors il a entreprit de faire fuir tous les candidats ayant réussi l'audition.";
					};
				},
				["LOOSE"] = {
					say="Je suis navré, mais vos conclusion ne correspondent en rien à celles de Holmes... ni aux miennes. Et si vous réessayiez ?";
					answers = {
						{pos=1, say="Je vais essayer de faire mieux..."; nextStep="FAIL"; setVariable={{"WALM-DCB-2_pts", "=", 0},{"WALM-DCB-2_rslt", "=", 0}};}
					};
					onCompletion = {
						setVariable={{"WALM-DCB-3_pts", "=", 0},{"WALM-DCB-3_rslt", "=", 0},{"WALM-DCB-3_dcount", "=", 0},{"WALM-DCB-3_lalia", "=", 0},{"WALM-DCB-3_tate", "=", 0},{"WALM-DCB-3_cosme", "=", 0},{"WALM-DCB-3_dob", "=", 0},{"WALM-DCB-3_comp1", "=", 0},{"WALM-DCB-3_comp2", "=", 0},{"WALM-DCB-3_comp3", "=", 0},{"WALM-DCB-3_chore", "=", 0}}; 
					};
				};
			};
		}		
	};
});

table.insert(ADVENTURES, {
	title = TRAD("La prochaine enquête sera disponible dans une prochaine mise à jour !","This investigation will be available in a next release !");
	family = "|PLAYER|, détective conseil";
	uniqueID = "WALM-DCB-4"; 
	version = "1.0";
	language = "FR"; 
	author = "Walm";
	shareURL = "https://www.lotrointerface.com/list.php?skinnerid=10917"; 
	levelMin = 10;
	requireCompletion = "WALM-DCB-3";
	header = "WalmPlugins/YourOwnAdventures/scripts/detective/header_enquete.tga"; 
	description = "Thomas Lainechardon m'a indiqué vouloir me confier des enquêtes pour ramener le calme dans Bree. Dès que j'aurais une minute, je devrais aller le revoir...";
	loadingDiaryMessage = "La tente de Thomas Lainechardon, en face du taxidermiste. Il doit m'y attendre pour me confier une nouvelle enquête en tant que détective.";			
	canRestart = true;
});