table.insert(ADVENTURES, {
	title = TRAD("Le renard", "What does the fox say?");
	family = "Nightfall on Middle-Earth";
	uniqueID = "Noleth-What-does-the-fox"; -- mendatory ; unique !!! (used for the saves)
	version = "0.9";
	language = "ALL"; -- supports "FR", "EN"
	author = "Skro";
	shareURL = "skro.hellabeth.com"; -- show this message (and URL) when a player wants to share the quest
	levelMin = 25;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/header_noleth.tga"; -- you can create your own banner for the quest selector dialog
	description = TRAD("Vous êtes-vous déjà demandé quel était le cri du renard?", "Ever wondered what a fox said?"); -- adventure description seen in the adventure lancher
	loadingDiaryMessage = TRAD("Un message sur une écorce de bouleau vous demande d'parler à Radagast", "A message on a birch bark urges you to talk to Radagast");	-- first line in the adventure diary	
	steps = {
	["START"] = {
			objectif = TRAD("Parlez à Radagast", "Talk to Radagast");
			steptype = "TALKTREE";
			tracker = TRAD("Radagast", "Radagast"); -- string or list of strings
			dials = {
				["START"] = {
					say=TRAD("La voile claque au vent, Le Renard glapit dans le champ,\nToile rouge au vent, vent de l'ouragan, vent de guerre, loi des géants.\nL'Anduin roule sang, Le Renard mort à belles dents\nBois le rouge sang, le sang du Rohan, que la brume noie dans le temps.\n\nVous-êtes vous déjà demandé ce que disait le renard qui glapissait?","Dog goes woof\nCat goes meow\nBird goes tweet\nAnd mouse goes squeek\nCow goes moo\nFrog goes croak\nAnd the oliphant goes toot\nDucks say quack\nAnd fish go blub\nAnd the seal goes ow ow ow\n\nBut there's one sound that no one knows\n\nWhat does the fox say?");
					answers = {
						{pos=1, say=TRAD("Continuer la quête", "Continue Quest"); nextStep = "Step1";}
					};
				};
			completionSystemChat = TRAD("Radagast a l'air encore plus énigmatique que d'habitude. Mais cette fois-ci, il a du rythme.", "Radagast sounds more out of his mind than usual. But at least the tune is catchy.");
			completionDiary = TRAD("La voile claque au vent, Le Renard glapit dans le champ,\nToile rouge au vent, vent de l'ouragan, vent de guerre, loi des géants.\nL'Anduin roule sang, Le Renard mort à belles dents\nBois le rouge sang, le sang du Rohan, que la brume noie dans le temps.\n\nVous-êtes vous déjà demandé ce que disait le renard qui glapissait?","Dog goes woof\nCat goes meow\nBird goes tweet\nAnd mouse goes squeek\nCow goes moo\nFrog goes croak\nAnd the oliphant goes toot\nDucks say quack\nAnd fish go blub\nAnd the seal goes ow ow ow\n\nBut there's one sound that no one knows\n\nWhat does the fox say?");
		};
	};
	["Step1"] = { -- the first step IS "START"
			objectif = TRAD("Trouvez un renard près de Radagast", "Find a fox close to Radagast"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = {TRAD("Renard des Terres Solitaires", "Lone-lands Fox"), TRAD("Renard roux", "Red Fox")}; -- Lone-Lands / Vales of Anduin
			completionSystemChat = TRAD("Le renard vous regarde un instant avant de se retourner", "Ring-ding-ding-ding-dingeringeding!");
			completionDiary = TRAD("le premier renard que vous rencontrez ne semble pas très coopératif...", "Ring-ding-ding-ding-dingeringeding!\nGering-ding-ding-ding-dingeringeding!\nGering-ding-ding-ding-dingeringeding!\nWhat the fox say?\n\n");
			completionSplashMessage = TRAD("Le renard vous regarde un instant avant de se retourner", "Ring-ding-ding-ding-dingeringeding!");
			nextStep = "Step2"; -- Next step id or "END"
		};

		["Step2"] = { -- the first step IS "START"
			objectif = TRAD("Trouvez un renard autour de Bree", "Find another fox in the Bree-Lands"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Renard brun", "Brown Fox"); -- Bree-Lands
			completionSystemChat = TRAD("Le renard vous regarde un instant avant de se retourner", "Wa-pa-pa-pa-pa-pa-pow!");
			completionDiary = TRAD("le deuxième renard que vous rencontrez ne semble pas très coopératif...", "Wa-pa-pa-pa-pa-pa-pow!\nWa-pa-pa-pa-pa-pa-pow!\nWa-pa-pa-pa-pa-pa-pow!\nWhat the fox say?\n\n");
			completionSplashMessage = TRAD("Le renard vous regarde un instant avant de se retourner", "Wa-pa-pa-pa-pa-pa-pow!");
			nextStep = "Step3"; -- Next step id or "END"
		};
		["Step3"] = { -- the first step IS "START"
			objectif = TRAD("Trouvez un renard en Evendim", "Find another fox in Evendim"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Renard des collines", "Hill Fox"); -- Evendim
			completionSystemChat = TRAD("Le renard vous regarde un instant avant de se retourner", "Hatee-hatee-hatee-ho!");
			completionDiary = TRAD("le troisième renard n'est pas plus expressif que les deux précédents...", "Hatee-hatee-hatee-ho!\nHatee-hatee-hatee-ho!\nHatee-hatee-hatee-ho!\nWhat the fox say?\n\n");
			completionSplashMessage = TRAD("Le renard vous regarde un instant avant de se retourner", "Hatee-hatee-hatee-ho!");
			nextStep = "Step4"; -- Next step id or "END"
		};
		["Step4"] = { -- the first step IS "START"
			objectif = TRAD("Trouvez un renard de l'hiver", "Find a Winter fox"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Renard d'hiver", "Winter Fox"); -- Evendim
			completionSystemChat = TRAD("Le renard vous regarde un instant avant de s'en aller. Vous devriez retourner voir Radagast.", "Joff-tchoff-tchoffo-tchoffo-tchoff!");
			completionDiary = TRAD("Le quatrième renard agit exactement de la même manière que les trois autres. Vous commencez vraiment à vous demander si Radagast ne s'est pas moqué de vous...", "Joff-tchoff-tchoffo-tchoffo-tchoff!\nTchoff-tchoff-tchoffo-tchoffo-tchoff!\nJoff-tchoff-tchoffo-tchoffo-tchoff!\nWhat the fox say?\n\n");
			completionSplashMessage = TRAD("Le renard vous regarde un instant avant de se retourner", "Joff-tchoff-tchoffo-tchoffo-tchoff!");
			nextStep = "RadaBack"; -- Next step id or "END"
		};
		["RadaBack"] = {
			objectif = TRAD("Retournez voir Radagast", "Return to Radagast");
			steptype = "TALKTREE";
			tracker = "Radagast"; -- string or list of strings
			dials = {
				["START"] = {
					say=TRAD("Radagast vous regarde d'un air étonné.\n - Des renards qui glapissent? Mais mon bon ami, je sais parfaitement ce que racontent les renards. Après tout, ce sont mes amis, comme les autres bêtes des prés et des bois...\n\n					Le magicien regarde dans le vide d'un air pensif.\n - L'Anduin rouge sang... C'est peut-être grave... \nJe devrais peut-être en parler à ce cher Gandalf... \nMais est-ce vraiment important? Il est très occupé en ce moment.\n\nIl semble totalement vous avoir oublié...","Big blue eyes\nPointy nose\nChasing mice\nAnd digging holes\Tiny paws\nUp the hill… ");
					answers = {
						{pos=1, say=TRAD("Vous vous éclipsez discrètement.", "WHAT DOES THE FOX SAY?"); nextStep = "End";}
					};
				};
			completionDiary = TRAD("A votre retour, Radagast vous regarde d'un air étonné.\n - Des renards qui glapissent? Mais mon bon ami, je sais parfaitement ce que racontent les renards. Après tout, ce sont mes amis, comme les autres bêtes des prés et des bois...\n\n					Le magicien regarde dans le vide d'un air pensif.\n - L'Anduin rouge sang... C'est peut-être grave... \nJe devrais peut-être en parler à ce cher Gandalf... \nMais est-ce vraiment important? Il est très occupé en ce moment.\n\nIl semble totalement vous avoir oublié...","Big blue eyes\nPointy nose\nChasing mice\nAnd digging holes\Tiny paws\nUp the hill… ");
			completionSystemChat = TRAD("Une fois de plus, la requête de Radagast n'avait pas vraiment de sens...", "Well, it didn't seem that Radagast was completely himself today!");
			completionDeed="ALL-DEED-FOX1"
		};
};
	};
	});
	
table.insert(ADVENTURES, {
	title = TRAD("Où est Waldo?", "Where is Waldo?");
	family = "Nightfall on Middle-Earth";
	uniqueID = "Noleth-Waldo"; -- mendatory ; unique !!! (used for the saves)
	version = "0.9";
	language = "ALL"; -- supports "FR", "EN"
	author = "Skro";
	shareURL = "skro.hellabeth.com"; -- show this message (and URL) when a player wants to share the quest
	levelMin = 5;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/header_noleth.tga"; -- you can create your own banner for the quest selector dialog
	description = TRAD("Il semblerait qu'ici aussi, on cherche Waldo", "In Middle-Earth too, people are busy finding where is Waldo."); -- adventure description seen in the adventure lancher
	loadingDiaryMessage = TRAD("Un coursier vous a apporté un message de Prosper, pour l'aider à retrouver un client.", "A messenger gave you a message from Barliman Butterbur, urging you to help him find a patron.");	-- first line in the adventure diary	
	steps = {
	["START"] = {
			objectif = TRAD("Parlez à Prosper Poiredebeurré", "Talk to Barliman Butterbur");
			steptype = "TALKTREE";
			tracker = TRAD("Prosper Poiredebeurré", "Barliman Butterbur"); -- string or list of strings
			dials = {
				["START"] = {
					say=TRAD("Salutations, |PLAYER|!\nJe me doute qu'une personne aussi célèbre que vous doit être très occupée, mais ce serait tellement merveilleux si vous pouviez m'apporter votre aide!\nVous le savez, les temps sont durs en ce moment, et les factures s'accumulent, et... et bien certains clients ne me paient pas en temps et en heure. Et en plus, avec ma mémoire, et bien je n'y pense pas forcément, alors ils en profitent.\nMais il y en a un, je m'en souviens! C'est un hobbit, il est resté chez moi trois jour et trois nuits, et je vous garantis qu'un hobbit, ça mange! Bref, il est parti il y a déjà plusieurs semaines, et il m'avait dit qu'il me ferait parvenir le paiement, et je n'ai toujours rien vu venir. Dix-huit repas, plus les en-cas!\nAlors vous me rendriez un service immense si vous le retrouviez. Il s'appelle Waldo... quelque chose.\nVoila que ma mémoire me joue encore des tours...","Greetings, |PLAYER|!\nI'm sure that an adventurer like you must have many things to do, but I greatly require your help.\nAs you may know, the days they are hard, these days, and the bille they must be paid, and... well, some patrons have a credit line here, and don't pay up in time. And with my so many things to think about, I forget sometimes, and they abuse of me.\nBut there is one fellow I remember of, a hobbit. He stayed here three days and three nights, and he left some weeks ago, and he told me he'd have his payment sent, and I still haven't seen a copper. Eighteen meals, not counting the snacks!\nSo I would owe you a great deal if you could find for me this Waldo... something.\nAnd here come my memory losses again...");
					answers = {
						{pos=1, say=TRAD("Continuer la quête", "Continue Quest"); nextStep = "Step1";}
					};
				};
			completionSystemChat = TRAD("Prosper vous a demandé de retrouver un mauvais payeur, nommé Waldo... quelque chose", "Butterbur aksed you to find a patron with a heavy debt, a certain Waldo... something.");
		};
	};
	["Step1"] = { -- the first step IS "START"
			objectif = TRAD("Trouvez Waldo", "Find Waldo"); -- objective text
			steptype = "TARGET"; -- the player have to select a target named in the tracker						
			tracker = TRAD("Waldo ", "Waldo "); -- Lone-Lands / Vales of Anduin
			completionSystemChat = TRAD("Vous avez trouvé Waldo! Il se confond en excuses pour son retard de paiement.", "You have found Waldo! He apologizes deeply for his delay.");
			completionSplashMessage = TRAD("Vous avez trouvé Waldo!", "You have found Waldo!");
			completionDeed = "ALL-DEED-WALDO1";
			nextStep = "END"; -- Next step id or "END"
		};

		};
	});

table.insert(DEEDS, {
	name = TRAD("Survivant du renard", "Follower of Ylvis");
	family = "Nightfall on Middle-Earth";
	language = "ALL"; -- supports "FR", "EN"
	uniqueID = "ALL-DEED-FOX1";
	visibility = false; -- hidden
	picture = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/prouesse-what-the-fox.tga"; -- 100px x 100px
	description = TRAD("Radagast vous a mené en bateau avec ses histoires de renard. Mais au moins, vous avez gagné une prouesse.","Congratulations on completing the lyrics of the song...");
});

table.insert(DEEDS, {
	name = TRAD("Je suis Charlie", "Finder of Waldo");
	family = "Nightfall on Middle-Earth";
	language = "ALL"; -- supports "FR", "EN"
	uniqueID = "ALL-DEED-WALDO1";
	visibility = false; -- hidden
	picture = "WalmPlugins/YourOwnAdventures/scripts/Nightfall-pics/prouesse-waldo.tga"; -- 100px x 100px
	description = TRAD("Mais, mais, mais c'est Charlie!","An awesome badge for finding Waldo.");
});