import "WalmPlugins.YourOwnAdventures.StringLib";

DeedsEngine = class();

function DeedsEngine:Constructor()	
	table.insert(DEEDS, {
		name = _("GENERIC_DEED_T1");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEEDS_A1";language = "ALL";visibility = true; category=_("GENERIC_DEED_PROGRESS");
		priority = 1;unlockCout = 5; notifyProgress = false;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/primary_bronze.tga";description = _("GENERIC_DEED_D1");});	
	table.insert(DEEDS, {
		name = _("GENERIC_DEED_T2");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEEDS_A2";language = "ALL"; visibility = true; requireDeed="GENERIC_DEEDS_A1"; category=_("GENERIC_DEED_PROGRESS");
		priority = 1;unlockCout = 10; notifyProgress = false;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/primary_silver.tga";description = _("GENERIC_DEED_D2");});	
	table.insert(DEEDS, {
		name = _("GENERIC_DEED_T3");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEEDS_A3";language = "ALL"; priority = 1;unlockCout = 50; requireDeed="GENERIC_DEEDS_A2"; category=_("GENERIC_DEED_PROGRESS");
		notifyProgress = false;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/primary_gold.tga";visibility = true; description = _("GENERIC_DEED_D3");});		
	table.insert(DEEDS, {
		name = _("GENERIC_DEED_T4");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEEDS_A4";language = "ALL";visibility = true;description = _("GENERIC_DEED_D4"); category=_("GENERIC_DEED_PROGRESS");
		priority = 1;unlockCout = 100; notifyProgress = false;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/primary_platinum.tga";requireDeed="GENERIC_DEEDS_A3";});	
	table.insert(DEEDS, {
		name = TRAD("Aventurier Alpha", "Alpha Adventurer");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEED_AD";language = "ALL";visibility = true; onCompletion = {pushSystemChat = "<rgb=#FF0000> Vous avez reçu un objet : <rgb=#FFFFFF>[Un petit mot doux signé \"Walm\"]"; giveItem = "ALPHALETTER";};
		priority = 1;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/alpha.tga";description = _("GENERIC_DEED_AD"); category=TRAD("Evénements", "Events");});
	table.insert(DEEDS, {
		name = TRAD("Aventurier Beta", "Beta Adventurer");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEED_AD2";language = "ALL";visibility = true; onCompletion = {pushSystemChat = "<rgb=#FF0000> Vous avez reçu un objet : <rgb=#FFFFFF>[Une lettre signée \"Walm\"]"; giveItem = "BETALETTER";};
		priority = 1;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/beta.tga";description = _("GENERIC_DEED_AD"); category=TRAD("Evénements", "Events");});	
	table.insert(DEEDS, {
		name = TRAD("La pluie et le beau temps", "Small talk");family = _("GENERIC_DEEDS");uniqueID = "GENERIC_DEED_TALK1";language = "ALL";visibility = false; unlockCout = 50;
		priority = 1;picture = "WalmPlugins/YourOwnAdventures/pictures/medals/smalltalk.tga";description = TRAD("Vous n'avez pas la langue dans votre poche, vous avez parlé à 50 PNJ dans vos aventures.", "You are not the silent type, you have spoken to 50 NPC in your adventures."); notifyProgress = false; category=_("GENERIC_DEED_PROGRESS");});
	table.insert(DEEDS, {
		name = "RTFM"; family = _("GENERIC_DEEDS"); uniqueID = "WALM-TECH-1"; language = "FR"; visibility = true;  
		todolist = {"WALM-TECH1", "WALM-TECH2", "WALM-TECH3", "WALM-TECH4", "WALM-TECH5", "WALM-TECH6", "WALM-TECH8", "WALM-TECH9", "WALM-TECH10", "WALM-TECH11", "WALM-TECH12"}; priority = 1; picture = "WalmPlugins/YourOwnAdventures/pictures/medals/technical1.tga"; description = TRAD("Accomplissez tous les tests techniques.","Accomplish all technical tests."); category=TRAD("Exploits techniques","Technical exploits");});		
	ITEMS["ALPHALETTER"] = { name = "{Un }petit[s] mot[s] doux signé[s] \"Walm\"";picture = "WalmPlugins/YourOwnAdventures/pictures/medals/alphaItem.jpg"; 
	description = "Une mystérieuse lettre qui a été adressée aux alpha-testeurs, rédigée par un certain Walm... mais que dit elle ?"; unique=true; OnlyForEngine=1;
	onLook={pushSystemChat = "<rgb=#00FF00>\<Walm\></rgb>Mille mercis pour votre aide, vos bonnes idées et votre temps !!!\nJ'apprécie énormement !";pushSplashMessage = "Mille mercis !";		
	};};		
	ITEMS["BETALETTER"] = { name = "{Une }lettre[s] signée[s] \"Walm\"";picture = "WalmPlugins/YourOwnAdventures/pictures/medals/betaItem.jpg"; 
	description = "Une mystérieuse lettre qui a été adressée aux beta-testeurs, rédigée par un certain Walm... mais que dit elle ?"; unique=true; OnlyForEngine=1;
	onLook={pushSystemChat = "<rgb=#00FF00>\<Walm\></rgb>Mille mercis pour votre aide ! Une phase de beta-test est importante et compliquée. Cela nous sert à vérifier le bon fonctionnement du plugin, et receuillir vos idées, suggestions et remarques constructives. Pour ce faire, vous pouvez vous rendre sur le serveur Discord du Plugin : https://discord.gg/sG2bmxR";pushSplashMessage = "Mille mercis !";		
	};};		
end

function DeedsEngine:AddDeed(deedID)
	if(type(deedID)=="table") then
		for i, d in pairs(deedID) do
			self:AddDeed(d);
		end
		return
	end
	if(type(deedID)~="string") then
		return;
	end
	for i, ldeed in pairs(DEEDS) do
		if(ldeed.uniqueID==deedID and self:IsLocked(ldeed)~=true) then
			local sdeed = PROGRESS.DEEDS[ldeed.uniqueID];
			if(sdeed==nil) then
				PROGRESS.DEEDS[ldeed.uniqueID] = {};
				PROGRESS.DEEDS[ldeed.uniqueID].exploitID = ldeed.uniqueID;
				PROGRESS.DEEDS[ldeed.uniqueID].family = ldeed.family;
				PROGRESS.DEEDS[ldeed.uniqueID].name = ldeed.name;
				PROGRESS.DEEDS[ldeed.uniqueID].lastCompletionDate = Turbine.Engine.GetLocalTime();		
				if(ldeed.unlockCout~=nil) then
					PROGRESS.DEEDS[deedID].unlockCout = 1;
					PROGRESS.DEEDS[deedID].unlockLimit = ldeed.unlockCout;
					self:OnDeedUnlocked(PROGRESS.DEEDS[deedID], ldeed);
				else
					PROGRESS.DEEDS[deedID].completionDate = Turbine.Engine.GetDate();	
					self:OnDeedAccomplished(PROGRESS.DEEDS[deedID], ldeed);
				end
			else
				sdeed.lastCompletionDate = Turbine.Engine.GetLocalTime();
				if(ldeed.unlockCout~=nil and PROGRESS.DEEDS[deedID].completionDate==nil) then
					PROGRESS.DEEDS[deedID].unlockCout = (PROGRESS.DEEDS[deedID].unlockCout or 0) + 1;
					PROGRESS.DEEDS[deedID].unlockLimit = ldeed.unlockCout;
					if(PROGRESS.DEEDS[deedID].unlockCout>=ldeed.unlockCout) then
						PROGRESS.DEEDS[deedID].completionDate = Turbine.Engine.GetDate();	
						self:OnDeedAccomplished(PROGRESS.DEEDS[deedID], ldeed);
					else
						self:OnDeedInc(PROGRESS.DEEDS[deedID], ldeed, PROGRESS.DEEDS[deedID].unlockCout, PROGRESS.DEEDS[deedID].unlockLimit);
					end
				elseif(ldeed.todolist~=nil and PROGRESS.DEEDS[deedID].completionDate==nil) then
					if(PROGRESS.DEEDS[ldeed.uniqueID].todolist==nil) then PROGRESS.DEEDS[ldeed.uniqueID].todolist = {}; end
					for i, data in pairs(PROGRESS.DEEDS[ldeed.uniqueID].todolist) do
						if(data==deedID) then return; end
					end
					table.insert(PROGRESS.DEEDS[ldeed.uniqueID].todolist, deedID);
					if(table.getn(PROGRESS.DEEDS[ldeed.uniqueID].todolist)==table.getn(ldeed.todolist)) then
						PROGRESS.DEEDS[ldeed.uniqueID].completionDate = Turbine.Engine.GetDate();	
						self:OnDeedAccomplished(PROGRESS.DEEDS[ldeed.uniqueID], ldeed);
					end
				end				
			end
		elseif(ldeed.todolist~=nil and type(ldeed.todolist)=="table" and (PROGRESS.DEEDS[deedID]==nil or PROGRESS.DEEDS[deedID].completionDate~=nil)) then
			local found=false;
			for j, todo in pairs(ldeed.todolist) do
				local key = nil;
				if((type(todo)=="string" and todo==deedID) or (type(todo)=="table" and todo[1]==deedID)) then
					key = deedID;
				end
				if(key~=nil and PROGRESS.DEEDS[ldeed.uniqueID]==nil) then
					PROGRESS.DEEDS[ldeed.uniqueID] = {};
					PROGRESS.DEEDS[ldeed.uniqueID].exploitID = ldeed.uniqueID;
					PROGRESS.DEEDS[ldeed.uniqueID].family = ldeed.family;
					PROGRESS.DEEDS[ldeed.uniqueID].name = ldeed.name;
					PROGRESS.DEEDS[ldeed.uniqueID].lastCompletionDate = Turbine.Engine.GetLocalTime();
					PROGRESS.DEEDS[ldeed.uniqueID].todolist = {};
					table.insert(PROGRESS.DEEDS[ldeed.uniqueID].todolist, deedID);
					self:OnDeedUnlocked(PROGRESS.DEEDS[deedID], ldeed);
					found=true;
				elseif(key~=nil) then
					local addme = true;
					for k, skey in pairs(PROGRESS.DEEDS[ldeed.uniqueID].todolist) do
						if(key==skey) then addme=false; end
					end
					if(addme) then
						table.insert(PROGRESS.DEEDS[ldeed.uniqueID].todolist, key);						
					end
					found=true;
				end			
			end
			if(found==true and table.getn(PROGRESS.DEEDS[ldeed.uniqueID].todolist)==table.getn(ldeed.todolist)) then
				PROGRESS.DEEDS[ldeed.uniqueID].completionDate = Turbine.Engine.GetDate();	
				self:OnDeedAccomplished(PROGRESS.DEEDS[ldeed.uniqueID], ldeed);
			end		
		end
	end
	SaveProgress();
end

function DeedsEngine:IsLocked(ldeed)
	if(ldeed==nil or ldeed.requireDeed==nil) then return false; end;
	if(type(ldeed.requireDeed)=="string") then
		return (PROGRESS.DEEDS[ldeed.requireDeed]==nil or PROGRESS.DEEDS[ldeed.requireDeed].completionDate==nil);
	elseif(type(ldeed.requireDeed)=="table") then
		local locked = false;
		for i, str in pairs(ldeed.requireDeed) do
			locked = (locked or (PROGRESS.DEEDS[str]==nil or PROGRESS.DEEDS[str].completionDate==nil));
		end 
		return locked;
	end
	return false;
end

function DeedsEngine:GetDeedOnScripts(uniqueID)
	for i, d in pairs(DEEDS) do
		if(d.uniqueID == uniqueID) then
			return d;
		end
	end
	return nil;
end
function DeedsEngine:GetSubDeedOnScripts(uniqueID)
	for i, d in pairs(DEEDS) do
		if(d.todolist~=nil and type(d.todolist)=="table") then
			for j, e in pairs(d.todolist) do
				if(e==uniqueID or (type(e)=="table" and e[1]==uniqueID)) then
					return d;
				end
			end
		end
	end
	return nil;
end

function DeedsEngine:OnDeedInc(sdeed, ldeed, count, target)
	if((ldeed.visibility==nil or ldeed.visibility==true) and (ldeed.notifyProgress==nil or ldeed.notifyProgress==true)) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>".._("DEED_INC")..ldeed.name.." : "..count.."/"..target);
		splashMessage:AddMessage(_("DEED_INC")..ldeed.name.." : "..count.."/"..target);
	end
	playersheet:OnDeedUpdated(ldeed.family, ldeed, PROGRESS.DEEDS[deedID]);
end

function DeedsEngine:OnDeedUnlocked(sdeed, ldeed)
	if(ldeed.visibility==nil or ldeed.visibility==true) then
		Turbine.Shell.WriteLine("<rgb=#FF5CCD>".._("DEED_UNLOCKED")..ldeed.name);
		splashMessage:AddMessage(_("DEED_UNLOCKED")..ldeed.name);	
	end
	playersheet:OnDeedUpdated(ldeed.family, ldeed, PROGRESS.DEEDS[deedID]);
end

function DeedsEngine:OnDeedAccomplished(sdeed, ldeed)
	Turbine.Shell.WriteLine("<rgb=#FF5CCD>".._("DEED_ACCOMPLISHED")..ldeed.name);
	splashMessage:AddMessage(_("DEED_ACCOMPLISHED")..ldeed.name);
	playersheet:OnDeedUpdated(ldeed.family, ldeed, PROGRESS.DEEDS[deedID]);
	AdventureEngine:ApplyStepGenericActions(ldeed.onCompletion);
	local subDeed = self:GetSubDeedOnScripts(deedID);
	if(subDeed~=nil) then
		self:AddDeed(subDeed.uniqueID, ldeed.uniqueID)
	end
end

function DeedsEngine:HasDeed(uniqueID)
	if(uniqueID==nil) then return false; end
	if(type(uniqueID)=="table") then
		for i, ID in pairs(uniqueID) do
			if(self:HasDeed(ID)==true) then
				return true;
			end
		end
	elseif(type(uniqueID)=="string") then
		for i, deed in pairs(PROGRESS.DEEDS) do
			if(deed.exploitID == uniqueID) then
				return true;
			end
		end
	end
	return false;
end