DeedsLabel = class( Turbine.UI.Label );
function DeedsLabel:Constructor(width, deed)
	Turbine.UI.Label.Constructor( self );    	
	self:SetSize( width, 155 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.ldeed = deed;
	
	self.sdeed = PROGRESS.DEEDS[deed.uniqueID];
	
	local deedName = FormatAdventureString(self.ldeed.name);
	local titleLabel = Turbine.UI.Label();
	titleLabel:SetParent( self );
	titleLabel:SetPosition( 0, 0 );
	titleLabel:SetSize(width, 32);
	titleLabel:SetMouseVisible( false );
	titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	titleLabel:SetFont( Turbine.UI.Lotro.Font.TrajanProBold16);
	titleLabel:SetForeColor( Turbine.UI.Color(1,1,1) );
	titleLabel:SetText( deedName );	
	
	self.pictLabel = Turbine.UI.Label();
	self.pictLabel:SetParent( self );
	self.pictLabel:SetPosition( (width-100)/2, 32);
	self.pictLabel:SetSize(100, 100);
	self.pictLabel:SetMouseVisible( false );
	self.pictLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	self.pictLabel:SetBackground(deed.picture);

	self.qLabel = Turbine.UI.Label();
	self.qLabel:SetParent( self );
	self.qLabel:SetPosition( (width-100)/2, 32 );
	self.qLabel:SetSize(100, 100);
	self.qLabel:SetMouseVisible( false );
	self.qLabel:SetBlendMode( 1 );	
	self.qLabel:SetBackground("WalmPlugins/YourOwnAdventures/pictures/medals/questionmark.tga");
	
	self.progressBar = ProgressBar(width-10);
	self.progressBar:SetParent(self);
	self.progressBar:SetPosition(5, 110);
	self.progressBar:SetVisible(false);
	
	self.validate = Turbine.UI.Label();
	self.validate:SetParent( self );
	self.validate:SetPosition( self:GetWidth()-45, 110);
	self.validate:SetSize(32, 32);
	self.validate:SetMouseVisible( false );
	self.validate:SetBlendMode( 4 );	
	self.validate:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/deeds/seal_complete.tga");
	self.MouseEnter = function (p, a)		
		if(self.tooltip~=nil) then
			self.tooltip:SetVisible(false);
			self.tooltip = nil;
		end
		self.tooltip = GenericTooltip();
		self.tooltip:AddLayer(_("DEED")..": "..deedName, Turbine.UI.Color(207/255,181/255,59/255), Turbine.UI.ContentAlignment.MiddleCenter, Turbine.UI.Lotro.Font.TrajanProBold22, Turbine.UI.FontStyle.Outline);
		if(self.sdeed~=nil and self.sdeed.completionDate~=nil and type(self.sdeed.completionDate)=="table") then
			local d=self.sdeed.completionDate; local day=d.Day; local month=d.Month; local hour=d.Hour; local mi=d.Minute;
			local dateStr = TRAD("Accompli le ", "Accomplished the "); local d=self.sdeed.completionDate;
			if(d.Day<10) then day="0"..d.Day; end if(d.Month<10)then month="0"..d.Month; end if(d.Hour<10)then hour="0"..d.Hour; end if(d.Minute<10)then mi="0"..d.Minute; end
			if(lang==1) then dateStr = dateStr..day.."/"..month.."/"..d.Year.." à "..hour..":"..mi;
			else dateStr = dateStr..month.."/"..day.."/"..d.Year.." at "..hour..":"..mi; end
			self.tooltip:AddLayer(dateStr, Turbine.UI.Color(0,1,0), Turbine.UI.ContentAlignment.TopLeft, Turbine.UI.Lotro.Font.Verdana14, nil);
		end	
		if(self.ldeed.todolist~=nil) then
			self.tooltip:AddLayer(TRAD("Conditions de débloquage :", "Unlock conditions :"), Turbine.UI.Color(0,1,0), Turbine.UI.ContentAlignment.TopLeft, Turbine.UI.Lotro.Font.Verdana16, Turbine.UI.FontStyle.Outline);
			for i, c in pairs(self.ldeed.todolist) do
				local key = nil;
				local desc = nil;
				if(type(c)=="table") then
					key = c[1]; desc = c[2];
				else
					key = c;
				end
				if(desc==nil) then
					local quest = AdventureEngine:GetAdventureById(key);
					if(quest~=nil) then desc = TRAD("Finir l'aventure : \"","Accomplish adventure : \"")..string.gsub(quest.title, "\n", " ").."\""; 
					else
						local deed_ = deedsEngine:GetDeedOnScripts(key);
						if(deed_~=nil) then desc = TRAD("Finir l'exploit : \"","Accomplish achievement : \"")..string.gsub(deed_.name, "\n", " ").."\""; end 
					end		
				end
				local found = false;
				if(self.sdeed~=nil and self.sdeed.todolist~=nil) then
					for i, c2 in pairs(self.sdeed.todolist) do
						if(key==c2) then found=true; end
					end
				end
				if(found==true) then
					self.tooltip:AddLayer(" * "..(desc or key), Turbine.UI.Color(0,1,0), Turbine.UI.ContentAlignment.TopLeft, Turbine.UI.Lotro.Font.Verdana14, nil);
				else
					self.tooltip:AddLayer(" * "..(desc or key), Turbine.UI.Color(1,0,0), Turbine.UI.ContentAlignment.TopLeft, Turbine.UI.Lotro.Font.Verdana14, nil);
				end
			end
		end
		if(self.ldeed.description~=nil) then
			self.tooltip:AddLayer(self.ldeed.description, Turbine.UI.Color(207/255,181/255,59/255), Turbine.UI.ContentAlignment.TopLeft, Turbine.UI.Lotro.Font.Verdana14, nil);
		end
		if(self.ldeed.giveItem~=nil) then			
			self.tooltip:AddLayer(_("T_GIVE")..CleanItemName(inventoryEngine:GetItemName(self.ldeed.giveItem))..".", Turbine.UI.Color(0,1,0), Turbine.UI.ContentAlignment.TopLeft, Turbine.UI.Lotro.Font.Verdana14, nil);
		end
		local x = Turbine.UI.Display.GetMouseX()+20;
		local y = Turbine.UI.Display.GetMouseY();
		if( x + self.tooltip:GetWidth() > Turbine.UI.Display.GetWidth()) then x=Turbine.UI.Display.GetMouseX()-self.tooltip:GetWidth()-10; end
		if( y + self.tooltip:GetHeight() > Turbine.UI.Display.GetHeight()) then y=Turbine.UI.Display.GetMouseY()-self.tooltip:GetHeight()-10; end
		self.tooltip:SetPosition(x, y);
		self.tooltip:SetZOrder(1000);			
		self.tooltip:SetVisible(true);			
	end
	self.MouseLeave = function (p, a)
		if(self.tooltip~=nil) then
			self.tooltip:SetVisible(false);
		end
	end
	self:Update(deed.uniqueID, self.sdeed);
end


function DeedsLabel:Update()	
	self.sdeed = PROGRESS.DEEDS[self.ldeed.uniqueID];
	if(self.sdeed==nil or self.sdeed.completionDate==nil) then
		self.pictLabel:SetBlendMode( 1 ); -- ou 3 ??
		self.qLabel:SetVisible(true);
		self.validate:SetVisible(false);
	else
		self.pictLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend ); -- ou 3 ??
		self.qLabel:SetVisible(false);
		self.validate:SetVisible(true);
	end
	
	if(self.ldeed.unlockCout~=nil and self.ldeed.unlockCout>1) then
		self.progressBar:SetVisible(self.ldeed.visibility==true);
		if(self.sdeed~=nil) then
			self.progressBar:UpdateValue(self.sdeed.unlockCout/self.ldeed.unlockCout);
		end
	else
		self.progressBar:SetVisible(false);
	end		
end

function DeedsLabel:UpdateDeed(ldeed, sdeed)
	if(ldeed~=nil and self.ldeed.uniqueID==ldeed.uniqueID) then	
		self:Update(ldeed.uniqueID, sdeed);
		return true;
	end
	return false;
end