import "WalmPlugins.YourOwnAdventures.DiaryFamilyNode";

DiaryIndexPage = class( Turbine.UI.Label );

function DiaryIndexPage:Constructor(x, y, w, h)
	Turbine.UI.Label.Constructor( self );
	self:SetPosition( x, y );
	self:SetSize(w, h);
	self:SetMouseVisible( false );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	

	self:BuildComponents();
end

function DiaryIndexPage:BuildComponents()
	local title3Label = Turbine.UI.Label();
	title3Label:SetParent( self );
	title3Label:SetPosition( 0, 20 );
	title3Label:SetSize(self:GetWidth(), 24);
	title3Label:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	title3Label:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );	
	title3Label:SetFont( Turbine.UI.Lotro.Font.TrajanProBold25);
	title3Label:SetForeColor( Turbine.UI.Color(0,0,0) );
	title3Label:SetText( _("DIA_INDEX") );	
	title3Label:SetMouseVisible( false );
	
	local sep1 = Turbine.UI.Label();
	sep1:SetParent( self );
	sep1:SetPosition( (self:GetWidth()-247)/2 , 60 );
	sep1:SetSize(247, 15);
	sep1:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	sep1:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/sep_hor.tga");
	sep1:SetMouseVisible( false );
	
	local titleLabel = Turbine.UI.Label();
	titleLabel:SetParent( self );
	titleLabel:SetPosition( 0, 74 );
	titleLabel:SetSize(self:GetWidth(), 24);
	titleLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	titleLabel:SetFont( Turbine.UI.Lotro.Font.TrajanProBold22);
	titleLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );		
	titleLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	titleLabel:SetText( _("DIA_myEXPLOITS") );
	titleLabel.MouseClick = function (sender, args)
		self:ShowDialog(true, 3);
	end
	titleLabel.MouseEnter = function (sender, args)
		titleLabel:SetForeColor( Turbine.UI.Color(0.12,0,0.83) );
	end
	titleLabel.MouseLeave = function (sender, args)
		titleLabel:SetForeColor( Turbine.UI.Color(0,0,0) );
	end	
	
	local sep2 = Turbine.UI.Label();
	sep2:SetParent( self );
	sep2:SetPosition( (self:GetWidth()-247)/2, 100 );
	sep2:SetSize(247, 15);
	sep2:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	sep2:SetBackground("WalmPlugins/YourOwnAdventures/pictures/diary/sep_hor.tga");
	sep2:SetMouseVisible( false );	
	
	local title2Label = Turbine.UI.Label();
	title2Label:SetParent( self );
	title2Label:SetPosition( 0, 120 );
	title2Label:SetSize(self:GetWidth(), 24);
	title2Label:SetMouseVisible( false );
	title2Label:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );	
	title2Label:SetFont( Turbine.UI.Lotro.Font.TrajanProBold22);
	title2Label:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	title2Label:SetForeColor( Turbine.UI.Color(0,0,0) );
	title2Label:SetText( _("DIA_myFAMILY") );		

	self.familyTreeView = Turbine.UI.TreeView();
    self.familyTreeView:SetParent( self );
    self.familyTreeView:SetPosition( 7, 150 );
    self.familyTreeView:SetSize( self:GetWidth()-25, 400 );
    self.familyTreeView:SetIndentationWidth( 15 );
    self.familyTreeView:SetMouseVisible( false );
 
	local treeViewScrollBar = Turbine.UI.Lotro.ScrollBar();
    treeViewScrollBar:SetOrientation( Turbine.UI.Orientation.Vertical );
    treeViewScrollBar:SetParent( self );
    treeViewScrollBar:SetPosition( self.familyTreeView:GetLeft()+self.familyTreeView:GetWidth(), self.familyTreeView:GetTop() );
    treeViewScrollBar:SetSize( 10, self.familyTreeView:GetHeight() );
	self.familyTreeView:SetVerticalScrollBar( treeViewScrollBar );
	self.familyTreeView.SelectedNodeChanged = function(sender, args)
		local node = self.familyTreeView:GetSelectedNode();		
		if(node~=nil) then
			AdvDiary.familyPage:ShowFamily(node.familyName);
			AdvDiary:ShowDialog(true, 2);	
		end
	end
	self:UpdateFamilyTreeView();	
end

function DiaryIndexPage:UpdateFamilyTreeView()
	rootNodes = self.familyTreeView:GetNodes();	
	rootNodes:Clear();
	
	local gNodes = {};
	local gNode = nil;
	for i=1, table.getn(ADVENTURES), 1 do
		local family = ADVENTURES[i].family or _("ORPHANS");
		if(gNodes[family]==nil) then
			gNode = DiaryFamilyNode(self.familyTreeView:GetWidth(), family);
			rootNodes:Add(gNode);
			gNodes[family]=gNode;	
		end
		
	end

end