table.insert(ADVENTURES, {
	title = "L'énigme de Bill Boisderose";
	family = "Mes exploits d'aventurier";
	uniqueID = "WALM-TUTO1"; -- mendatory ; unique !!! (used for the saves)
	version = "1.0";
	language = "FR"; -- supports "FR", "EN"
	author = "Walm";
	shareURL = "www.google.fr/WalmIsTheBest"; -- show this message (and URL) when a player wants to share the quest
	levelMin = 10;
	size = 1;
	header = "WalmPlugins/YourOwnAdventures/scripts/testpicts/header_tuto.tga"; -- you can create your own banner for the quest selector dialog
	description = "Ceci est un tutoriel de jeu... bla bla bla";
	loadingDiaryMessage = "Je passais tranquilement devant Bree au matin, quand Bill Boisderose m'interpela.";			
	steps = {
		["START"] = {
			objectif = "Trouvez et ciblez Bill Boisderose (Maître des écuries de Bree) ou Faramir";
			steptype = "TARGET"; -- the player have to select a target named in the tracker property
			tracker = {"Bill Boisderose", "Faramir"}; -- string or list of strings
			saveProgress = false; -- the engine save the step completion except if saveProgress property is 'false'
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000>Vous avez trouvé Bill Boisderose. Dans le fil de la conversation, il vous indique une énigme : Un fermier a 17 vaches ; elles meurent toutes sauf 9. Combien en reste-t-il ?";
				pushSplashMessage = {"Bill vous parle pendant de longues minutes.\nDe très longues minutes.", "Le temps vous semble une éternité !", "Puis il finit par vous poser une énigme intéressante..."}; -- string or list of strings
				pushDiaryMessage = "Le coeur léger, je décidai de lancer la conversation. L'homme me semblait jovial. Il m'a parlé de longue minutes pour raconter sa vie, son quotidien... puis, en ricanant, il me proposa une énigme :\nUn fermier a 17 vaches ; elles meurent toutes sauf 9. Combien en reste-t-il ?";
			};
			nextStep = "2"; -- Next step id or "END"
		},
		["2"] = {
			objectif = "Répondez à l'énigme dans le chat \"parler\"";
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Say;
			tracker = "9";
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000>Bill Boisderose : Bravo, mais maintenant il va falloir prouver votre valeur. ";
				pushSplashMessage = "Bill est étonné par votre réponse.";		
				pushDiaryMessage = "9 ?! Je m'étais attendu à plus difficile. Bill Boisderose, lui, sembla vexé.\nIl me raconta alors sa véritable frustration... des animaux sauvages s'approcheraient de plus en plus de l'entrée ouest de Bree. Cette agitation enerverait les chevaux. Il me demanda d'en tuer un spécimen pour l'exemple.";
			};
			nextStep = "3";
		},
		["3"] = {
			objectif = "Confirmez d'un geste votre accord (/oui)";
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Emote;
			tracker = "Vous êtes d'accord";
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000><Bill Boisderose></rgb> Va donc tuer une de ces bêtes !\nBill griffone un plan sur votre journal d'aventures.";
				pushSplashMessage = {"Bill vous défi du regard."};
				pushDiaryMessage = "Tuer un ours curieux, un jeune sanglier, un jeune ours ou un ours des champs ? Rien de plus facile pour moi ! ";
				pushDiaryPicture = {
					width=260; --max 260 
					height=200; 
					picture="WalmPlugins/YourOwnAdventures/scripts/testpicts/tuto_map.jpg";
				};
			};
			nextStep = {"4", "4B"};
		},			
		["4"] = {
			objectif = "Tuer un jeune sanglier à l'ouest de Bree";
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Death;
			tracker = {"Ours curieux", "Jeune sanglier à défenses fendues", "Jeune ours des champs", "Ours des champs"};
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000>Vous trouvez un XXX sur le cadavre de la pauvre bête";
				pushSplashMessage = {"Pauvre bête... :("};
				pushDiaryMessage = "Le route était rapide, et la bête facile à tuer. Mon trophée sur le dos, il me restait plus qu'à retourner voir Bill.";
			};
			nextStep = "5";
		},			
		["4B"] = {
			objectif = "Tuer un jeune sanglier à l'ouest de Bree";
			steptype = "CHATLOG";
			chat = Turbine.ChatType.Emote;
			tracker = "Vous suppliez Bill Boisderose de vous aider.";
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000>Vous trouvez un XXX sur le cadavre de la pauvre bête";
				pushSplashMessage = {"Bien feinté !"};
				pushDiaryMessage = "Le route était rapide, et la bête facile à tuer. Mon trophée sur le dos, il me restait plus qu'à retourner voir Bill.";
			};
			nextStep = "5";
		},
		["5"] = {
			objectif = "Retournez parler à Bill Boisderose";
			steptype = "TARGET";
			tracker = {"Bill Boisderose", "Faramir"};
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000><Bill> Ha ha, tu m'as vraiment cru ?";
				pushSplashMessage = "Bill se moque de vous et ne veut pas vous récompenser";
			};
			nextStep = "6"; 
		},			
		["6"] = {
			objectif = "Gagnez au ShiFuMi";
			steptype = "QUICKSLOTS";
			slots = {
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_pierre.jpg"; -- 32x32
					succesLuck = 30; -- max 100
					tooltip = "Pierre"; -- optional
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous montrez une pierre...\nBill montre des ciseaux...\nBRAVO !";
						pushSplashMessage = "Vous montrez une pierre...\nBill montre des ciseaux...\nBRAVO !";
						nextStep = "7";
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#FF0000>Vous montrez une pierre...\nBill montre une feuille...\nPERDU !";
						pushSplashMessage = "Vous montrez une pierre...\nBill montre une feuille...\nPERDU !";
					},
				},
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_papier.jpg"; -- 32x32
					succesLuck = 30; -- max 100
					tooltip = "Papier"; -- optional
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous montrez une feuille...\nBill montre une pierre...\nBRAVO !";
						pushSplashMessage = "Vous montrez une feuille...\nBill montre une pierre...\nBRAVO !";
						nextStep = "7";
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#FF0000>Clic sur compétance Feuille";
						pushSplashMessage = "Vous montrez une feuille...\nBill montre des ciseaux...\nPERDU !";
					},
				},
				{
					picture = "WalmPlugins/YourOwnAdventures/scripts/testpicts/skill_ciseaux.jpg"; -- 32x32
					succesLuck = 30; -- max 100
					tooltip = "Ciseaux"; -- optional
					successCompletion = {
						pushSystemChat = "<rgb=#00FF00>Vous montrez des ciseaux...\nBill montre une feuille...\nBRAVO !";
						pushSplashMessage = "Vous montrez des ciseaux...\nBill montre une feuille...\nBRAVO !";
						nextStep = "7";
					},
					failedCompletion = {
						pushSystemChat = "<rgb=#FF0000>Vous montrez des ciseaux...\nBill montre une pierre...\nPERDU !";
						pushSplashMessage = "Vous montrez des ciseaux...\nBill montre une pierre...\nPERDU !";
					},
				},
			},
		},		
		["7"] = {
			objectif = "Selectionnez Bill et faites le avouer !";
			steptype = "TALKTREE";
			tracker = {"Bill Boisderose", "Faramir"}; -- string or list of strings
			dials = {
				["START"] = {
					say="Vous savez, moi je ne crois pas qu'il y ait de bonne ou de mauvaise situation.\n\nMoi, si je devais résumer ma vie aujourd'hui avec vous, je dirais que c'est d'abord des rencontres.\nDes gens qui m'ont tendu la main, peut-être à un moment où je ne pouvais pas, où j'étais seul chez moi.\nEt c'est assez curieux de se dire que les hasards, les rencontres forgent une destinée... Parce que quand on a le goût de la chose, quand on a le goût de la chose bien faite, le beau geste, parfois on ne trouve pas l'interlocuteur en face je dirais, le miroir qui vous aide à avancer. Alors ça n'est pas mon cas, comme je disais là, puisque moi au contraire, j'ai pu : et je dis merci à la vie, je lui dis merci, je chante la vie, je danse la vie... je ne suis qu'amour ! Et finalement, quand beaucoup de gens aujourd'hui me disent « Mais comment fais-tu pour avoir cette humanité ? », et bien je leur réponds très simplement, je leur dis que c'est ce goût de l'amour ce goût donc qui m'a poussé aujourd'hui à entreprendre une construction mécanique, mais demain qui sait ? Peut-être simplement à me mettre au service de la communauté, à faire le don, le don de soi...";
					answers = {
						{pos=1, say="J'voulais dire \"Bande de chacals, vous allez crever comme des chacals\". Mais ça faisait deux fois \"chacals\"... Quoi, on dit des \"chacaux\" ?"; nextDial="2";},
						{pos=2, say="J'voulais dire \"Ce tombeau sera VOOOOTRE tombeau\". Mais ça faisait deux fois \"tombeau\"..."; nextDial="3"},
						{pos=3, say="Non rien..."; nextStep = "END";}
					};
				},
				["2"] = {
					say="\"Et le mec, il lui dit c'est le phare à \"On\", parce qu'il s'appelle \"On\", le mec... Le mec, il s'appelle \"On\", et \"On\" il a un phare, c'est son appartenance. Il lui dit c'est le phare à \"On\" ... Le mec ! Il s'appelle \"On\" ! Il lui dit c'est son phare ! Et bah le Pharaon ! Qui est comme le chef de nous !\"";
					answers = {
						{pos=1, say="Viens me le dire de profil si t'es un homme!"; nextStep="END";},
						{pos=2, say="J'ai dit que \"Ce tombeau sera VOOOOTRE tombeau\". Mais ça faisait deux fois \"tombeau\"..."; nextDial="3"},
						{pos=2, say="Tu es lourd !"; nextDial="START"},
						{pos=3, say="Non rien..."; nextStep = "END";}
					};
				},
				["3"] = {
					say="J'aime pas les tombeaux !";
					answers = {
						{pos=1, say="Et si on reprend depuis le début  ?"; nextDial="START";},
						{pos=3, say="Au revoir..."; nextStep = "END";}
					};
				};
			},
			onCompletion = {
				pushSystemChat = "<rgb=#FF0000><Bill> Au secours !";
				pushSplashMessage = "Bill abandonne.";	
			};
		};
	};
});